2015-05-01 11:56  mkrack

	* [r15283] cp2k_info.F: Subrelease 2.6.1

2015-03-27 18:46  agloess

	* [r15199] hfx_derivatives.F, hfx_energy_potential.F: BugFix: Add
	  missing OMP private variable (backport).

2015-03-27 17:09  sandermatt

	* [r15198] rt_matrix_exp.F: emd: backporting a bugfix to arnoldi

2015-03-19 15:03  vondele

	* [r15177] mpiwrap/message__nametype1__passing.template,
	  mpiwrap/message_c_passing.f90, mpiwrap/message_d_passing.f90,
	  mpiwrap/message_i_passing.f90, mpiwrap/message_l_passing.f90,
	  mpiwrap/message_r_passing.f90, mpiwrap/message_z_passing.f90: bug
	  fix calling mpi routines in interfaces (backport)

2015-01-08 08:55  vondele

	* [r14898] common/timings.F, dbcsr/block/dbcsr_work_operations.F,
	  iterate_matrix.F: backport bugfixes to 2.6 branch (r14897,
	  r14887, r14888)

2014-12-22 06:41  mkrack

	* [r14881] cp2k_info.F: Store the revision number of the release
	  branch

2014-12-22 00:44  mkrack

	* [r14880] Creating CP2K release branch 2.6

2014-12-19 18:17  oschuett

	* [r14872] input_cp2k_dft.F: Input Description Change

2014-12-19 14:56  vondele

	* [r14868] dm_ls_scf.F: small cleanup (Hossein)

2014-12-19 09:30  dorotheagolze

	* [r14864] input_constants.F, input_cp2k_dft.F,
	  lri_environment_methods.F, lri_environment_types.F,
	  lri_optimize_ri_basis.F, lri_optimize_ri_basis_types.F: more
	  options for lri basis set fitting

2014-12-19 07:56  fschiff

	* [r14863] preconditioner_solvers.F: more conservative filtering
	  for inverse update

2014-12-18 13:30  marci73

	* [r14862] qs_diis.F, qs_ks_apply_restraints.F, qs_ks_methods.F,
	  qs_mo_types.F, qs_scf_diagonalization.F, qs_scf_loop_utils.F,
	  xas_env_types.F, xas_tp_scf.F: electron entropic energy moved out
	  from qs_ks_methods

2014-12-18 09:00  sandermatt

	* [r14861] rtp_admm_methods.F: rtp: removing two functions that are
	  no longer called

2014-12-17 11:31  fschiff

	* [r14857] efield_utils.F, qs_ks_methods.F: bug fix for efield
	  forces (Matt Watkins)

2014-12-17 09:57  fschiff

	* [r14856] dbcsr/arnoldi/dbcsr_arnoldi_data_methods.F,
	  dbcsr/arnoldi/dbcsr_arnoldi_methods_low__nametype1_.template,
	  dbcsr/arnoldi/dbcsr_arnoldi_methods_low_c.f90,
	  dbcsr/arnoldi/dbcsr_arnoldi_methods_low_d.f90,
	  dbcsr/arnoldi/dbcsr_arnoldi_methods_low_s.f90,
	  dbcsr/arnoldi/dbcsr_arnoldi_methods_low_z.f90,
	  dbcsr/arnoldi/dbcsr_arnoldi_types.F, preconditioner_makes.F: bug
	  fix for max_val generalized arnoldi

2014-12-16 10:01  oschuett

	* [r14854] qs_ks_types.F: Remove transitional flag dealloc from
	  qs_ks_did_change()

2014-12-16 09:43  delben

	* [r14853] mp2_cphf.F, qs_force.F: Remove s_mstruct_changed issue
	  in qs_force.F when calculating RI-MP2 gradients.
	  Added a warning to avoid the usage of SCREEN_ON_INITIAL_P in
	  RI-MP2 gradients calculation.

2014-12-15 16:51  ibethune

	* [r14852] pw/realspace_grid_types.F: Workaround for intel compiler
	  to reduce Openmp stack usage (Fiona Reid)

2014-12-15 13:38  ibethune

	* [r14850] acc/acc_hostmem__nametype1_.template,
	  acc/acc_hostmem_c.f90, acc/acc_hostmem_d.f90,
	  acc/acc_hostmem_i.f90, acc/acc_hostmem_l.f90,
	  acc/acc_hostmem_r.f90, acc/acc_hostmem_z.f90, admm_methods.F,
	  almo_scf_diis_types.F, aobasis/ai_overlap_ppl.F,
	  aobasis/ai_verfc.F, aobasis/ao_util.F, aobasis/basis_set_types.F,
	  colvar_methods.F, common/bessel_lib.F,
	  common/cp_array__nametype1__utils.template,
	  common/cp_array_i_utils.F, common/cp_array_logical_utils.F,
	  common/cp_array_r_utils.F,
	  common/cp_linked_list__nametype1_.template,
	  common/dict__keytype___valuetype_.template,
	  common/dict_i4tuple_callstat.F, common/dict_str_i4.F,
	  common/erf_fn.F, common/list__valuetype_.template,
	  common/list_callstackentry.F, common/list_routinereport.F,
	  common/list_routinestat.F, common/list_timerenv.F,
	  common/mathlib.F, common/spherical_harmonics.F,
	  common/xml_parser.F,
	  dbcsr/arnoldi/dbcsr_arnoldi_data_manipulation__nametype1_.template,
	  dbcsr/arnoldi/dbcsr_arnoldi_data_manipulation_c.f90,
	  dbcsr/arnoldi/dbcsr_arnoldi_data_manipulation_d.f90,
	  dbcsr/arnoldi/dbcsr_arnoldi_data_manipulation_s.f90,
	  dbcsr/arnoldi/dbcsr_arnoldi_data_manipulation_z.f90,
	  dbcsr/arnoldi/dbcsr_arnoldi_data_selection__nametype1_.template,
	  dbcsr/arnoldi/dbcsr_arnoldi_data_selection_c.f90,
	  dbcsr/arnoldi/dbcsr_arnoldi_data_selection_d.f90,
	  dbcsr/arnoldi/dbcsr_arnoldi_data_selection_s.f90,
	  dbcsr/arnoldi/dbcsr_arnoldi_data_selection_z.f90,
	  dbcsr/arnoldi/dbcsr_arnoldi_methods_low__nametype1_.template,
	  dbcsr/arnoldi/dbcsr_arnoldi_methods_low_c.f90,
	  dbcsr/arnoldi/dbcsr_arnoldi_methods_low_d.f90,
	  dbcsr/arnoldi/dbcsr_arnoldi_methods_low_s.f90,
	  dbcsr/arnoldi/dbcsr_arnoldi_methods_low_z.f90,
	  dbcsr/base/dbcsr_config.F, dbcsr/base/dbcsr_methods.F,
	  dbcsr/base/dbcsr_toollib.F,
	  dbcsr/data/dbcsr_ptr_util__nametype1_.template,
	  dbcsr/data/dbcsr_ptr_util_c.f90, dbcsr/data/dbcsr_ptr_util_d.f90,
	  dbcsr/data/dbcsr_ptr_util_i.f90, dbcsr/data/dbcsr_ptr_util_l.f90,
	  dbcsr/data/dbcsr_ptr_util_s.f90, dbcsr/data/dbcsr_ptr_util_z.f90,
	  dbcsr/dbcsr_performance_multiply.F, dbcsr/dbcsr_test_methods.F,
	  dbcsr/dist/dbcsr_dist_operations.F, dbcsr/mm/dbcsr_mm_cannon.F,
	  dbcsr/ops/dbcsr_operations.F,
	  dbcsr/vec/dbcsr_vector_operations_low__nametype1_.template,
	  dbcsr/vec/dbcsr_vector_operations_low_c.f90,
	  dbcsr/vec/dbcsr_vector_operations_low_d.f90,
	  dbcsr/vec/dbcsr_vector_operations_low_s.f90,
	  dbcsr/vec/dbcsr_vector_operations_low_z.f90,
	  domain_submatrix_methods.F, f77_interface.F,
	  fm/cp_linked_list_fm.F, hfx_communication.F, hfx_derivatives.F,
	  hfx_energy_potential.F, hfx_helpers.F,
	  hfx_load_balance_methods.F, hfx_screening_methods.F, hfx_types.F,
	  input/cp_linked_list_char.F, input/cp_linked_list_int.F,
	  input/cp_linked_list_logical.F, input/cp_linked_list_real.F,
	  input/cp_linked_list_val.F, k290.F, ma/ma_process_mapping.F,
	  manybody_siepmann.F, manybody_tersoff.F, molsym.F,
	  motion/md_environment_types.F, mscfg_methods.F,
	  pair_potential_coulomb.F, pair_potential_util.F, pilaenv_hack.F,
	  pme_tools.F, preconditioner_types.F, pw/cp_linked_list_3d_r.F,
	  pw/cp_linked_list_pw.F, pw/cp_linked_list_rs.F, pw/cube_utils.F,
	  pw/fft/fft_lib.F, pw/ps_wavelet_base.F, pw/pw_grids.F,
	  pw/pw_methods.F, qmmm_util.F, qs_external_potential.F,
	  qs_integral_utils.F, qs_ot.F, ri_environment_types.F,
	  rtp_admm_methods.F, scptb_types.F, se_core_matrix.F,
	  splines_methods.F, start/c_int_low.F, start/f77_int_low.F,
	  task_list_methods.F, tmc/tmc_calculations.F, tmc/tmc_file_io.F,
	  tmc/tmc_messages.F, tmc/tmc_move_handle.F,
	  tmc/tmc_tree_acceptance.F, tmc/tmc_tree_search.F,
	  xc/cp_linked_list_xc_deriv.F, xc/xc_libxc.F,
	  xc/xc_xpbe_hole_t_c_lr.F, xc/xc_xwpbe.F: Update the doxygen
	  headers using the new script (including
	  instantiating templates), plus some prettification.

2014-12-15 13:23  jhutter

	* [r14849] hfx_derivatives.F, hfx_energy_potential.F,
	  qs_integrate_potential_product.F: ADMM OpenMP, reset tests

2014-12-15 13:23  jhutter

	* [r14848] force_env_methods.F: Atomic energies/stress handling of
	  output files (Yannick Misteli)

2014-12-15 12:14  sandermatt

	* [r14846] admm_methods.F, hfx_admm_utils.F: remove doxify
	  warnings, break long line, remve unsed variable

2014-12-15 11:44  jhutter

	* [r14845] admm_methods.F, admm_types.F, common/bibliography.F,
	  cp_control_types.F, cp_control_utils.F, hfx_admm_utils.F,
	  hfx_derivatives.F, hfx_energy_potential.F, input_constants.F,
	  input_cp2k_dft.F, qs_environment_methods.F,
	  qs_environment_types.F, qs_integrate_potential_low.F,
	  qs_integrate_potential_product.F, qs_ks_methods.F, qs_ks_types.F,
	  qs_ks_utils.F, rtp_admm_methods.F: ADMM[QPS]; ADMM correction
	  functional from input;
	  Forces, stress for all methods, LSD, 7 new regtests (Jan Wilhelm)

2014-12-12 15:18  fschiff

	* [r14837] iterate_matrix.F: prettify

2014-12-12 13:33  fschiff

	* [r14836] input_cp2k_dft.F, iterate_matrix.F,
	  preconditioner_makes.F, preconditioner_solvers.F, qs_ot_types.F:
	  new defaults for full_single inverse, improvements to Hotteling

2014-12-12 07:57  marci73

	* [r14835] xas_methods.F: fix uninitialized variable

2014-12-11 18:08  marci73

	* [r14832] qs_initial_guess.F, qs_mo_io.F, qs_mo_methods.F,
	  qs_mo_occupation.F, qs_mo_types.F, qs_ot_scf.F, qs_scf.F,
	  qs_scf_diagonalization.F, qs_scf_initialization.F,
	  qs_scf_loop_utils.F, qs_scf_post_gpw.F, xas_methods.F,
	  xas_restart.F: set_mo_occupation module

2014-12-11 15:39  oschuett

	* [r14830] xas_control.F, xas_tp_scf.F: prettify

2014-12-11 15:18  marci73

	* [r14828] input_cp2k_dft.F, xas_control.F, xas_methods.F,
	  xas_tp_scf.F: generalized choice of core occupation

2014-12-10 14:11  vondele

	* [r14824] qs_ks_methods.F: fix an issue with smear being used from
	  the scf section, even if ls_scf.

2014-12-09 20:05  vondele

	* [r14823] dbcsr/dbcsr_api.F, dbcsr/ops/dbcsr_csr_conversions.F,
	  dbcsrwrap/cp_dbcsr_interface.F, dm_ls_scf.F, input_constants.F,
	  input_cp2k_dft.F, input_cp2k_transport.F, qs_environment.F,
	  qs_environment_types.F, start/c_int_low.F, transport.F,
	  transport_env_types.F: First version of an interface to OMEN
	  (Hossein Bani-Hashemian).

2014-12-09 15:27  sandermatt

	* [r14822] dm_ls_scf_methods.F: trs4: switching to symetric
	  matrices

2014-12-09 12:27  vondele

	* [r14821] qs_ks_methods.F: fix warning (Nico Holmberg)

2014-12-09 06:21  vondele

	* [r14818] almo_scf_optimizer.F: fix uninit val

2014-12-08 13:06  oschuett

	* [r14817] almo_scf_qs.F, dm_ls_scf_qs.F, ep_methods.F,
	  motion/rt_propagation.F, optbas_fenv_manipulation.F,
	  qs_environment_methods.F, qs_force.F, qs_initial_guess.F,
	  qs_ks_methods.F, qs_ks_types.F, qs_p_env_methods.F, qs_scf.F,
	  qs_scf_diagonalization.F, qs_scf_initialization.F,
	  qs_scf_loop_utils.F, qs_scf_post_gpw.F, qs_scf_post_se.F,
	  qs_wf_history_methods.F, rt_propagation_methods.F, xas_restart.F,
	  xas_tp_scf.F: Move deallocation of matrix_ks into
	  qs_ks_did_change(), workaround for ifort bug.

2014-12-07 12:51  mkrack

	* [r14816] common/bibliography.F, cp_control_types.F,
	  cp_control_utils.F, ewald_pw_types.F, input_constants.F,
	  input_cp2k_dft.F, pw/pw_grids.F, pw/realspace_grid_types.F,
	  qs_energy_types.F, qs_ks_methods.F, qs_ks_utils.F,
	  qs_rho_methods.F, qs_rho_types.F, qs_sccs.F, qs_scf_output.F,
	  qs_wf_history_methods.F: Add self-consistent continuum solvation
	  (SCCS) model implementation
	  5 new regtest inputs

2014-12-06 19:45  vondele

	* [r14815] qs_gspace_mixing.F: move timeset to the right place

2014-12-06 19:25  vondele

	* [r14814] input_cp2k_dft.F: remove unused keyword

2014-12-05 10:13  sandermatt

	* [r14809] qs_scf.F, qs_scf_loop_utils.F, qs_scf_types.F: add
	  regtest for subspace diagonalization plus fix bugs

2014-12-04 19:13  fschiff

	* [r14807] dbcsr/arnoldi/dbcsr_arnoldi_data_manipulation_c.f90,
	  dbcsr/arnoldi/dbcsr_arnoldi_data_manipulation_d.f90,
	  dbcsr/arnoldi/dbcsr_arnoldi_data_manipulation_s.f90,
	  dbcsr/arnoldi/dbcsr_arnoldi_data_manipulation_z.f90: synchronize
	  template with files

2014-12-04 16:55  fschiff

	* [r14805]
	  dbcsr/arnoldi/dbcsr_arnoldi_methods_low__nametype1_.instantiation,
	  dbcsr/arnoldi/dbcsr_arnoldi_methods_low__nametype1_.template,
	  dbcsr/arnoldi/dbcsr_arnoldi_methods_low_c.f90,
	  dbcsr/arnoldi/dbcsr_arnoldi_methods_low_d.f90,
	  dbcsr/arnoldi/dbcsr_arnoldi_methods_low_s.f90,
	  dbcsr/arnoldi/dbcsr_arnoldi_methods_low_z.f90: more conversion
	  fixes

2014-12-04 16:26  fschiff

	* [r14804] dbcsr/arnoldi/dbcsr_geev.F: fix real_4 instead of real_8
	  for zeroing array

2014-12-04 16:17  fschiff

	* [r14803] cp_dbcsr_operations.F, dbcsr/arnoldi/dbcsr_arnoldi.F,
	  dbcsr/arnoldi/dbcsr_arnoldi_data_manipulation__nametype1_.template,
	  dbcsr/arnoldi/dbcsr_arnoldi_data_manipulation_c.f90,
	  dbcsr/arnoldi/dbcsr_arnoldi_data_manipulation_d.f90,
	  dbcsr/arnoldi/dbcsr_arnoldi_data_manipulation_s.f90,
	  dbcsr/arnoldi/dbcsr_arnoldi_data_manipulation_z.f90,
	  dbcsr/arnoldi/dbcsr_arnoldi_data_methods.F,
	  dbcsr/arnoldi/dbcsr_arnoldi_data_selection__nametype1_.template,
	  dbcsr/arnoldi/dbcsr_arnoldi_data_selection_c.f90,
	  dbcsr/arnoldi/dbcsr_arnoldi_data_selection_d.f90,
	  dbcsr/arnoldi/dbcsr_arnoldi_data_selection_s.f90,
	  dbcsr/arnoldi/dbcsr_arnoldi_data_selection_z.f90,
	  dbcsr/arnoldi/dbcsr_arnoldi_methods.F,
	  dbcsr/arnoldi/dbcsr_arnoldi_methods_low__nametype1_.instantiation,
	  dbcsr/arnoldi/dbcsr_arnoldi_methods_low__nametype1_.template,
	  dbcsr/arnoldi/dbcsr_arnoldi_methods_low_c.f90,
	  dbcsr/arnoldi/dbcsr_arnoldi_methods_low_d.f90,
	  dbcsr/arnoldi/dbcsr_arnoldi_methods_low_s.f90,
	  dbcsr/arnoldi/dbcsr_arnoldi_methods_low_z.f90,
	  dbcsr/arnoldi/dbcsr_arnoldi_types.F, dbcsr/arnoldi/dbcsr_geev.F,
	  dbcsr/dbcsr_api.F, dbcsr/dbcsr_tests.F,
	  dbcsr/vec/dbcsr_vector_operations.F,
	  dbcsr/vec/dbcsr_vector_operations_low.F,
	  dbcsr/vec/dbcsr_vector_operations_low__nametype1_.template,
	  dbcsr/vec/dbcsr_vector_operations_low_c.f90,
	  dbcsr/vec/dbcsr_vector_operations_low_d.f90,
	  dbcsr/vec/dbcsr_vector_operations_low_s.f90,
	  dbcsr/vec/dbcsr_vector_operations_low_z.f90,
	  dbcsrwrap/cp_dbcsr_interface.F, iterate_matrix.F,
	  preconditioner_makes.F, preconditioner_solvers.F,
	  preconditioner_types.F, qs_ot_types.F: improvements to
	  full_single inverse and dbcsr_arnonldi, added generalized
	  eigenvalue algorithm

2014-12-04 12:09  vondele

	* [r14801] qs_environment_methods.F: fully revert r14745, adding
	  testcases that were not fixed at r14796. This will break ifort
	  <=11.0.

2014-12-04 11:47  vondele

	* [r14800] qs_ks_methods.F: extend comment

2014-12-04 10:29  sandermatt

	* [r14798] input_cp2k_dft.F, qs_moments.F: qs_moments: improve test
	  coverage, fix memleak, add warnings in documentation, remove
	  unused dummy arguments

2014-12-03 19:45  vondele

	* [r14796] qs_environment_methods.F: Partially revert r14745 adding
	  a testcase that shows this is necessary. Might break buggy
	  versions of the intel compiler.

2014-12-03 15:22  ibethune

	* [r14795] pw/pw_cuda.F: And the corresponding code change...

2014-12-03 15:04  ibethune

	* [r14794] pw/pw_cuda.F: Fix cuda build after r14790

2014-12-03 12:12  sandermatt

	* [r14793] dbcsr/base/dbcsr_types.F: prettify

2014-12-03 11:45  vondele

	* [r14792] dbcsr/base/dbcsr_types.F: remove useless comments

2014-12-03 11:30  sandermatt

	* [r14791] kg_correction.F, kg_environment.F,
	  kg_vertex_coloring_methods.F, qs_energy_utils.F, qs_ks_methods.F:
	  kg: removing unused function arguments

2014-12-03 10:39  ibethune

	* [r14790] grid/fast.F, pw/PACKAGE, pw/dgs.F, pw/fft_tools.F,
	  pw/pw_methods.F, pw/realspace_grid_types.F: Make grid/fast into
	  an F90 module

2014-12-03 09:42  sandermatt

	* [r14789] kg_environment.F: kg: make regtests also check the
	  greedy coloring algorithm plus improve documentation

2014-12-02 15:57  vondele

	* [r14788] dbcsr/dbcsr_api.F, dbcsr/ops/dbcsr_csr_conversions.F,
	  dbcsrwrap/cp_dbcsr_interface.F: updates and bug fixes to csr
	  conversion routines (Patrick Seewald).

2014-12-02 13:19  vondele

	* [r14787] xas_methods.F: fix doxygen header

2014-12-02 12:25  sandermatt

	* [r14786] xas_methods.F: prettify

2014-12-02 11:42  marci73

	* [r14785] qs_mo_io.F: exclude case homo=0

2014-12-02 10:43  marci73

	* [r14781] cp_control_types.F, cp_control_utils.F,
	  input_constants.F, input_cp2k_dft.F, optimize_basis.F,
	  qs_block_davidson_types.F, qs_energy.F, qs_environment.F,
	  qs_gspace_mixing.F, qs_ks_methods.F, qs_mo_io.F, qs_mo_types.F,
	  qs_scf.F, qs_scf_diagonalization.F, qs_scf_initialization.F,
	  qs_scf_loop_utils.F, scf_control_types.F, xas_control.F,
	  xas_env_types.F, xas_methods.F, xas_restart.F, xas_tp_scf.F:
	  independent scf_env for x-ray absorption calculations

2014-12-01 20:50  ibethune

	* [r14779] grid/PACKAGE, grid/collocate_fast_1.f90,
	  grid/collocate_fast_2.f90, grid/collocate_fast_3.f90,
	  grid/collocate_fast_4.f90, grid/collocate_fast_5.f90,
	  grid/collocate_fast_6.f90, grid/fast.F, grid/grid_fast.F,
	  grid/integrate_fast_1.f90, grid/integrate_fast_2.f90,
	  grid/integrate_fast_3.f90, grid/integrate_fast_4.f90,
	  grid/integrate_fast_5.f90, grid/integrate_fast_6.f90,
	  grid/lib_kinds.F, grid/xyz_to_vab_optimised.F: Remove lib_kinds
	  and KIND=wp from grid package

2014-12-01 15:55  jhutter

	* [r14777] qs_dispersion_nonloc.F, qs_vxc.F: LSD version of
	  non-local vdW functionals.

2014-12-01 15:44  sandermatt

	* [r14776] rt_propagation_methods.F, rt_propagation_output.F,
	  rtp_admm_methods.F: rtp: removing unused function arguments

2014-12-01 13:27  jhutter

	* [r14775] ewalds.F, fist_force.F, force_env_methods.F, pme.F,
	  qs_dftb3_methods.F, qs_dftb_coulomb.F, qs_dftb_matrices.F,
	  spme.F: Atomic Properties calculations: new functionality
	  - Pressure tensor for Ewald/PME/SPME in Fist
	  - Pressure tensor for DFTB
	  - Energy and Pressure tensor for DFTB3
	  - Use same symmetrization for total and atomic stress
	  - Add PRESSURE to 4 regtest, add 3 new regtests

2014-11-29 17:31  vondele

	* [r14774] ep_qs_methods.F: fixup doxygen

2014-11-29 17:28  vondele

	* [r14773] ep_methods.F, start/cp2k_runs.F, tmc/tmc_setup.F: idem
	  globenv

2014-11-29 17:14  vondele

	* [r14772] admm_methods.F, ep_methods.F, ep_qs_methods.F,
	  lri_optimize_ri_basis.F, mp2_gpw.F, mp2_optimize_ri_basis.F,
	  mp2_ri_gpw.F, optimize_basis.F, qmmm_create.F, qmmm_init.F,
	  qs_kpp1_env_methods.F, qs_linres_methods.F, qs_loc_utils.F,
	  qs_p_env_methods.F, qs_resp.F, qs_scf_post_gpw.F, rpa_ri_gpw.F:
	  some useless passing around of qs_env [-Wunused-dummy-argument]

2014-11-28 09:16  vondele

	* [r14770] dbcsr/block/dbcsr_work_operations.F,
	  dbcsr/block/dbcsr_work_operations__nametype1_.template,
	  dbcsr/block/dbcsr_work_operations_c.f90,
	  dbcsr/block/dbcsr_work_operations_d.f90,
	  dbcsr/block/dbcsr_work_operations_s.f90,
	  dbcsr/block/dbcsr_work_operations_z.f90: improved fix for size
	  calculation when merging work matrices

2014-11-27 13:48  oschuett

	* [r14769] PACKAGE: Makefile: Add target libcp2k, which builds a
	  single archive of all objects

2014-11-26 14:13  vondele

	* [r14764] dbcsr/block/dbcsr_work_operations.F,
	  dbcsr/block/dbcsr_work_operations__nametype1_.template,
	  dbcsr/block/dbcsr_work_operations_c.f90,
	  dbcsr/block/dbcsr_work_operations_d.f90,
	  dbcsr/block/dbcsr_work_operations_s.f90,
	  dbcsr/block/dbcsr_work_operations_z.f90: fix size calculation
	  when merging work matrices

2014-11-26 11:48  vondele

	* [r14763] dbcsr/block/dbcsr_work_operations.F,
	  dbcsrwrap/cp_dbcsr_interface.F: remove unused argument

2014-11-26 09:52  vondele

	* [r14762] dbcsr/dbcsr_tests.F, dbcsr/ops/dbcsr_operations.F:
	  improve adding of dbcsr matrices. Make IO check more robust

2014-11-26 09:29  vondele

	* [r14761] dbcsr/dbcsr_performance_multiply.F,
	  dbcsr/dbcsr_test_methods.F, dbcsr/dbcsr_tests.F, library_tests.F,
	  start/input_cp2k.F: improved filling of the random matrix in the
	  test routines

2014-11-25 21:08  vondele

	* [r14759] dbcsr/dbcsr_api.F, dbcsr/dbcsr_tests.F,
	  dbcsrwrap/cp_dbcsr_interface.F, start/input_cp2k.F: add a libtest
	  for dbcsr_binary_read/write

2014-11-24 13:42  vondele

	* [r14753] dbcsr/mm/dbcsr_mm_cannon.F: add a performance warning
	  suggesting a square number of ranks

2014-11-23 17:16  oschuett

	* [r14750] qs_kinetic.F, qs_overlap.F, scptb_core_matrix.F:
	  k-points: Remove incomplete implementation of forces

2014-11-23 15:13  oschuett

	* [r14749] kg_correction.F: Kim-Gordon: Another workaround for
	  ifort's deallocation bug

2014-11-21 18:52  vondele

	* [r14748] pw/pw_spline_utils.F: add var

2014-11-21 17:29  vondele

	* [r14747] environment.F, pw/pw_spline_utils.F: fix a few more
	  default(none) in dead code.

2014-11-21 16:46  oschuett

	* [r14745] qs_environment_methods.F: Remove unnecessary
	  deallocations

2014-11-21 15:27  vondele

	* [r14743] dbcsr/ops/dbcsr_io.F: fix conversion, turn into a
	  runtime assert

2014-11-21 15:09  vondele

	* [r14742] task_list_methods.F: avoid useless conversion

2014-11-21 14:43  vondele

	* [r14741] cp_ddapc_forces.F, cp_ddapc_methods.F: get rid of a
	  useless conversion

2014-11-21 14:22  vondele

	* [r14740] qs_gspace_mixing.F: fix conversion, turn into runtime
	  assert

2014-11-21 13:30  oschuett

	* [r14739] qs_ks_types.F: Remove unused type

2014-11-21 13:28  oschuett

	* [r14738] qs_rho_types.F: Remove unused functions

2014-11-21 13:25  oschuett

	* [r14737] kpoint_transitional.F, qs_ks_types.F, qs_rho_types.F:
	  k-points: Workaround for ifort bug in deallocation of
	  bounds-remapped pointers

2014-11-21 12:38  sandermatt

	* [r14736] rt_ls_matrix_exp.F: rtp: fix bug introduce with my last
	  commit

2014-11-21 12:23  sandermatt

	* [r14735] rt_delta_pulse.F, rt_ls_matrix_exp.F, rt_matrix_exp.F,
	  rt_propagation_utils.F, rt_propagator_init.F: rtp: also remove
	  Wconversion-extra warnings for the rtp part

2014-11-21 11:36  vondele

	* [r14734] semi_empirical_int_arrays.F, semi_empirical_int_utils.F:
	  fix conversions

2014-11-21 11:08  vondele

	* [r14733] cp_ddapc_forces.F: bug fix : wrong types used

2014-11-21 10:47  vondele

	* [r14732] force_field_types.F, topology_amber.F: only deal with
	  integer torsions.

2014-11-21 10:09  vondele

	* [r14731] atom_energy.F, atom_pseudo.F: similar fixes for those

2014-11-21 09:07  jhutter

	* [r14730] atom_basis.F, atom_utils.F: Atom code: integer
	  conversions

2014-11-21 08:57  vondele

	* [r14729] pw/ps_wavelet_base.F, pw/realspace_grid_types.F,
	  t_c_g0.F: init mpi'ed buffers to silence warnings under valgrind

2014-11-21 08:57  vondele

	* [r14728] colvar_utils.F: init all fields of sorted array

2014-11-21 05:56  vondele

	* [r14726] tmc/tmc_setup.F: bug fix

2014-11-21 05:41  vondele

	* [r14725] qs_initial_guess.F: uninit bug fix

2014-11-21 05:40  vondele

	* [r14724] qmmm_pw_grid.F: para bug fix

2014-11-20 16:35  oschuett

	* [r14723] input_cp2k_atprop.F: prettify

2014-11-20 16:34  oschuett

	* [r14722] dbcsr/mm/dbcsr_mm_csr.F: Fix conversions in
	  dbcsr_mm_csr.F

2014-11-20 16:25  jhutter

	* [r14721] input_cp2k_atprop.F: Remove unused PRINT section from
	  PROPERTIES / ATOMIC

2014-11-20 16:14  oschuett

	* [r14720] common/f77_blas_extra.F, common/f77_blas_generic.F,
	  common/f77_blas_netlib.F, motion/neb_opt_utils.F: Remove unused
	  f77_blas interfaces

2014-11-20 15:39  oschuett

	* [r14718] cp_control_types.F, harris_functional.F,
	  hfx_admm_utils.F, kpoint_methods.F, kpoint_types.F,
	  qs_core_hamiltonian.F, qs_energy_utils.F, qs_environment.F,
	  qs_environment_methods.F, qs_environment_types.F,
	  qs_gspace_mixing.F, qs_initial_guess.F, qs_kinetic.F,
	  qs_ks_methods.F, qs_ks_types.F, qs_overlap.F, qs_rho_methods.F,
	  qs_rho_types.F, qs_scf.F, qs_scf_diagonalization.F,
	  qs_scf_initialization.F, qs_scf_loop_utils.F, qs_scf_methods.F,
	  qs_scf_output.F, qs_scf_post_scptb.F, qs_scf_types.F,
	  qs_wf_history_methods.F, scptb_core_matrix.F, scptb_ks_matrix.F,
	  xas_tp_scf.F: Unify k-points and gamma-point code

2014-11-20 15:28  jhutter

	* [r14717] qs_rho_methods.F, qs_scf_post_gpw.F: Don't set
	  rho_r_valid=.TRUE. for semi-empirical methods.
	  Only perform Hirschfeld charge calculation if rho_r_valid.

2014-11-19 16:21  vondele

	* [r14715] common/fparser.F: more conversion fixes

2014-11-19 16:04  vondele

	* [r14714] hfx_load_balance_methods.F: more tricky part of
	  conversion fixes

2014-11-19 14:50  vondele

	* [r14713] hfx_load_balance_methods.F: some of the easier
	  conversion fixes for hfx_load_balance_methods.F

2014-11-19 12:11  vondele

	* [r14710] tmc/tmc_analysis.F, tmc/tmc_messages.F: fix conversions

2014-11-19 09:16  vondele

	* [r14709] ma/ma_process_mapping.F: more conversion fixes

2014-11-19 09:16  vondele

	* [r14708] mpiwrap/message__nametype1__passing.template,
	  mpiwrap/message_c_passing.f90, mpiwrap/message_d_passing.f90,
	  mpiwrap/message_i_passing.f90, mpiwrap/message_l_passing.f90,
	  mpiwrap/message_r_passing.f90, mpiwrap/message_z_passing.f90:
	  more conversion fixes

2014-11-19 09:03  vondele

	* [r14707] eip_silicon.F: more conversion fixes

2014-11-19 08:46  vondele

	* [r14706] qs_mo_types.F: conversion bug fix (don't assume the
	  reals add to an int)

2014-11-19 08:22  vondele

	* [r14705] qs_mo_types.F: move timeset to the proper place

2014-11-19 08:01  vondele

	* [r14704] dbcsr/ops/dbcsr_operations.F,
	  dbcsr/ops/dbcsr_operations__nametype1_.instantiation,
	  dbcsr/ops/dbcsr_operations__nametype1_.template,
	  dbcsr/ops/dbcsr_operations_c.f90,
	  dbcsr/ops/dbcsr_operations_d.f90,
	  dbcsr/ops/dbcsr_operations_s.f90,
	  dbcsr/ops/dbcsr_operations_z.f90: more conversion fixes

2014-11-19 06:41  vondele

	* [r14703] cp_dbcsr_util.F, qs_dftb_parameters.F: more conversion
	  fixes

2014-11-18 20:50  vondele

	* [r14702] hfx_derivatives.F, hfx_energy_potential.F: explicit
	  conversions

2014-11-18 20:39  vondele

	* [r14701] hfx_compression_methods.F: fix conversion

2014-11-18 19:57  vondele

	* [r14700] beta_gamma_psi.F: make conversions explicit

2014-11-18 19:17  oschuett

	* [r14699] swarm/glbopt_history.F, swarm/glbopt_mincrawl.F: SWARM:
	  Fix conversion

2014-11-18 19:00  oschuett

	* [r14698] admm_dm_types.F, admm_types.F, al_system_types.F,
	  almo_scf_methods.F, aobasis/ai_angmom.F, aobasis/ai_coulomb.F,
	  aobasis/ai_derivatives.F, aobasis/ai_elec_field.F,
	  aobasis/ai_eri_debug.F, aobasis/ai_fermi_contact.F,
	  aobasis/ai_geminals.F, aobasis/ai_geminals_debug.F,
	  aobasis/ai_geminals_utils.F, aobasis/ai_kinetic.F,
	  aobasis/ai_onecenter.F, aobasis/ai_oneelectron.F,
	  aobasis/ai_os_rr.F, aobasis/ai_overlap.F, aobasis/ai_overlap3.F,
	  aobasis/ai_overlap3_debug.F, aobasis/ai_overlap_aabb.F,
	  aobasis/ai_overlap_debug.F, aobasis/ai_overlap_ppl.F,
	  aobasis/ai_spin_orbit.F, aobasis/ai_verfc.F, aobasis/ao_util.F,
	  aobasis/orbital_pointers.F, aobasis/orbital_symbols.F,
	  aobasis/orbital_transformation_matrices.F, aobasis/sto_ng.F,
	  atom.F, atom_basis.F, atom_electronic_structure.F, atom_energy.F,
	  atom_fit.F, atom_operators.F, atom_optimization.F, atom_output.F,
	  atom_pseudo.F, atom_types.F, atom_utils.F, atomic_charges.F,
	  atoms_input.F, beta_gamma_psi.F, block_p_types.F, bsse.F,
	  cell_methods.F, cg_test.F, colvar_methods.F, colvar_utils.F,
	  common/bessel_lib.F, common/bibliography.F,
	  common/cp_array__nametype1__utils.template,
	  common/cp_array_i_utils.F, common/cp_array_logical_utils.F,
	  common/cp_array_r_utils.F, common/cp_error_handling.F,
	  common/cp_files.F, common/cp_iter_types.F,
	  common/cp_linked_list__nametype1_.template,
	  common/cp_log_handling.F, common/cp_para_env.F,
	  common/cp_para_types.F, common/cp_result_methods.F,
	  common/cp_units.F, common/distribution_1d_types.F,
	  common/eigenvalueproblems.F, common/erf_fn.F, common/f77_blas.F,
	  common/f77_blas_poison.F, common/fparser.F, common/gamma.F,
	  common/glob_matching.F, common/kahan_sum.F, common/lapack.F,
	  common/lebedev.F, common/linear_systems.F,
	  common/mathconstants.F, common/mathlib.F,
	  common/memory_utilities.F, common/parallel_rng_types.F,
	  common/periodic_table.F, common/physcon.F,
	  common/reference_manager.F, common/spherical_harmonics.F,
	  common/string_table.F, common/string_utilities.F,
	  common/structure_factor_types.F, common/structure_factors.F,
	  common/termination.F, common/timings_report.F, common/util.F,
	  constraint.F, constraint_3x3.F, constraint_4x6.F,
	  constraint_clv.F, constraint_fxd.F, constraint_util.F,
	  constraint_vsite.F, cp2k_debug.F, cp2k_info.F,
	  cp_control_types.F, cp_control_utils.F, cp_dbcsr_cp2k_link.F,
	  cp_ddapc.F, cp_ddapc_forces.F, cp_ddapc_methods.F,
	  cp_ddapc_types.F, cp_ddapc_util.F, cp_external_control.F,
	  cp_subsys_methods.F, cp_symmetry.F, csvr_system_types.F,
	  csvr_system_utils.F, d3_poly.F, dft_plus_u.F,
	  distribution_2d_types.F, distribution_methods.F,
	  dm_ls_chebyshev.F, dm_ls_scf.F, dm_ls_scf_curvy.F,
	  dm_ls_scf_methods.F, dm_ls_scf_qs.F, efield_utils.F,
	  eip_environment.F, eip_environment_types.F, eip_main.F,
	  eip_silicon.F, environment.F, ep_f77.F, ep_qs_methods.F,
	  ep_qs_types.F, ep_types.F, et_coupling.F, et_coupling_types.F,
	  ewald_environment_types.F, ewald_pw_methods.F, ewald_pw_types.F,
	  ewald_spline_util.F, ewalds.F, ewalds_multipole.F,
	  extended_system_types.F, external_potential_methods.F,
	  f77_interface.F, farming_methods.F, farming_types.F,
	  fermi_utils.F, fist_energy_types.F, fist_environment.F,
	  fist_environment_types.F, fist_force.F, fist_intra_force.F,
	  fist_main.F, fist_neighbor_list_control.F,
	  fist_neighbor_list_types.F, fist_neighbor_lists.F,
	  fist_nonbond_env_types.F, fist_nonbond_force.F,
	  fm/cp_blacs_calls.F, fm/cp_blacs_env.F, fm/cp_cfm_diag.F,
	  fm/cp_fm_pool_types.F, fm/cp_fm_struct.F, fm/cp_fm_vect.F,
	  fm/cp_linked_list_fm.F, force_env_methods.F, force_env_types.F,
	  force_env_utils.F, force_field_types.F, force_fields.F,
	  force_fields_all.F, force_fields_ext.F, force_fields_input.F,
	  force_fields_util.F, fp_methods.F, fp_types.F,
	  free_energy_types.F, gauss_colloc.F, gaussian_gridlevels.F,
	  gle_system_types.F, global_types.F, graphcon.F,
	  harris_energy_types.F, harris_env_types.F, harris_force.F,
	  harris_force_types.F, harris_functional.F, header.F,
	  hfx_communication.F, hfx_compression_core_methods.F,
	  hfx_compression_methods.F, hfx_helpers.F, hfx_libint_interface.F,
	  hfx_libint_wrapper.F, hfx_load_balance_methods.F,
	  hfx_screening_methods.F, hfx_types.F, hirschfeld_methods.F,
	  hirschfeld_types.F, input/cp_linked_list_char.F,
	  input/cp_linked_list_int.F, input/cp_linked_list_logical.F,
	  input/cp_linked_list_real.F, input/cp_linked_list_val.F,
	  input/cp_output_handling.F, input/cp_parser_buffer_types.F,
	  input/cp_parser_ilist_methods.F, input/cp_parser_ilist_types.F,
	  input/cp_parser_inpp_methods.F, input/cp_parser_inpp_types.F,
	  input/cp_parser_methods.F, input/cp_parser_status_types.F,
	  input/cp_parser_types.F, input/input_enumeration_types.F,
	  input/input_keyword_types.F, input/input_parsing.F,
	  input/input_section_types.F, input/input_val_types.F,
	  input_constants.F, input_cp2k_almo.F, input_cp2k_atom.F,
	  input_cp2k_atprop.F, input_cp2k_binary_restarts.F,
	  input_cp2k_check.F, input_cp2k_colvar.F,
	  input_cp2k_constraints.F, input_cp2k_dft.F,
	  input_cp2k_distribution.F, input_cp2k_eip.F,
	  input_cp2k_force_eval.F, input_cp2k_free_energy.F,
	  input_cp2k_global.F, input_cp2k_hfx.F, input_cp2k_kpoints.F,
	  input_cp2k_ls.F, input_cp2k_mixed.F, input_cp2k_mm.F,
	  input_cp2k_motion_print.F, input_cp2k_mp2.F, input_cp2k_neb.F,
	  input_cp2k_poisson.F, input_cp2k_properties_dft.F,
	  input_cp2k_qmmm.F, input_cp2k_read.F, input_cp2k_resp.F,
	  input_cp2k_restarts_util.F, input_cp2k_rsgrid.F,
	  input_cp2k_subsys.F, input_cp2k_thermostats.F, input_cp2k_xc.F,
	  input_optimize_basis.F, input_optimize_input.F,
	  input_restart_force_eval.F, input_restart_rng.F,
	  iterate_matrix.F, k290.F, kg_correction.F, kg_environment.F,
	  kg_environment_types.F, kg_vertex_coloring_methods.F,
	  kpoint_methods.F, kpoint_types.F, lri_ks_methods.F,
	  manybody_eam.F, manybody_potential.F, manybody_siepmann.F,
	  manybody_tersoff.F, metadynamics.F, metadynamics_types.F,
	  metadynamics_utils.F, mixed_energy_types.F, mixed_environment.F,
	  mixed_environment_types.F, mixed_environment_utils.F,
	  mixed_main.F, mm_collocate_potential.F, mm_mapping_library.F,
	  mol_force.F, molecular_states.F, molsym.F, moments_utils.F,
	  motion/al_system_dynamics.F, motion/al_system_init.F,
	  motion/al_system_mapping.F, motion/averages_types.F,
	  motion/barostat_types.F, motion/barostat_utils.F,
	  motion/cell_opt.F, motion/cell_opt_types.F,
	  motion/cell_opt_utils.F, motion/cg_optimizer.F,
	  motion/cp_lbfgs_geo.F, motion/cp_lbfgs_optimizer_gopt.F,
	  motion/csvr_system_dynamics.F, motion/csvr_system_init.F,
	  motion/csvr_system_mapping.F, motion/dimer_methods.F,
	  motion/dimer_types.F, motion/dimer_utils.F,
	  motion/extended_system_dynamics.F, motion/extended_system_init.F,
	  motion/extended_system_mapping.F, motion/free_energy_methods.F,
	  motion/geo_opt.F, motion/gopt_f77_methods.F,
	  motion/gopt_f_methods.F, motion/gopt_f_types.F,
	  motion/gopt_param_types.F, motion/input_cp2k_barostats.F,
	  motion/input_cp2k_md.F, motion/input_cp2k_restarts.F,
	  motion/input_cp2k_vib.F, motion/integrator.F,
	  motion/integrator_utils.F, motion/mc_control.F,
	  motion/mc_coordinates.F, motion/mc_ensembles.F,
	  motion/mc_environment_types.F, motion/mc_ge_moves.F,
	  motion/mc_misc.F, motion/mc_move_control.F, motion/mc_moves.F,
	  motion/mc_run.F, motion/mc_types.F,
	  motion/md_conserved_quantities.F, motion/md_ener_types.F,
	  motion/md_energies.F, motion/md_environment_types.F,
	  motion/md_run.F, motion/md_util.F, motion/md_vel_utils.F,
	  motion/neb_io.F, motion/neb_md_utils.F, motion/neb_methods.F,
	  motion/neb_opt_utils.F, motion/neb_types.F, motion/neb_utils.F,
	  motion/reftraj_types.F, motion/reftraj_util.F,
	  motion/shell_opt.F, motion/simpar_methods.F, motion/tamc_run.F,
	  motion/thermostat_methods.F, motion/thermostat_types.F,
	  motion/thermostat_utils.F, motion/velocity_verlet_control.F,
	  motion/vibrational_analysis.F, motion/wiener_process.F,
	  motion_utils.F, mp2.F, mp2_gpw.F, mp2_laplace.F,
	  mp2_optimize_ri_basis.F, mp2_ri_grad_util.F, mscfg_methods.F,
	  mulliken.F, optbas_fenv_manipulation.F, optbas_opt_utils.F,
	  optimize_basis.F, optimize_basis_types.F, optimize_basis_utils.F,
	  optimize_input.F, pair_potential.F, pair_potential_types.F,
	  pair_potential_util.F, particle_methods.F, pme.F, pme_tools.F,
	  population_analyses.F, preconditioner_makes.F,
	  pw/cp_linked_list_3d_r.F, pw/cp_linked_list_pw.F,
	  pw/cp_linked_list_rs.F, pw/cube_utils.F, pw/dg_rho0_types.F,
	  pw/dg_types.F, pw/dgs.F, pw/fft_tools.F, pw/lazy.F, pw/mt_util.F,
	  pw/ps_wavelet_base.F, pw/ps_wavelet_fft3d.F,
	  pw/ps_wavelet_kernel.F, pw/ps_wavelet_methods.F,
	  pw/ps_wavelet_types.F, pw/ps_wavelet_util.F, pw/pw_cuda.F,
	  pw/pw_grid_info.F, pw/pw_grid_types.F, pw/pw_grids.F,
	  pw/pw_methods.F, pw/pw_poisson_methods.F, pw/pw_poisson_types.F,
	  pw/pw_pool_types.F, pw/pw_types.F, pw/realspace_grid_cube.F,
	  pw_env_methods.F, pw_env_types.F, pw_poisson_read_input.F,
	  qmmm_create.F, qmmm_elpot.F, qmmm_ff_fist.F, qmmm_force_mixing.F,
	  qmmm_gaussian_data.F, qmmm_gaussian_init.F,
	  qmmm_gaussian_input.F, qmmm_gaussian_types.F, qmmm_gpw_energy.F,
	  qmmm_gpw_forces.F, qmmm_image_charge.F, qmmm_init.F,
	  qmmm_links_methods.F, qmmm_per_elpot.F, qmmm_pw_grid.F,
	  qmmm_se_energy.F, qmmm_se_forces.F, qmmm_topology_util.F,
	  qmmm_types.F, qmmm_update.F, qmmm_util.F, qs_charges_types.F,
	  qs_dftb3_methods.F, qs_dftb_coulomb.F, qs_dftb_matrices.F,
	  qs_dftb_parameters.F, qs_dftb_types.F, qs_dftb_utils.F,
	  qs_diis.F, qs_diis_types.F, qs_dispersion_nonloc.F,
	  qs_dispersion_pairpot.F, qs_electric_field_gradient.F,
	  qs_energy.F, qs_energy_types.F, qs_energy_utils.F,
	  qs_environment.F, qs_environment_methods.F,
	  qs_environment_types.F, qs_epr_hyp.F, qs_external_density.F,
	  qs_external_potential.F, qs_force.F, qs_force_types.F,
	  qs_gapw_densities.F, qs_grid_atom.F, qs_harmonics_atom.F,
	  qs_initial_guess.F, qs_interactions.F, qs_kind_types.F,
	  qs_kpp1_env_methods.F, qs_kpp1_env_types.F,
	  qs_ks_apply_restraints.F, qs_ks_methods.F, qs_ks_qmmm_methods.F,
	  qs_ks_qmmm_types.F, qs_ks_types.F, qs_ks_utils.F,
	  qs_linres_current_utils.F, qs_linres_epr_nablavks.F,
	  qs_linres_epr_ownutils.F, qs_linres_epr_utils.F,
	  qs_linres_issc_utils.F, qs_linres_methods.F, qs_linres_module.F,
	  qs_linres_nmr_epr_common_utils.F, qs_linres_nmr_shift.F,
	  qs_linres_nmr_utils.F, qs_linres_op.F, qs_linres_polar_utils.F,
	  qs_linres_types.F, qs_loc_methods.F, qs_loc_molecules.F,
	  qs_loc_types.F, qs_local_rho_types.F, qs_main.F,
	  qs_matrix_pools.F, qs_mo_methods.F, qs_modify_pab_block.F,
	  qs_neighbor_lists.F, qs_ot.F, qs_ot_eigensolver.F,
	  qs_ot_minimizer.F, qs_ot_scf.F, qs_ot_types.F, qs_outer_scf.F,
	  qs_p_env_methods.F, qs_p_env_types.F, qs_pdos.F, qs_resp.F,
	  qs_rho0_ggrid.F, qs_rho0_methods.F, qs_rho0_types.F,
	  qs_rho_atom_types.F, qs_rho_methods.F, qs_rho_types.F, qs_scf.F,
	  qs_scf_initialization.F, qs_scf_loop_utils.F, qs_scf_methods.F,
	  qs_scf_output.F, qs_scf_post_gpw.F, qs_scf_post_se.F,
	  qs_scf_types.F, qs_scf_wfn_mix.F, qs_subsys_methods.F,
	  qs_subsys_types.F, qs_tddfpt_eigensolver.F, qs_tddfpt_module.F,
	  qs_tddfpt_types.F, qs_wf_history_methods.F,
	  qs_wf_history_types.F, rel_control_types.F, replica_methods.F,
	  replica_types.F, restraint.F, rmsd.F, rpa_ri_gpw.F,
	  rt_hfx_utils.F, s_square_methods.F, scf_control_types.F,
	  scp_coeff_types.F, scp_delta_fock_matrix.F, scp_diis_utils.F,
	  scp_energy_types.F, scp_environment.F, scp_environment_types.F,
	  scp_fock_matrix_integrals.F, scptb_core_interactions.F,
	  scptb_core_matrix.F, scptb_ks_matrix.F, scptb_parameters.F,
	  scptb_types.F, scptb_utils.F, se_core_core.F, se_core_matrix.F,
	  se_fock_matrix_coulomb_ga.F, se_fock_matrix_coulomb_mpi.F,
	  se_fock_matrix_dbg.F, se_fock_matrix_exchange.F,
	  se_fock_matrix_ga.F, se_fock_matrix_integrals.F,
	  se_fock_matrix_mpi.F, semi_empirical_expns3_methods.F,
	  semi_empirical_expns3_types.F, semi_empirical_int3_utils.F,
	  semi_empirical_int_ana.F, semi_empirical_int_arrays.F,
	  semi_empirical_int_debug.F, semi_empirical_int_debug.h,
	  semi_empirical_int_gks.F, semi_empirical_int_num.F,
	  semi_empirical_int_utils.F, semi_empirical_integrals.F,
	  semi_empirical_mpole_methods.F, semi_empirical_mpole_types.F,
	  semi_empirical_par_utils.F, semi_empirical_parameters.F,
	  semi_empirical_store_int_types.F, semi_empirical_types.F,
	  semi_empirical_utils.F, simpar_types.F, soft_basis_set.F,
	  splines_methods.F, splines_types.F, spme.F, start/cp2k.F,
	  start/cp2k_runs.F, start/input_cp2k.F, start/input_cp2k_motion.F,
	  statistical_methods.F, subsys/_el_typename__list_types.template,
	  subsys/atomic_kind_list_types.F, subsys/atomic_kind_types.F,
	  subsys/atprop_types.F, subsys/cell_types.F,
	  subsys/colvar_types.F, subsys/cp_subsys_types.F,
	  subsys/external_potential_types.F,
	  subsys/force_field_kind_types.F,
	  subsys/mol_kind_new_list_types.F, subsys/mol_new_list_types.F,
	  subsys/molecule_kind_types.F, subsys/molecule_types_new.F,
	  subsys/multipole_types.F, subsys/particle_list_types.F,
	  subsys/particle_types.F, subsys/shell_potential_types.F,
	  subsys/virial_types.F, surface_dipole.F, taper_types.F,
	  task_list_methods.F, task_list_types.F, thermostat_mapping.F,
	  topology.F, topology_amber.F, topology_cif.F,
	  topology_connectivity_util.F, topology_constraint_util.F,
	  topology_coordinate_util.F, topology_cp2k.F,
	  topology_generate_util.F, topology_gromos.F, topology_input.F,
	  topology_multiple_unit_cell.F, topology_pdb.F, topology_psf.F,
	  topology_types.F, topology_util.F, topology_xtl.F,
	  topology_xyz.F, virial_methods.F, wannier_states.F, whittaker.F,
	  xas_control.F, xas_env_types.F, xas_restart.F, xas_tp_scf.F,
	  xc/cp_linked_list_xc_deriv.F, xc/xc_atom.F, xc/xc_b97.F,
	  xc/xc_cs1.F, xc/xc_derivative_desc.F,
	  xc/xc_derivative_set_types.F, xc/xc_derivative_types.F,
	  xc/xc_derivatives.F, xc/xc_exchange_gga.F,
	  xc/xc_functionals_utilities.F, xc/xc_hcth.F, xc/xc_ke_gga.F,
	  xc/xc_libxc.F, xc/xc_lyp.F, xc/xc_lyp_adiabatic.F, xc/xc_optx.F,
	  xc/xc_pade.F, xc/xc_pbe.F, xc/xc_perdew86.F, xc/xc_perdew_wang.F,
	  xc/xc_perdew_zunger.F, xc/xc_rho_cflags_types.F,
	  xc/xc_rho_set_types.F, xc/xc_tfw.F, xc/xc_thomas_fermi.F,
	  xc/xc_tpss.F, xc/xc_vwn.F, xc/xc_xalpha.F, xc/xc_xbecke88.F,
	  xc/xc_xbecke88_long_range.F, xc/xc_xbecke88_lr_adiabatic.F,
	  xc/xc_xbecke_roussel.F, xc/xc_xbeef.F,
	  xc/xc_xbr_pbe_lda_hole_t_c_lr.F, xc/xc_xlda_hole_t_c_lr.F,
	  xc/xc_xpbe_hole_t_c_lr.F, xc/xc_xwpbe.F, xc_adiabatic_methods.F,
	  xc_pot_saop.F, xc_write_output.F: Remove f77_blas_poison

2014-11-18 18:35  oschuett

	* [r14697] admm_dm_methods.F, admm_methods.F, almo_scf_qs.F,
	  cp_ddapc_util.F, dft_plus_u.F, dm_ls_scf_qs.F, efield_utils.F,
	  ep_methods.F, et_coupling.F, harris_force.F, harris_functional.F,
	  hfx_admm_utils.F, hirschfeld_methods.F, kg_correction.F,
	  lri_environment_methods.F, lri_optimize_ri_basis.F, mp2.F,
	  mp2_cphf.F, mp2_direct_method.F, optbas_fenv_manipulation.F,
	  population_analyses.F, qmmm_gpw_forces.F, qmmm_se_forces.F,
	  qs_collocate_density.F, qs_core_hamiltonian.F,
	  qs_dftb3_methods.F, qs_dftb_coulomb.F, qs_dftb_matrices.F,
	  qs_energy_utils.F, qs_environment_types.F, qs_epr_hyp.F,
	  qs_external_density.F, qs_force.F, qs_geminals.F,
	  qs_gspace_mixing.F, qs_initial_guess.F, qs_kpp1_env_methods.F,
	  qs_ks_apply_restraints.F, qs_ks_methods.F, qs_ks_utils.F,
	  qs_linres_current.F, qs_linres_current_utils.F,
	  qs_linres_epr_nablavks.F, qs_linres_epr_ownutils.F,
	  qs_linres_epr_utils.F, qs_linres_methods.F, qs_linres_module.F,
	  qs_linres_nmr_shift.F, qs_moments.F, qs_p_env_methods.F,
	  qs_rho_methods.F, qs_rho_types.F, qs_scf.F,
	  qs_scf_diagonalization.F, qs_scf_initialization.F,
	  qs_scf_loop_utils.F, qs_scf_output.F, qs_scf_post_dftb.F,
	  qs_scf_post_gpw.F, qs_scf_post_scptb.F, qs_scf_post_se.F,
	  qs_vxc.F, qs_wf_history_methods.F, rt_hfx_utils.F,
	  rt_propagation_methods.F, rt_propagation_utils.F,
	  rtp_admm_methods.F, scptb_core_matrix.F, scptb_ks_matrix.F,
	  se_core_matrix.F, se_fock_matrix_ga.F, se_fock_matrix_mpi.F,
	  stm_images.F, surface_dipole.F, xas_restart.F, xas_tp_scf.F,
	  xc_adiabatic_utils.F, xc_pot_saop.F, xray_diffraction.F: Make
	  qs_rho_type PRIVATE

2014-11-18 18:00  vondele

	* [r14696] ewalds.F, ewalds_multipole.F, pw/dg_rho0_types.F,
	  semi_empirical_int_gks.F: conversion fixes: how many ewald sums
	  do you need?

2014-11-18 17:49  vondele

	* [r14695] cp_ddapc_util.F: fix conversion

2014-11-18 16:26  vondele

	* [r14694] pw/pw_grids.F: use unconditionally

2014-11-18 16:13  vondele

	* [r14693] pw/pw_grids.F: more careful conversion

2014-11-18 15:56  sandermatt

	* [r14692] qs_energy.F, rt_propagation_forces.F,
	  rt_propagation_utils.F, rt_propagator_init.F: rtp: moving
	  calc_s_derivs back to utils

2014-11-18 14:34  oschuett

	* [r14689] dbcsr/data/dbcsr_datatype.F,
	  dbcsr/ops/dbcsr_csr_conversions.F: DBCSR: Remove unused file

2014-11-18 14:13  vondele

	* [r14688] dbcsr/base/dbcsr_methods.F, dbcsr/dbcsr_api.F,
	  dbcsr/dbcsr_test_csr_conversions.F,
	  dbcsr/ops/dbcsr_csr_conversions.F: Add dbcsr to distributed csr
	  conversion routines (Patrick Seewald & Hossein Bani-Hashemian).

2014-11-18 13:38  vondele

	* [r14687] common/string_table.F, dbcsr/base/dbcsr_toollib.F,
	  qs_localization_methods.F: more conversion fixes
2014-11-06 16:35  oschuett

	* [r14582] admm_dm_types.F: Fix leak

2014-11-06 15:49  oschuett

	* [r14580] admm_dm_methods.F, admm_dm_types.F, admm_methods.F,
	  admm_types.F, cp_control_types.F, cp_control_utils.F,
	  hfx_admm_utils.F, input_constants.F, input_cp2k_dft.F,
	  optbas_fenv_manipulation.F, qs_environment_types.F, qs_force.F,
	  qs_ks_methods.F, qs_ks_types.F, rtp_admm_methods.F: ADMM: Add
	  density matrix based version

2014-11-06 15:07  oschuett

	* [r14578] ma/ma_affinity.F, ma/machine_architecture.F: HWLOC: Fix
	  unused variables

2014-11-06 14:29  oschuett

	* [r14577] preconditioner.F, preconditioner_apply.F: prettify and
	  privatize

2014-11-06 14:18  oschuett

	* [r14575] ma/ma_affinity.F, ma/machine_architecture.F: HWLOC: Fix
	  USE statements

2014-11-06 13:04  fschiff

	* [r14573] input_constants.F, input_cp2k_dft.F, iterate_matrix.F,
	  preconditioner.F, preconditioner_apply.F, preconditioner_makes.F,
	  preconditioner_solvers.F, preconditioner_types.F, qs_ot.F,
	  qs_ot_types.F, qs_scf.F, qs_scf_diagonalization.F: new
	  preconditioner solver using approximate updates for the inverse

2014-11-06 10:13  jhutter

	* [r14572] input_cp2k_dft.F, qs_scf_initialization.F,
	  qs_scf_post_dftb.F, qs_scf_post_scptb.F, qs_scf_post_se.F:
	  SCF_POST routines: refactoring, print consistent charges for
	  semi-empirical methods

2014-11-04 13:14  oschuett

	* [r14568] dm_ls_scf_qs.F, hfx_admm_utils.F, mp2_cphf.F,
	  mp2_ri_grad.F, qs_collocate_density.F, qs_gspace_mixing.F,
	  qs_ks_utils.F, qs_rho_methods.F, qs_scf_post_gpw.F,
	  rtp_admm_methods.F, stm_images.F, xc_pot_saop.F: Port
	  calculate_rho_elec() onto ks_env

2014-11-04 11:15  fschiff

	* [r14566] dbcsr/vec/dbcsr_vector_operations_low.F,
	  dbcsr/vec/dbcsr_vector_operations_low__nametype1_.template,
	  dbcsr/vec/dbcsr_vector_operations_low_c.f90,
	  dbcsr/vec/dbcsr_vector_operations_low_d.f90,
	  dbcsr/vec/dbcsr_vector_operations_low_s.f90,
	  dbcsr/vec/dbcsr_vector_operations_low_z.f90: remove unused var

2014-11-04 10:20  fschiff

	* [r14565] dbcsr/vec/dbcsr_vector_operations_low.F,
	  dbcsr/vec/dbcsr_vector_operations_low__nametype1_.template,
	  dbcsr/vec/dbcsr_vector_operations_low_c.f90,
	  dbcsr/vec/dbcsr_vector_operations_low_d.f90,
	  dbcsr/vec/dbcsr_vector_operations_low_s.f90,
	  dbcsr/vec/dbcsr_vector_operations_low_z.f90: improve
	  performace/introduce OMP

2014-11-04 09:28  sandermatt

	* [r14564] rt_propagation_types.F: rtp: Fix deallocation

2014-11-04 08:43  sandermatt

	* [r14563] rt_propagation_methods.F, rt_propagation_types.F: rtp:
	  apply mixing in case the implicit propagation is not converging

2014-11-04 06:44  vondele

	* [r14561] qs_ks_qmmm_methods.F: bug fix

2014-11-03 18:57  vondele

	* [r14560] qs_dftb_matrices.F: bug fix

2014-11-03 18:34  oschuett

	* [r14559] qs_environment_types.F: Simplify qs_env: Remove unused
	  task_list_zmp

2014-11-03 18:25  oschuett

	* [r14558] mp2_gpw.F, qs_environment_methods.F,
	  qs_environment_types.F, qs_ks_types.F, task_list_methods.F:
	  Simplify qs_env: Move task-lists into ks_env

2014-11-03 14:24  sandermatt

	* [r14556] xc/xc_ke_gga.F: kg: stop cp2k if incorrect ke_gga's are
	  used

2014-11-03 13:54  oschuett

	* [r14554] pw/ps_wavelet_fft3d.F: Make ps_wavelet_fft3d.F IMPLICIT
	  NONE

2014-11-03 13:43  oschuett

	* [r14553] dbcsr/error/dbcsr_error_handling.F,
	  mpiwrap/message__nametype1__passing.template,
	  mpiwrap/message_c_passing.f90, mpiwrap/message_d_passing.f90,
	  mpiwrap/message_i_passing.f90, mpiwrap/message_l_passing.f90,
	  mpiwrap/message_passing.F, mpiwrap/message_r_passing.f90,
	  mpiwrap/message_z_passing.f90: MPI: Add helper routines
	  mp_timeset() and mp_timestop()

2014-11-03 12:34  oschuett

	* [r14551] atom_xc.F, ipi_driver.F, motion/glbopt_callback.F,
	  motion/mdctrl_methods.F, qs_scf_diagonalization.F,
	  rt_propagation_utils.F, xc/xc_xbeef.F: Fix IMPLICIT-SAVEs

2014-11-03 12:11  jhutter

	* [r14549] qmmm_gpw_forces.F, qs_dftb_matrices.F,
	  qs_ks_qmmm_types.F: DFTB/QMMM: The following methods have been
	  implemented
	  and forces debugged: e_coupling=NONE,COULOMB,POINT_CHARGE;
	  COULOMB: direct sum over interactions using MIC;
	  POINT_CHARGE: DFTB charges interact with full (periodic) MM
	  potential;
	  POINT_CHARGE + PERIODIC: adds QM-QM periodic coupling;
	  7 regtests (DEBUG option) have been added.

2014-11-03 11:52  sandermatt

	* [r14547] rt_propagation_methods.F: rtp: some minor cleanup

2014-11-03 10:13  vondele

	* [r14545] qs_dftb_dispersion.F: fix uninit use

2014-10-31 21:56  oschuett

	* [r14542] dbcsr/PACKAGE, dbcsr/arnoldi, dbcsr/arnoldi/PACKAGE,
	  dbcsr/arnoldi/dbcsr_arnoldi.F,
	  dbcsr/arnoldi/dbcsr_arnoldi_data_manipulation__nametype1_.instantiation,
	  dbcsr/arnoldi/dbcsr_arnoldi_data_manipulation__nametype1_.template,
	  dbcsr/arnoldi/dbcsr_arnoldi_data_manipulation_c.f90,
	  dbcsr/arnoldi/dbcsr_arnoldi_data_manipulation_d.f90,
	  dbcsr/arnoldi/dbcsr_arnoldi_data_manipulation_s.f90,
	  dbcsr/arnoldi/dbcsr_arnoldi_data_manipulation_z.f90,
	  dbcsr/arnoldi/dbcsr_arnoldi_data_methods.F,
	  dbcsr/arnoldi/dbcsr_arnoldi_data_selection__nametype1_.instantiation,
	  dbcsr/arnoldi/dbcsr_arnoldi_data_selection__nametype1_.template,
	  dbcsr/arnoldi/dbcsr_arnoldi_data_selection_c.f90,
	  dbcsr/arnoldi/dbcsr_arnoldi_data_selection_d.f90,
	  dbcsr/arnoldi/dbcsr_arnoldi_data_selection_s.f90,
	  dbcsr/arnoldi/dbcsr_arnoldi_data_selection_z.f90,
	  dbcsr/arnoldi/dbcsr_arnoldi_methods.F,
	  dbcsr/arnoldi/dbcsr_arnoldi_methods_low__nametype1_.instantiation,
	  dbcsr/arnoldi/dbcsr_arnoldi_methods_low__nametype1_.template,
	  dbcsr/arnoldi/dbcsr_arnoldi_methods_low_c.f90,
	  dbcsr/arnoldi/dbcsr_arnoldi_methods_low_d.f90,
	  dbcsr/arnoldi/dbcsr_arnoldi_methods_low_s.f90,
	  dbcsr/arnoldi/dbcsr_arnoldi_methods_low_z.f90,
	  dbcsr/arnoldi/dbcsr_arnoldi_types.F, dbcsr/arnoldi/dbcsr_geev.F,
	  dbcsr/dbcsr_arnoldi.F,
	  dbcsr/dbcsr_arnoldi_data_manipulation__nametype1_.instantiation,
	  dbcsr/dbcsr_arnoldi_data_manipulation__nametype1_.template,
	  dbcsr/dbcsr_arnoldi_data_manipulation_c.f90,
	  dbcsr/dbcsr_arnoldi_data_manipulation_d.f90,
	  dbcsr/dbcsr_arnoldi_data_manipulation_s.f90,
	  dbcsr/dbcsr_arnoldi_data_manipulation_z.f90,
	  dbcsr/dbcsr_arnoldi_data_methods.F,
	  dbcsr/dbcsr_arnoldi_data_selection__nametype1_.instantiation,
	  dbcsr/dbcsr_arnoldi_data_selection__nametype1_.template,
	  dbcsr/dbcsr_arnoldi_data_selection_c.f90,
	  dbcsr/dbcsr_arnoldi_data_selection_d.f90,
	  dbcsr/dbcsr_arnoldi_data_selection_s.f90,
	  dbcsr/dbcsr_arnoldi_data_selection_z.f90,
	  dbcsr/dbcsr_arnoldi_methods.F,
	  dbcsr/dbcsr_arnoldi_methods_low__nametype1_.instantiation,
	  dbcsr/dbcsr_arnoldi_methods_low__nametype1_.template,
	  dbcsr/dbcsr_arnoldi_methods_low_c.f90,
	  dbcsr/dbcsr_arnoldi_methods_low_d.f90,
	  dbcsr/dbcsr_arnoldi_methods_low_s.f90,
	  dbcsr/dbcsr_arnoldi_methods_low_z.f90,
	  dbcsr/dbcsr_arnoldi_types.F, dbcsr/dbcsr_geev.F: Create package
	  dbcsr/arnoldi

2014-10-31 15:59  oschuett

	* [r14541] dbcsr/PACKAGE, dbcsr/dbcsr_acc_operations.F,
	  dbcsr/dbcsr_mm_accdrv.F, dbcsr/dbcsr_mm_cannon.F,
	  dbcsr/dbcsr_mm_cannon__nametype1_.instantiation,
	  dbcsr/dbcsr_mm_cannon__nametype1_.template,
	  dbcsr/dbcsr_mm_cannon_c.f90, dbcsr/dbcsr_mm_cannon_d.f90,
	  dbcsr/dbcsr_mm_cannon_s.f90, dbcsr/dbcsr_mm_cannon_z.f90,
	  dbcsr/dbcsr_mm_csr.F, dbcsr/dbcsr_mm_hostdrv.F,
	  dbcsr/dbcsr_mm_hostdrv__nametype1_.instantiation,
	  dbcsr/dbcsr_mm_hostdrv__nametype1_.template,
	  dbcsr/dbcsr_mm_hostdrv_c.f90, dbcsr/dbcsr_mm_hostdrv_d.f90,
	  dbcsr/dbcsr_mm_hostdrv_s.f90, dbcsr/dbcsr_mm_hostdrv_z.f90,
	  dbcsr/dbcsr_mm_multrec.F, dbcsr/dbcsr_mm_sched.F,
	  dbcsr/dbcsr_mm_types.F, dbcsr/dbcsr_multiply_api.F, dbcsr/mm,
	  dbcsr/mm/PACKAGE, dbcsr/mm/dbcsr_acc_operations.F,
	  dbcsr/mm/dbcsr_mm_accdrv.F, dbcsr/mm/dbcsr_mm_cannon.F,
	  dbcsr/mm/dbcsr_mm_cannon__nametype1_.instantiation,
	  dbcsr/mm/dbcsr_mm_cannon__nametype1_.template,
	  dbcsr/mm/dbcsr_mm_cannon_c.f90, dbcsr/mm/dbcsr_mm_cannon_d.f90,
	  dbcsr/mm/dbcsr_mm_cannon_s.f90, dbcsr/mm/dbcsr_mm_cannon_z.f90,
	  dbcsr/mm/dbcsr_mm_csr.F, dbcsr/mm/dbcsr_mm_hostdrv.F,
	  dbcsr/mm/dbcsr_mm_hostdrv__nametype1_.instantiation,
	  dbcsr/mm/dbcsr_mm_hostdrv__nametype1_.template,
	  dbcsr/mm/dbcsr_mm_hostdrv_c.f90, dbcsr/mm/dbcsr_mm_hostdrv_d.f90,
	  dbcsr/mm/dbcsr_mm_hostdrv_s.f90, dbcsr/mm/dbcsr_mm_hostdrv_z.f90,
	  dbcsr/mm/dbcsr_mm_multrec.F, dbcsr/mm/dbcsr_mm_sched.F,
	  dbcsr/mm/dbcsr_mm_types.F, dbcsr/mm/dbcsr_multiply_api.F,
	  dbcsr/mm/smm.F, dbcsr/smm.F: Create package dbcsr/mm

2014-10-31 15:43  oschuett

	* [r14540] dbcsr/PACKAGE, dbcsr/dbcsr_vector_operations.F,
	  dbcsr/dbcsr_vector_operations_low.F,
	  dbcsr/dbcsr_vector_operations_low__nametype1_.instantiation,
	  dbcsr/dbcsr_vector_operations_low__nametype1_.template,
	  dbcsr/dbcsr_vector_operations_low_c.f90,
	  dbcsr/dbcsr_vector_operations_low_d.f90,
	  dbcsr/dbcsr_vector_operations_low_s.f90,
	  dbcsr/dbcsr_vector_operations_low_z.f90, dbcsr/vec,
	  dbcsr/vec/PACKAGE, dbcsr/vec/dbcsr_vector_operations.F,
	  dbcsr/vec/dbcsr_vector_operations_low.F,
	  dbcsr/vec/dbcsr_vector_operations_low__nametype1_.instantiation,
	  dbcsr/vec/dbcsr_vector_operations_low__nametype1_.template,
	  dbcsr/vec/dbcsr_vector_operations_low_c.f90,
	  dbcsr/vec/dbcsr_vector_operations_low_d.f90,
	  dbcsr/vec/dbcsr_vector_operations_low_s.f90,
	  dbcsr/vec/dbcsr_vector_operations_low_z.f90: Create package
	  dbcsr/vec

2014-10-31 15:34  oschuett

	* [r14539] dbcsr/PACKAGE, dbcsr/dbcsr_blas_operations.F,
	  dbcsr/dbcsr_io.F, dbcsr/dbcsr_operations.F,
	  dbcsr/dbcsr_operations__nametype1_.instantiation,
	  dbcsr/dbcsr_operations__nametype1_.template,
	  dbcsr/dbcsr_operations_c.f90, dbcsr/dbcsr_operations_d.f90,
	  dbcsr/dbcsr_operations_s.f90, dbcsr/dbcsr_operations_z.f90,
	  dbcsr/dbcsr_transformations.F, dbcsr/ops, dbcsr/ops/PACKAGE,
	  dbcsr/ops/dbcsr_blas_operations.F, dbcsr/ops/dbcsr_io.F,
	  dbcsr/ops/dbcsr_operations.F,
	  dbcsr/ops/dbcsr_operations__nametype1_.instantiation,
	  dbcsr/ops/dbcsr_operations__nametype1_.template,
	  dbcsr/ops/dbcsr_operations_c.f90,
	  dbcsr/ops/dbcsr_operations_d.f90,
	  dbcsr/ops/dbcsr_operations_s.f90,
	  dbcsr/ops/dbcsr_operations_z.f90,
	  dbcsr/ops/dbcsr_transformations.F: Create package dbcsr/ops

2014-10-31 15:25  oschuett

	* [r14538] dbcsr/dbcsr_api.F, dbcsr/dbcsr_arnoldi.F,
	  dbcsr/dbcsr_arnoldi_methods.F, dbcsr/dbcsr_tests.F,
	  dbcsr/dbcsr_vector_operations_low.F,
	  dbcsrwrap/cp_dbcsr_interface.F, start/input_cp2k.F: prettify

2014-10-31 14:10  oschuett

	* [r14536] dbcsr/PACKAGE, dbcsr/block, dbcsr/block/PACKAGE,
	  dbcsr/block/dbcsr_block_access.F,
	  dbcsr/block/dbcsr_block_access__nametype1_.instantiation,
	  dbcsr/block/dbcsr_block_access__nametype1_.template,
	  dbcsr/block/dbcsr_block_access_c.f90,
	  dbcsr/block/dbcsr_block_access_d.f90,
	  dbcsr/block/dbcsr_block_access_s.f90,
	  dbcsr/block/dbcsr_block_access_z.f90,
	  dbcsr/block/dbcsr_block_operations.F,
	  dbcsr/block/dbcsr_block_operations__nametype1_.instantiation,
	  dbcsr/block/dbcsr_block_operations__nametype1_.template,
	  dbcsr/block/dbcsr_block_operations_c.f90,
	  dbcsr/block/dbcsr_block_operations_d.f90,
	  dbcsr/block/dbcsr_block_operations_s.f90,
	  dbcsr/block/dbcsr_block_operations_z.f90,
	  dbcsr/block/dbcsr_data_operations.F,
	  dbcsr/block/dbcsr_index_operations.F,
	  dbcsr/block/dbcsr_iterator_operations.F,
	  dbcsr/block/dbcsr_iterator_operations__nametype1_.instantiation,
	  dbcsr/block/dbcsr_iterator_operations__nametype1_.template,
	  dbcsr/block/dbcsr_iterator_operations_c.f90,
	  dbcsr/block/dbcsr_iterator_operations_d.f90,
	  dbcsr/block/dbcsr_iterator_operations_s.f90,
	  dbcsr/block/dbcsr_iterator_operations_z.f90,
	  dbcsr/block/dbcsr_work_operations.F,
	  dbcsr/block/dbcsr_work_operations__nametype1_.instantiation,
	  dbcsr/block/dbcsr_work_operations__nametype1_.template,
	  dbcsr/block/dbcsr_work_operations_c.f90,
	  dbcsr/block/dbcsr_work_operations_d.f90,
	  dbcsr/block/dbcsr_work_operations_s.f90,
	  dbcsr/block/dbcsr_work_operations_z.f90,
	  dbcsr/dbcsr_block_access.F,
	  dbcsr/dbcsr_block_access__nametype1_.instantiation,
	  dbcsr/dbcsr_block_access__nametype1_.template,
	  dbcsr/dbcsr_block_access_c.f90, dbcsr/dbcsr_block_access_d.f90,
	  dbcsr/dbcsr_block_access_s.f90, dbcsr/dbcsr_block_access_z.f90,
	  dbcsr/dbcsr_block_operations.F,
	  dbcsr/dbcsr_block_operations__nametype1_.instantiation,
	  dbcsr/dbcsr_block_operations__nametype1_.template,
	  dbcsr/dbcsr_block_operations_c.f90,
	  dbcsr/dbcsr_block_operations_d.f90,
	  dbcsr/dbcsr_block_operations_s.f90,
	  dbcsr/dbcsr_block_operations_z.f90,
	  dbcsr/dbcsr_data_operations.F, dbcsr/dbcsr_index_operations.F,
	  dbcsr/dbcsr_iterator_operations.F,
	  dbcsr/dbcsr_iterator_operations__nametype1_.instantiation,
	  dbcsr/dbcsr_iterator_operations__nametype1_.template,
	  dbcsr/dbcsr_iterator_operations_c.f90,
	  dbcsr/dbcsr_iterator_operations_d.f90,
	  dbcsr/dbcsr_iterator_operations_s.f90,
	  dbcsr/dbcsr_iterator_operations_z.f90,
	  dbcsr/dbcsr_work_operations.F,
	  dbcsr/dbcsr_work_operations__nametype1_.instantiation,
	  dbcsr/dbcsr_work_operations__nametype1_.template,
	  dbcsr/dbcsr_work_operations_c.f90,
	  dbcsr/dbcsr_work_operations_d.f90,
	  dbcsr/dbcsr_work_operations_s.f90,
	  dbcsr/dbcsr_work_operations_z.f90, dbcsr/dist/PACKAGE: Create
	  package dbcsr/block

2014-10-31 14:06  oschuett

	* [r14535] dbcsr/PACKAGE, dbcsr/dbcsr_dist_methods.F,
	  dbcsr/dbcsr_dist_operations.F, dbcsr/dbcsr_mp_methods.F,
	  dbcsr/dbcsr_mp_operations.F,
	  dbcsr/dbcsr_mp_operations__nametype1_.instantiation,
	  dbcsr/dbcsr_mp_operations__nametype1_.template,
	  dbcsr/dbcsr_mp_operations_c.f90, dbcsr/dbcsr_mp_operations_d.f90,
	  dbcsr/dbcsr_mp_operations_s.f90, dbcsr/dbcsr_mp_operations_z.f90,
	  dbcsr/dbcsr_util.F, dbcsr/dist, dbcsr/dist/dbcsr_dist_methods.F,
	  dbcsr/dist/dbcsr_dist_operations.F,
	  dbcsr/dist/dbcsr_mp_methods.F, dbcsr/dist/dbcsr_mp_operations.F,
	  dbcsr/dist/dbcsr_mp_operations__nametype1_.instantiation,
	  dbcsr/dist/dbcsr_mp_operations__nametype1_.template,
	  dbcsr/dist/dbcsr_mp_operations_c.f90,
	  dbcsr/dist/dbcsr_mp_operations_d.f90,
	  dbcsr/dist/dbcsr_mp_operations_s.f90,
	  dbcsr/dist/dbcsr_mp_operations_z.f90, dbcsr/dist/dbcsr_util.F,
	  dbcsr/dist/min_heap.F, dbcsr/min_heap.F: Create package
	  dbcsr/dist

2014-10-31 13:56  oschuett

	* [r14534] dbcsr/PACKAGE, dbcsr/array_types.F, dbcsr/base,
	  dbcsr/base/PACKAGE, dbcsr/base/array_types.F,
	  dbcsr/base/btree__nametype1__k__nametype2__v.instantiation,
	  dbcsr/base/btree__nametype1__k__nametype2__v.template,
	  dbcsr/base/btree_i8_k_cp2d_v.F, dbcsr/base/btree_i8_k_dp2d_v.F,
	  dbcsr/base/btree_i8_k_sp2d_v.F, dbcsr/base/btree_i8_k_zp2d_v.F,
	  dbcsr/base/dbcsr_array__nametype1__sort.instantiation,
	  dbcsr/base/dbcsr_array__nametype1__sort.template,
	  dbcsr/base/dbcsr_array_d_sort.F,
	  dbcsr/base/dbcsr_array_i4_sort.F,
	  dbcsr/base/dbcsr_array_i8_sort.F,
	  dbcsr/base/dbcsr_array_s_sort.F, dbcsr/base/dbcsr_config.F,
	  dbcsr/base/dbcsr_methods.F, dbcsr/base/dbcsr_toollib.F,
	  dbcsr/base/dbcsr_types.F,
	  dbcsr/btree__nametype1__k__nametype2__v.instantiation,
	  dbcsr/btree__nametype1__k__nametype2__v.template,
	  dbcsr/btree_i8_k_cp2d_v.F, dbcsr/btree_i8_k_dp2d_v.F,
	  dbcsr/btree_i8_k_sp2d_v.F, dbcsr/btree_i8_k_zp2d_v.F,
	  dbcsr/dbcsr_array__nametype1__sort.instantiation,
	  dbcsr/dbcsr_array__nametype1__sort.template,
	  dbcsr/dbcsr_array_d_sort.F, dbcsr/dbcsr_array_i4_sort.F,
	  dbcsr/dbcsr_array_i8_sort.F, dbcsr/dbcsr_array_s_sort.F,
	  dbcsr/dbcsr_config.F, dbcsr/dbcsr_methods.F,
	  dbcsr/dbcsr_toollib.F, dbcsr/dbcsr_types.F: Create package
	  dbcsr/base

2014-10-31 13:47  oschuett

	* [r14533] dbcsr/PACKAGE, dbcsr/data, dbcsr/data/PACKAGE,
	  dbcsr/data/dbcsr_data_methods.F,
	  dbcsr/data/dbcsr_data_methods_low.F,
	  dbcsr/data/dbcsr_data_methods_low__nametype1_.instantiation,
	  dbcsr/data/dbcsr_data_methods_low__nametype1_.template,
	  dbcsr/data/dbcsr_data_methods_low_c.f90,
	  dbcsr/data/dbcsr_data_methods_low_d.f90,
	  dbcsr/data/dbcsr_data_methods_low_s.f90,
	  dbcsr/data/dbcsr_data_methods_low_z.f90,
	  dbcsr/data/dbcsr_data_types.F, dbcsr/data/dbcsr_datatype.F,
	  dbcsr/data/dbcsr_mem_methods.F, dbcsr/data/dbcsr_ptr_util.F,
	  dbcsr/data/dbcsr_ptr_util__nametype1_.instantiation,
	  dbcsr/data/dbcsr_ptr_util__nametype1_.template,
	  dbcsr/data/dbcsr_ptr_util_c.f90, dbcsr/data/dbcsr_ptr_util_d.f90,
	  dbcsr/data/dbcsr_ptr_util_i.f90, dbcsr/data/dbcsr_ptr_util_l.f90,
	  dbcsr/data/dbcsr_ptr_util_s.f90, dbcsr/data/dbcsr_ptr_util_z.f90,
	  dbcsr/dbcsr_data_methods.F, dbcsr/dbcsr_data_methods_low.F,
	  dbcsr/dbcsr_data_methods_low__nametype1_.instantiation,
	  dbcsr/dbcsr_data_methods_low__nametype1_.template,
	  dbcsr/dbcsr_data_methods_low_c.f90,
	  dbcsr/dbcsr_data_methods_low_d.f90,
	  dbcsr/dbcsr_data_methods_low_s.f90,
	  dbcsr/dbcsr_data_methods_low_z.f90, dbcsr/dbcsr_data_types.F,
	  dbcsr/dbcsr_datatype.F, dbcsr/dbcsr_mem_methods.F,
	  dbcsr/dbcsr_ptr_util.F,
	  dbcsr/dbcsr_ptr_util__nametype1_.instantiation,
	  dbcsr/dbcsr_ptr_util__nametype1_.template,
	  dbcsr/dbcsr_ptr_util_c.f90, dbcsr/dbcsr_ptr_util_d.f90,
	  dbcsr/dbcsr_ptr_util_i.f90, dbcsr/dbcsr_ptr_util_l.f90,
	  dbcsr/dbcsr_ptr_util_s.f90, dbcsr/dbcsr_ptr_util_z.f90: Create
	  package dbcsr/data

2014-10-31 13:35  oschuett

	* [r14532] dbcsr/PACKAGE, dbcsr/dbcsr_error_handling.F,
	  dbcsr/error, dbcsr/error/PACKAGE,
	  dbcsr/error/dbcsr_error_handling.F: Create package dbcsr/error

2014-10-31 13:11  fschiff

	* [r14531] dbcsr/dbcsr_api.F, dbcsr/dbcsr_arnoldi.F,
	  dbcsr/dbcsr_arnoldi_data_methods.F,
	  dbcsr/dbcsr_arnoldi_methods.F,
	  dbcsr/dbcsr_arnoldi_methods_low__nametype1_.template,
	  dbcsr/dbcsr_arnoldi_methods_low_c.f90,
	  dbcsr/dbcsr_arnoldi_methods_low_d.f90,
	  dbcsr/dbcsr_arnoldi_methods_low_s.f90,
	  dbcsr/dbcsr_arnoldi_methods_low_z.f90, dbcsr/dbcsr_tests.F,
	  dbcsr/dbcsr_vector_operations_low.F,
	  dbcsr/dbcsr_vector_operations_low__nametype1_.template,
	  dbcsr/dbcsr_vector_operations_low_c.f90,
	  dbcsr/dbcsr_vector_operations_low_d.f90,
	  dbcsr/dbcsr_vector_operations_low_s.f90,
	  dbcsr/dbcsr_vector_operations_low_z.f90,
	  dbcsrwrap/cp_dbcsr_interface.F, library_tests.F,
	  start/input_cp2k.F: add library test for arnoldi and timings for
	  the code

2014-10-31 11:13  jhutter

	* [r14530] qs_dftb_matrices.F: DFTB/QMMM small bug fix and new
	  coordinates for test examples

2014-10-31 08:57  sandermatt

	* [r14529] rt_propagation_output.F: rtp: add dipole calculation to
	  linear scaling part

2014-10-30 21:00  oschuett

	* [r14528] dbcsr/dbcsr_data_methods.F,
	  dbcsr/dbcsr_data_methods_low.F,
	  dbcsr/dbcsr_data_methods_low__nametype1_.template,
	  dbcsr/dbcsr_data_methods_low_c.f90,
	  dbcsr/dbcsr_data_methods_low_d.f90,
	  dbcsr/dbcsr_data_methods_low_s.f90,
	  dbcsr/dbcsr_data_methods_low_z.f90,
	  dbcsr/dbcsr_data_operations.F, dbcsr/dbcsr_data_types.F,
	  dbcsr/dbcsr_mem_methods.F, dbcsr/dbcsr_operations.F,
	  dbcsr/dbcsr_ptr_util.F, dbcsr/dbcsr_transformations.F,
	  dbcsr/dbcsr_types.F, dbcsr/dbcsr_work_operations.F: DBCSR: Create
	  module dbcsr_data_types

2014-10-30 18:44  oschuett

	* [r14527] dbcsrwrap/cp_dbcsr_interface.F: prettify

2014-10-30 18:29  oschuett

	* [r14526] dbcsr/dbcsr_lib.F, dbcsr/dbcsr_multiply_api.F: DBCSR:
	  Improve dbcsr_multiply_api.F

2014-10-30 18:28  oschuett

	* [r14525] dbcsr/dbcsr_arnoldi.F, dbcsr/dbcsr_arnoldi_methods.F:
	  prettify

2014-10-30 17:24  fschiff

	* [r14524] dbcsr/dbcsr_api.F, dbcsr/dbcsr_arnoldi.F,
	  dbcsr/dbcsr_arnoldi_data_manipulation__nametype1_.instantiation,
	  dbcsr/dbcsr_arnoldi_data_manipulation__nametype1_.template,
	  dbcsr/dbcsr_arnoldi_data_manipulation_c.f90,
	  dbcsr/dbcsr_arnoldi_data_manipulation_d.f90,
	  dbcsr/dbcsr_arnoldi_data_manipulation_s.f90,
	  dbcsr/dbcsr_arnoldi_data_manipulation_z.f90,
	  dbcsr/dbcsr_arnoldi_data_methods.F,
	  dbcsr/dbcsr_arnoldi_data_selection__nametype1_.instantiation,
	  dbcsr/dbcsr_arnoldi_data_selection__nametype1_.template,
	  dbcsr/dbcsr_arnoldi_data_selection_c.f90,
	  dbcsr/dbcsr_arnoldi_data_selection_d.f90,
	  dbcsr/dbcsr_arnoldi_data_selection_s.f90,
	  dbcsr/dbcsr_arnoldi_data_selection_z.f90,
	  dbcsr/dbcsr_arnoldi_methods.F,
	  dbcsr/dbcsr_arnoldi_methods_low__nametype1_.instantiation,
	  dbcsr/dbcsr_arnoldi_methods_low__nametype1_.template,
	  dbcsr/dbcsr_arnoldi_methods_low_c.f90,
	  dbcsr/dbcsr_arnoldi_methods_low_d.f90,
	  dbcsr/dbcsr_arnoldi_methods_low_s.f90,
	  dbcsr/dbcsr_arnoldi_methods_low_z.f90,
	  dbcsr/dbcsr_arnoldi_types.F,
	  dbcsr/dbcsr_array__nametype1__sort.instantiation,
	  dbcsr/dbcsr_array_d_sort.F, dbcsr/dbcsr_array_s_sort.F,
	  dbcsr/dbcsr_geev.F, dbcsr/dbcsr_toollib.F, dbcsr/dbcsr_types.F,
	  dbcsrwrap/cp_dbcsr_interface.F: arnoldi method for eigenvalue and
	  eigenvector computation of sparse matrices (s/d/z/c)

2014-10-30 17:09  oschuett

	* [r14523] dbcsr/dbcsr_block_access.F, dbcsr/dbcsr_io.F,
	  dbcsr/dbcsr_methods.F, dbcsr/dbcsr_operations.F,
	  dbcsr/dbcsr_transformations.F, dbcsr/dbcsr_util.F: DBCSR: Replace
	  dbcsr_get_data_size_referenced() with
	  dbcsr_data_get_size_referenced()

2014-10-30 16:47  oschuett

	* [r14522] dbcsr/dbcsr_methods.F: DBCSR: Remove unnecessary
	  INTERFACEs

2014-10-30 16:40  oschuett

	* [r14521] dbcsr/dbcsr_data_methods.F, dbcsr/dbcsr_methods.F,
	  dbcsr/dbcsr_operations.F, dbcsr/dbcsr_transformations.F,
	  dbcsr/dbcsr_work_operations.F: Move dbcsr_switch_data_area() into
	  dbcsr_data_methods

2014-10-30 16:31  oschuett

	* [r14520] dbcsr/dbcsr_dist_methods.F, dbcsr/dbcsr_methods.F,
	  dbcsr/dbcsr_mp_methods.F: Move init/release routines into
	  dbcsr_methods

2014-10-30 16:08  oschuett

	* [r14519] dbcsr/dbcsr_api.F, dbcsr/dbcsr_methods.F,
	  dbcsr/dbcsr_mm_cannon.F, dbcsr/dbcsr_operations.F,
	  dbcsr/dbcsr_test_add.F, dbcsr/dbcsr_test_multiply.F,
	  dbcsr/dbcsr_vector_operations.F,
	  dbcsr/dbcsr_vector_operations_low.F: Move high-level routines
	  from dbcsr_methods into dbcsr_operations

2014-10-30 16:07  oschuett

	* [r14518] cp_ddapc_types.F, qmmm_per_elpot.F, qs_environment.F,
	  qs_main.F: prettify

2014-10-30 15:28  oschuett

	* [r14516] dbcsr/dbcsr_api.F, dbcsr/dbcsr_block_access.F,
	  dbcsr/dbcsr_dist_methods.F, dbcsr/dbcsr_dist_operations.F,
	  dbcsr/dbcsr_index_operations.F, dbcsr/dbcsr_io.F,
	  dbcsr/dbcsr_iterator_operations.F, dbcsr/dbcsr_methods.F,
	  dbcsr/dbcsr_mm_cannon.F, dbcsr/dbcsr_mm_multrec.F,
	  dbcsr/dbcsr_operations.F, dbcsr/dbcsr_performance_multiply.F,
	  dbcsr/dbcsr_test_add.F, dbcsr/dbcsr_test_methods.F,
	  dbcsr/dbcsr_test_multiply.F, dbcsr/dbcsr_tests.F,
	  dbcsr/dbcsr_transformations.F, dbcsr/dbcsr_util.F,
	  dbcsr/dbcsr_vector_operations.F,
	  dbcsr/dbcsr_vector_operations_low.F,
	  dbcsr/dbcsr_work_operations.F: DBCSR: Create module
	  dbcsr_dist_methods

2014-10-30 15:02  jhutter

	* [r14515] cp_ddapc_types.F, input_cp2k_qmmm.F, qmmm_create.F,
	  qmmm_init.F, qmmm_per_elpot.F, qmmm_types.F, qs_dftb_coulomb.F,
	  qs_dftb_matrices.F, qs_environment.F, qs_main.F: DFTB/QMMM: Full
	  periodic coupling, new regtest

2014-10-30 15:01  oschuett

	* [r14514] dbcsr/dbcsr_api.F, dbcsr/dbcsr_block_access.F,
	  dbcsr/dbcsr_dist_operations.F, dbcsr/dbcsr_io.F,
	  dbcsr/dbcsr_methods.F, dbcsr/dbcsr_mm_cannon.F,
	  dbcsr/dbcsr_mp_methods.F, dbcsr/dbcsr_mp_operations.F,
	  dbcsr/dbcsr_operations.F, dbcsr/dbcsr_performance_driver.F,
	  dbcsr/dbcsr_test_driver.F, dbcsr/dbcsr_test_methods.F,
	  dbcsr/dbcsr_tests.F, dbcsr/dbcsr_transformations.F,
	  dbcsr/dbcsr_util.F: DBCSR: Create module dbcsr_mp_methods

2014-10-30 14:39  oschuett

	* [r14513] dbcsr/dbcsr_operations.F,
	  dbcsr/dbcsr_operations__nametype1_.instantiation,
	  dbcsr/dbcsr_operations__nametype1_.template,
	  dbcsr/dbcsr_operations_c.f90, dbcsr/dbcsr_operations_d.f90,
	  dbcsr/dbcsr_operations_low.F,
	  dbcsr/dbcsr_operations_low__nametype1_.instantiation,
	  dbcsr/dbcsr_operations_low__nametype1_.template,
	  dbcsr/dbcsr_operations_low_c.f90,
	  dbcsr/dbcsr_operations_low_d.f90,
	  dbcsr/dbcsr_operations_low_s.f90,
	  dbcsr/dbcsr_operations_low_z.f90, dbcsr/dbcsr_operations_s.f90,
	  dbcsr/dbcsr_operations_z.f90: DBCSR: Rename
	  dbcsr_operations_low.F -> dbcsr_operations.F

2014-10-30 14:32  oschuett

	* [r14512] dbcsr/dbcsr_api.F, dbcsr/dbcsr_multiply_api.F,
	  dbcsr/dbcsr_operations.F, dbcsr/dbcsr_performance_multiply.F,
	  dbcsr/dbcsr_test_multiply.F, dbcsr/dbcsr_tests.F: DBCSR: Create
	  module dbcsr_multiply_api

2014-10-30 14:27  oschuett

	* [r14511] dbcsr/dbcsr_api.F, dbcsr/dbcsr_lib.F,
	  dbcsr/dbcsr_operations.F, dbcsr/dbcsr_performance_driver.F,
	  dbcsr/dbcsr_test_driver.F: DBCSR: Create module dbcsr_lib

2014-10-30 14:22  oschuett

	* [r14510] dbcsr/dbcsr_operations.F: DBCSR: Remove unused routine
	  dbcsr_lanczos(), for real now

2014-10-30 14:21  oschuett

	* [r14509] dbcsr/dbcsr_api.F, dbcsr/dbcsr_operations.F,
	  dbcsr/dbcsr_performance_driver.F,
	  dbcsr/dbcsr_performance_multiply.F, dbcsr/dbcsr_test_driver.F,
	  dbcsr/dbcsr_test_multiply.F, dbcsr/dbcsr_tests.F: Revert previous
	  commit

2014-10-30 14:17  oschuett

	* [r14508] dbcsr/dbcsr_api.F, dbcsr/dbcsr_operations.F,
	  dbcsr/dbcsr_performance_driver.F,
	  dbcsr/dbcsr_performance_multiply.F, dbcsr/dbcsr_test_driver.F,
	  dbcsr/dbcsr_test_multiply.F, dbcsr/dbcsr_tests.F: DBCSR: Remove
	  unused routine dbcsr_lanczos()

2014-10-30 09:28  oschuett

	* [r14501] dbcsr/btree__nametype1__k__nametype2__v.template,
	  dbcsr/btree_i8_k_cp2d_v.F, dbcsr/btree_i8_k_dp2d_v.F,
	  dbcsr/btree_i8_k_sp2d_v.F, dbcsr/btree_i8_k_zp2d_v.F,
	  dbcsr/dbcsr_api.F, dbcsr/min_heap.F,
	  hfx_compression_core_methods.F, kg_min_heap.F,
	  metadyn_tools/graph_methods.F, metadyn_tools/graph_utils.F,
	  motion/mdctrl_methods.F, pw/fft/fft_lib.F, pw/fft/fft_plan.F,
	  pw/fft/fftw3_lib.F, xc/xc_input_constants.F: Make all modules
	  PRIVATE

2014-10-30 06:38  mkrack

	* [r14499] qs_environment_methods.F: Prettify

2014-10-29 18:26  jhutter

	* [r14498] qs_environment_methods.F: BUG FIX: DFTB/NDDO/SCPTB
	  update Ewald PW environment
	  in case of a cell change (NPT ensemble).
	  Reset 5 (DFTB) regtests

2014-10-29 15:22  sandermatt

	* [r14496] input_cp2k_xc.F: changing default Kim-Gordon KE_GGA
	  functional and marking the ones that are not producing correct
	  results

2014-10-29 08:36  jhutter

	* [r14494] pair_potential.F, qmmm_init.F, qs_dftb_matrices.F:
	  Initialize pointer in DFTB/QMMMM and some printing changes

2014-10-28 14:55  sandermatt

	* [r14493] rt_propagation_utils.F: emd: fix bug in linear scaling
	  rt_restart

2014-10-28 11:31  jhutter

	* [r14492] qs_dftb_matrices.F: DFTB/QMMM define erfc

2014-10-28 11:09  jhutter

	* [r14491] input_cp2k_qmmm.F, qmmm_elpot.F, qmmm_gpw_energy.F,
	  qmmm_gpw_forces.F, qmmm_init.F, qmmm_per_elpot.F,
	  qmmm_se_energy.F, qs_dftb_matrices.F, spme.F: DFTB/QMMM clean up
	  of code

2014-10-28 10:35  jhutter

	* [r14490] input_constants.F, input_cp2k_qmmm.F, qmmm_elpot.F,
	  qmmm_gpw_energy.F, qmmm_gpw_forces.F, qmmm_init.F,
	  qmmm_per_elpot.F, qmmm_se_energy.F, qs_dftb_matrices.F, spme.F:
	  DFTB/QMMM: more elctronic couplings

2014-10-28 08:29  agloess

	* [r14489] dbcsr/libsmm_acc/libclsmm/PACKAGE,
	  dbcsr/libsmm_acc/libclsmm/kernels/clsmm_common.cl,
	  dbcsr/libsmm_acc/libclsmm/kernels/clsmm_common.h,
	  dbcsr/libsmm_acc/libclsmm/kernels/clsmm_dnt_largeDB.cl,
	  dbcsr/libsmm_acc/libclsmm/kernels/clsmm_transpose.cl,
	  dbcsr/libsmm_acc/libclsmm/libclsmm.c: Add debug options, cleanup
	  code, and improve kernel performance.

2014-10-28 08:27  agloess

	* [r14488] acc/opencl/acc_opencl_mem.c,
	  acc/opencl/acc_opencl_mem.h, acc/opencl/kernels,
	  acc/opencl/kernels/cl_memset_zero.cl: Add device C-zeroing and
	  remove blocking data transfers.

2014-10-28 08:24  agloess

	* [r14487] acc/opencl/acc_opencl_dev.c,
	  acc/opencl/acc_opencl_event.c, acc/opencl/acc_opencl_stream.c:
	  Remove most "extern C" linkage specifications.

2014-10-27 20:07  agloess

	* [r14486] acc/acc_devmem.F: BugFix: Correct mismatch of start- and
	  end-index for zeroing.

2014-10-27 08:46  sandermatt

	* [r14482] dbcsr/dbcsr_api.F, dbcsr/dbcsr_vector_operations.F,
	  dbcsr/dbcsr_vector_operations_low.F,
	  dbcsrwrap/cp_dbcsr_interface.F: prettify, remove
	  UNMATCHED_PROCEDURE_ARGUMENTS, added implicit none

2014-10-24 16:05  fschiff

	* [r14481] dbcsr/dbcsr_api.F, dbcsr/dbcsr_vector_operations.F,
	  dbcsr/dbcsr_vector_operations_low.F,
	  dbcsr/dbcsr_vector_operations_low__nametype1_.instantiation,
	  dbcsr/dbcsr_vector_operations_low__nametype1_.template,
	  dbcsr/dbcsr_vector_operations_low_c.f90,
	  dbcsr/dbcsr_vector_operations_low_d.f90,
	  dbcsr/dbcsr_vector_operations_low_s.f90,
	  dbcsr/dbcsr_vector_operations_low_z.f90,
	  dbcsrwrap/cp_dbcsr_interface.F,
	  dbcsrwrap/cp_dbcsr_interface__nametype1_.template,
	  dbcsrwrap/cp_dbcsr_interface_c.f90,
	  dbcsrwrap/cp_dbcsr_interface_d.f90,
	  dbcsrwrap/cp_dbcsr_interface_s.f90,
	  dbcsrwrap/cp_dbcsr_interface_z.f90: Implementation of a dbcsr
	  matrix evctor framework, not yet complete but usable

2014-10-24 13:34  vondele

	* [r14475] distribution_methods.F, distribution_optimize.F,
	  input_constants.F, input_cp2k_distribution.F: remove untested and
	  useless distribute_2d_monte_carlo

2014-10-24 13:02  vondele

	* [r14474] input_cp2k_dft.F, qs_conductivity.F,
	  qs_core_hamiltonian.F, qs_scf_post_gpw.F, qs_scf_post_se.F:
	  remove untested optical_conductivity

2014-10-24 12:41  vondele

	* [r14473] scp_environment_types.F, scp_force_types.F: remove
	  unused force component

2014-10-23 15:38  oschuett

	* [r14472] hfx_admm_utils.F, motion/rt_propagation.F,
	  qs_environment_types.F, qs_ks_methods.F, qs_ks_types.F,
	  qs_rho_types.F, rt_hfx_utils.F, rt_propagation_methods.F,
	  rt_propagation_types.F, rtp_admm_methods.F: RTP: Move imaginary
	  parts next to their real parts.

2014-10-23 11:04  oschuett

	* [r14468] kpoint_methods.F: Convert cp_fm_gemm() into cp_gemm()

2014-10-22 13:50  sandermatt

	* [r14464] input_cp2k_dft.F: rtp: changing default number of
	  MCWEENY_MAX_ITER input parameter

2014-10-22 08:38  mkrack

	* [r14461] particle_methods.F: Print correct charges for core-shell
	  atoms

2014-10-22 08:24  sandermatt

	* [r14459] qs_diis.F: remove UNKNOWN_DOXYGEN_COMMENT

2014-10-22 07:52  jhutter

	* [r14458] qs_dftb_matrices.F: Deallocate work array (DFTB/QMMM)

2014-10-21 19:19  vondele

	* [r14455] dbcsrwrap/cp_dbcsr_interface.F, dm_ls_scf.F,
	  dm_ls_scf_types.F, input_cp2k_ls.F, qs_diis.F, qs_diis_types.F:
	  LS+DIIS (Fredy Aquino).

2014-10-21 16:24  oschuett

	* [r14454] input_cp2k_atom.F, input_cp2k_dft.F,
	  input_cp2k_global.F, input_cp2k_mp2.F, input_cp2k_poisson.F,
	  input_cp2k_xc.F: Input Description Change (Tomislav Subic)

2014-10-21 16:08  oschuett

	* [r14453] pw/pw_types.F: Fix ref-count error in pw_types

2014-10-21 16:07  oschuett

	* [r14452] qs_dftb_matrices.F: pretty

2014-10-21 12:21  jhutter

	* [r14451] qmmm_gpw_energy.F, qmmm_gpw_forces.F, qmmm_init.F,
	  qs_dftb_matrices.F, qs_scf_output.F: DFTB/QMMM: first step of
	  implementation.
	  Mechanical coupling and simple non-periodic Coulomb coupling
	  4 new regtests

2014-10-20 11:40  oschuett

	* [r14449] almo_scf.F, mscfg_methods.F, qs_environment_types.F,
	  qs_subsys_methods.F: pretty

2014-10-20 06:45  jhutter

	* [r14447] almo_scf.F, almo_scf_methods.F, almo_scf_optimizer.F,
	  almo_scf_qs.F, almo_scf_types.F, atom_kind_orbitals.F,
	  common/bibliography.F, dbcsrwrap/cp_dbcsr_interface.F,
	  input_constants.F, input_cp2k_almo.F, input_cp2k_dft.F,
	  mp2_ri_gpw.F, mscfg_methods.F, mscfg_types.F,
	  qs_environment_types.F, qs_initial_guess.F, qs_kind_types.F,
	  qs_subsys_methods.F, start/cp2k_runs.F,
	  subsys/molecule_types_new.F: ALMO Update (Rustam Z. Khaliullin):
	  fragments with charges,
	  major revision of AMLO keywords,
	  single-molecule loop to bootstrap calculations on complex
	  systems,
	  frozen term for the ALMO energy decomposition analysis,
	  improved convergence of the PCG algorithm,
	  bug fixes for cases R_cutoff > R_cell/2,
	  small quadratic overhead removed,
	  initial extension to open-shell fragments
	  some new regtests
	  

2014-10-19 11:10  oschuett

	* [r14446] _el_typename__list_types.instantiation,
	  _el_typename__list_types.template,
	  subsys/_el_typename__list_types.instantiation,
	  subsys/_el_typename__list_types.template: Move list_types
	  template into subsys

2014-10-18 20:54  vondele

	* [r14444] qs_ks_methods.F: fix uninit bug

2014-10-18 12:50  oschuett

	* [r14442] PACKAGE, atomic_kind_list_types.F, atomic_kind_types.F,
	  atprop_types.F, cell_types.F, colvar_types.F, cp_subsys_types.F,
	  damping_dipole_types.F, external_potential_types.F,
	  force_field_kind_types.F, mol_kind_new_list_types.F,
	  mol_new_list_types.F, molecule_kind_types.F,
	  molecule_types_new.F, motion/PACKAGE, multipole_types.F,
	  particle_list_types.F, particle_types.F, shell_potential_types.F,
	  subsys, subsys/PACKAGE, subsys/atomic_kind_list_types.F,
	  subsys/atomic_kind_types.F, subsys/atprop_types.F,
	  subsys/cell_types.F, subsys/colvar_types.F,
	  subsys/cp_subsys_types.F, subsys/damping_dipole_types.F,
	  subsys/external_potential_types.F,
	  subsys/force_field_kind_types.F,
	  subsys/mol_kind_new_list_types.F, subsys/mol_new_list_types.F,
	  subsys/molecule_kind_types.F, subsys/molecule_types_new.F,
	  subsys/multipole_types.F, subsys/particle_list_types.F,
	  subsys/particle_types.F, subsys/shell_potential_types.F,
	  subsys/virial_types.F, swarm/PACKAGE, tmc/PACKAGE,
	  virial_types.F: Create subsys package

2014-10-18 12:32  oschuett

	* [r14441] cp_output_handling.F, input/cp_output_handling.F: Move
	  cp_output_handling.F into input package (despite it's name)

2014-10-18 12:25  oschuett

	* [r14440] cp_output_handling.F, dft_plus_u.F, environment.F,
	  force_env_methods.F, input_constants.F, input_cp2k_almo.F,
	  input_cp2k_atom.F, input_cp2k_atprop.F,
	  input_cp2k_binary_restarts.F, input_cp2k_colvar.F,
	  input_cp2k_constraints.F, input_cp2k_dft.F,
	  input_cp2k_distribution.F, input_cp2k_eip.F,
	  input_cp2k_force_eval.F, input_cp2k_free_energy.F,
	  input_cp2k_global.F, input_cp2k_hfx.F, input_cp2k_ls.F,
	  input_cp2k_mixed.F, input_cp2k_mm.F, input_cp2k_motion_print.F,
	  input_cp2k_mp2.F, input_cp2k_neb.F, input_cp2k_poisson.F,
	  input_cp2k_properties_dft.F, input_cp2k_qmmm.F,
	  input_cp2k_resp.F, input_cp2k_subsys.F, input_cp2k_thermostats.F,
	  input_cp2k_xc.F, input_optimize_input.F, motion/helium_methods.F,
	  motion/input_cp2k_barostats.F, motion/input_cp2k_md.F,
	  motion/input_cp2k_vib.F, optbas_fenv_manipulation.F,
	  start/input_cp2k.F, start/input_cp2k_motion.F,
	  swarm/glbopt_input.F, swarm/swarm_input.F: Make
	  cp_output_handling.F independent from input_constants.F

2014-10-18 12:23  oschuett

	* [r14439] cell_methods.F, cell_types.F, constraint_fxd.F,
	  input_constants.F, input_cp2k_constraints.F,
	  input_cp2k_poisson.F, input_cp2k_qmmm.F, input_cp2k_subsys.F,
	  molecule_kind_types.F, motion/md_vel_utils.F,
	  pw_poisson_read_input.F, qs_resp.F, restraint.F,
	  thermostat_mapping.F, topology_constraint_util.F: Move use_perd
	  constants from input_constants.F into cell_types.F

2014-10-18 12:20  oschuett

	* [r14438] force_fields.F, force_fields_all.F, force_fields_ext.F,
	  force_fields_input.F, force_fields_util.F, input_constants.F,
	  input_cp2k_mm.F, mol_force.F, topology_connectivity_util.F: Move
	  do_ff constants from input_constants.F into
	  force_field_kind_types.F

2014-10-18 12:18  oschuett

	* [r14437] cell_methods.F, cell_types.F, input_constants.F,
	  input_cp2k_subsys.F, motion/cell_opt_utils.F: Move cell_sym
	  constants from input_constants.F into cell_types.F

2014-10-18 12:15  oschuett

	* [r14436] input_constants.F, input_cp2k_poisson.F,
	  multipole_types.F, qmmm_se_energy.F, qmmm_se_forces.F,
	  qs_environment.F, se_fock_matrix_coulomb_ga.F,
	  se_fock_matrix_coulomb_mpi.F, se_fock_matrix_exchange.F,
	  semi_empirical_int_ana.F, semi_empirical_int_gks.F,
	  semi_empirical_int_num.F, semi_empirical_types.F: Make
	  multipole_types.F independent from input_constants.F

2014-10-18 12:13  oschuett

	* [r14435] colvar_methods.F, colvar_types.F, input_constants.F,
	  input_cp2k_colvar.F, motion/barostat_types.F,
	  motion/input_cp2k_barostats.F, motion/integrator_utils.F: Move
	  colvar_check_points() from colvar_types.F into colvar_methods.F

2014-10-18 12:11  oschuett

	* [r14434] molecule_kind_types.F, qs_subsys_methods.F: Move
	  num_ao_el_per_molecule() from molecule_kind_types.F into
	  qs_subsys_methods.F

2014-10-18 12:09  oschuett

	* [r14433] cp_dbcsr_output.F, dft_plus_u.F, kg_tnadd_mat.F,
	  mp2_gpw.F, particle_methods.F, particle_types.F,
	  population_analyses.F, qs_dftb_matrices.F, qs_efield_berry.F,
	  qs_initial_guess.F, qs_linres_current.F,
	  qs_linres_current_utils.F, qs_linres_issc_utils.F,
	  qs_linres_op.F, qs_loc_methods.F, qs_overlap.F,
	  qs_p_sparse_psi.F, scp_environment.F, xas_methods.F,
	  xas_tp_scf.F: Move get_particle_set() from particle_types.F into
	  particle_methods.F

2014-10-18 12:07  oschuett

	* [r14432] almo_scf_qs.F, atoms_input.F, cell_methods.F,
	  cell_types.F, colvar_methods.F, cp_ddapc_types.F,
	  cp_subsys_methods.F, cp_subsys_types.F, distribution_methods.F,
	  efield_utils.F, eip_environment.F, eip_environment_types.F,
	  eip_silicon.F, ewald_spline_util.F, ewalds_multipole.F,
	  ewalds_multipole_debug.F, ewalds_multipole_debug.h,
	  f77_interface.F, fist_environment.F, fist_environment_types.F,
	  fist_force.F, fist_intra_force.F, fist_neighbor_list_control.F,
	  fist_neighbor_list_types.F, fist_neighbor_lists.F,
	  fist_nonbond_env_types.F, fist_nonbond_force.F,
	  force_env_methods.F, fp_methods.F, helium_io.F,
	  hfx_derivatives.F, hfx_energy_potential.F,
	  hfx_libint_interface.F, hfx_pair_list_methods.F, hfx_types.F,
	  input_restart_force_eval.F, ipi_driver.F, library_tests.F,
	  lri_environment_methods.F, manybody_siepmann.F,
	  mixed_environment.F, mixed_environment_types.F, moments_utils.F,
	  motion/bfgs_optimizer.F, motion/cell_opt_types.F,
	  motion/cell_opt_utils.F, motion/gopt_f77_methods.F,
	  motion/gopt_f_methods.F, motion/helium_methods.F,
	  motion/integrator.F, motion/mc_control.F,
	  motion/mc_coordinates.F, motion/mc_ensembles.F,
	  motion/mc_ge_moves.F, motion/mc_moves.F, motion/mc_types.F,
	  motion/md_energies.F, motion/md_run.F, mp2_ri_gpw.F,
	  mp2_ri_grad.F, multipole_types.F, optimize_input.F,
	  particle_methods.F, pme_tools.F, qmmm_create.F,
	  qmmm_force_mixing.F, qmmm_gpw_energy.F, qmmm_gpw_forces.F,
	  qmmm_image_charge.F, qmmm_init.F, qmmm_se_energy.F,
	  qmmm_se_forces.F, qmmm_util.F, qs_collocate_density.F,
	  qs_core_energies.F, qs_dftb3_methods.F, qs_dftb_coulomb.F,
	  qs_dispersion_pairpot.F, qs_efield_berry.F, qs_elec_field.F,
	  qs_environment.F, qs_environment_methods.F,
	  qs_environment_types.F, qs_epr_hyp.F, qs_external_potential.F,
	  qs_fermi_contact.F, qs_integrate_potential_product.F,
	  qs_integrate_potential_single.F, qs_ks_types.F,
	  qs_linres_atom_current.F, qs_linres_current.F,
	  qs_linres_current_utils.F, qs_linres_issc_utils.F,
	  qs_linres_nmr_shift.F, qs_linres_op.F, qs_loc_methods.F,
	  qs_loc_molecules.F, qs_loc_types.F, qs_loc_utils.F, qs_moments.F,
	  qs_neighbor_lists.F, qs_operators_ao.F, qs_pdos.F, qs_resp.F,
	  qs_rho0_ggrid.F, qs_scf_post_dftb.F, qs_scf_post_gpw.F,
	  qs_spin_orbit.F, qs_subsys_methods.F, qs_subsys_types.F,
	  scptb_ks_matrix.F, se_fock_matrix_coulomb_ga.F, se_ga_tools.F,
	  semi_empirical_utils.F, spme.F, subcell_types.F,
	  task_list_methods.F, tmc/tmc_analysis.F, tmc/tmc_calculations.F,
	  tmc/tmc_master.F, tmc/tmc_moves.F, tmc/tmc_worker.F, topology.F,
	  topology_cif.F, topology_cp2k.F, topology_generate_util.F,
	  topology_pdb.F, topology_types.F, topology_xtl.F, xas_methods.F,
	  xas_tp_scf.F, xray_diffraction.F: Move low-level routines from
	  cell_methods.F into cell_types.F

2014-10-18 12:03  oschuett

	* [r14431] cp2k_debug.F, eip_environment.F, fist_environment.F,
	  motion/gopt_f77_methods.F, motion/gopt_f_methods.F,
	  motion/mc_ensembles.F, motion/mc_ge_moves.F,
	  motion/md_energies.F, motion/neb_io.F, motion/pint_io.F,
	  motion/vibrational_analysis.F, motion_utils.F,
	  particle_methods.F, particle_types.F, qmmm_util.F,
	  qs_environment.F, qs_loc_methods.F, swarm/glbopt_master.F,
	  swarm/glbopt_mincrawl.F: Move high-level routines from
	  particle_types.F into new particle_methods.F

2014-10-18 12:01  oschuett

	* [r14430] colvar_types.F, colvar_utils.F, topology.F,
	  topology_constraint_util.F: Move post_process_colvar() from
	  colvar_types.F into colvar_utils.F

2014-10-18 12:00  oschuett

	* [r14429] force_field_kind_types.F, force_field_types.F,
	  force_fields_all.F, force_fields_util.F, molecule_kind_types.F:
	  Move force field kind types into separate module

2014-10-18 11:52  oschuett

	* [r14428] input_cp2k_barostats.F, input_cp2k_md.F,
	  motion/input_cp2k_barostats.F, motion/input_cp2k_md.F: Move
	  input_cp2k_barostats.F and input_cp2k_md.F into motion package

2014-10-17 08:54  oschuett

	* [r14427] qs_ks_methods.F: Remove doxify warnings

2014-10-16 15:04  oschuett

	* [r14426] almo_scf_qs.F, dm_ls_scf_qs.F, ep_methods.F,
	  motion/rt_propagation.F, optbas_fenv_manipulation.F,
	  qs_dftb_matrices.F, qs_energy.F, qs_energy_utils.F, qs_force.F,
	  qs_initial_guess.F, qs_kpp1_env_methods.F, qs_ks_methods.F,
	  qs_p_env_methods.F, qs_scf.F, qs_scf_diagonalization.F,
	  qs_scf_loop_utils.F, qs_scf_post_gpw.F, qs_scf_post_scptb.F,
	  qs_scf_post_se.F, qs_tddfpt_module.F, rt_propagation_methods.F,
	  rt_propagator_init.F, scptb_ks_matrix.F,
	  se_fock_matrix_control.F, se_fock_matrix_ga.F,
	  se_fock_matrix_mpi.F, xas_tp_scf.F: Simplify qs_ks_update_qs_env

2014-10-16 12:00  oschuett

	* [r14425] admm_methods.F, harris_force.F, harris_functional.F,
	  kg_correction.F, optbas_fenv_manipulation.F, optimize_basis.F,
	  qmmm_se_energy.F, qs_core_hamiltonian.F, qs_kinetic.F,
	  qs_ks_methods.F, qs_linres_epr_nablavks.F, qs_overlap.F,
	  qs_vxc.F, rt_propagation_utils.F, rtp_admm_methods.F,
	  scptb_core_matrix.F, se_core_matrix.F, xc_adiabatic_utils.F: Port
	  qs_vxc_create, build_overlap_matrix, and build_kinetic_matrix to
	  ks_env

2014-10-16 08:36  jhutter

	* [r14424] mulliken.F: Some cleaning and trapping of undefined
	  states.

2014-10-16 05:44  vondele

	* [r14423] cp_ddapc.F: valgrind/gcc workaround

2014-10-15 17:23  dorotheagolze

	* [r14422] qmmm_image_charge.F, qs_collocate_density.F: fixing
	  comments for image charges

2014-10-15 16:22  oschuett

	* [r14421] qs_environment.F, qs_environment_types.F, qs_ks_types.F,
	  qs_subsys_types.F, rt_propagator_init.F: Simplify qs_env: Move
	  nlectron_total and nelectron_spin into qs_subsys

2014-10-15 15:05  oschuett

	* [r14420] qs_environment_types.F: Remove doxify warning

2014-10-15 14:00  oschuett

	* [r14418] cp_ddapc_forces.F, cp_ddapc_util.F, dft_plus_u.F,
	  dkh_main.F, efield_utils.F, ep_methods.F, et_coupling.F,
	  harris_force.F, kg_environment.F, molecular_states.F, mp2.F,
	  mp2_ri_grad.F, optbas_fenv_manipulation.F, optimize_basis.F,
	  population_analyses.F, preconditioner.F, qmmm_gpw_energy.F,
	  qmmm_gpw_forces.F, qs_energy_utils.F, qs_environment.F,
	  qs_environment_methods.F, qs_environment_types.F, qs_force.F,
	  qs_initial_guess.F, qs_ks_methods.F, qs_ks_types.F,
	  qs_loc_utils.F, qs_main.F, qs_moments.F, qs_p_env_methods.F,
	  qs_rho_atom_methods.F, qs_scf.F, qs_scf_diagonalization.F,
	  qs_scf_initialization.F, qs_scf_loop_utils.F, qs_scf_post_gpw.F,
	  qs_scf_post_scptb.F, qs_scf_post_se.F, qs_tddfpt_eigensolver.F,
	  qs_tddfpt_types.F, rt_propagation_utils.F, wannier_states.F,
	  xas_restart.F, xas_tp_scf.F, xc_pot_saop.F: Simplify qs_env: Move
	  para_env and blacs_env into ks_env

2014-10-14 15:34  oschuett

	* [r14417] qmmm_create.F, qmmm_init.F, qs_energy_utils.F,
	  qs_environment_methods.F, qs_environment_types.F, qs_ks_types.F,
	  qs_scf.F: Simplify qs_env: Move pw_env into ks_env

2014-10-14 13:57  oschuett

	* [r14415] qs_environment_methods.F, qs_environment_types.F,
	  qs_ks_types.F: Simplify qs_env: Move dbcsr_dist and
	  distribution_2d into ks_env

2014-10-14 12:19  oschuett

	* [r14414] cp_ddapc.F, cp_ddapc_util.F, dft_plus_u.F,
	  efield_utils.F, ep_methods.F, et_coupling.F, hfx_communication.F,
	  hfx_derivatives.F, hfx_energy_potential.F, lri_ks_methods.F,
	  motion/integrator.F, motion/rt_propagation.F, mp2.F, mp2_cphf.F,
	  mp2_direct_method.F, mp2_gpw.F, mp2_ri_gpw.F, mp2_ri_grad.F,
	  mp2_ri_libint.F, optbas_fenv_manipulation.F, preconditioner.F,
	  pw_env_methods.F, qmmm_gpw_energy.F, qmmm_gpw_forces.F,
	  qmmm_init.F, qs_core_hamiltonian.F, qs_dftb_coulomb.F,
	  qs_efield_berry.F, qs_energy_utils.F, qs_environment.F,
	  qs_environment_methods.F, qs_environment_types.F,
	  qs_external_density.F, qs_external_potential.F, qs_force.F,
	  qs_gspace_mixing.F, qs_initial_guess.F,
	  qs_integrate_potential_single.F, qs_ks_apply_restraints.F,
	  qs_ks_atom.F, qs_ks_methods.F, qs_ks_types.F, qs_ks_utils.F,
	  qs_linres_atom_current.F, qs_overlap.F, qs_p_env_methods.F,
	  qs_resp.F, qs_rho_atom_methods.F, qs_scf.F,
	  qs_scf_diagonalization.F, qs_scf_initialization.F,
	  qs_scf_post_gpw.F, qs_scf_post_se.F, qs_tddfpt_eigensolver.F,
	  qs_tddfpt_types.F, qs_tddfpt_utils.F, qs_wf_history_methods.F,
	  rt_delta_pulse.F, rt_propagation_methods.F,
	  rt_propagation_output.F, rt_propagation_utils.F,
	  rt_propagator_init.F, scptb_core_matrix.F, start/cp2k_runs.F:
	  Simplify qs_env: Move dft_control into ks_env

2014-10-13 12:55  jhutter

	* [r14413] qs_dispersion_pairpot.F: Bugfix C9 term for DFT-D3,
	  periodic systems.
	  Change of coordination number counting function: make the
	  function
	  integrable over all space (meaning that when used with very large
	  cutoff, the new function now converges to a finite value).
	  Reset most DFT-D3 regtests.

2014-10-13 09:23  sandermatt

	* [r14412] helium_io.F, motion/pint_normalmode.F,
	  motion/pint_public.F, motion/pint_staging.F: removing the rest of
	  the unknown comments and unmatched procedure arguments

2014-10-13 08:54  oschuett

	* [r14410] cp_subsys_types.F, efield_utils.F, qs_environment.F,
	  qs_environment_types.F, qs_external_potential.F, qs_ks_types.F,
	  qs_subsys_types.F: Simplify qs_env, move qs_subsys into ks_env

2014-10-13 08:38  sandermatt

	* [r14409] motion/helium_methods.F, motion/input_cp2k_restarts.F,
	  motion/pint_methods.F, motion/pint_public.F: dealing with unknown
	  doxygen comments

2014-10-10 14:25  sandermatt

	* [r14408] common/parallel_rng_types.F,
	  dbcsr/dbcsr_data_methods_low.F, dbcsr/dbcsr_mm_csr.F,
	  dbcsr/dbcsr_operations_low.F, dbcsr/min_heap.F, helium_io.F,
	  kg_min_heap.F, minimax.F, minimax_rpa.F, mode_selective.F,
	  motion/helium_methods.F, motion/input_cp2k_restarts.F,
	  motion/pint_io.F, motion/pint_methods.F,
	  motion/pint_normalmode.F, motion/pint_public.F,
	  motion/pint_staging.F, motion/pint_transformations.F,
	  motion/pint_types.F, pw/fft/fftsg_lib.F, qs_scf_post_gpw.F,
	  qs_scf_wfn_mix.F, xc/xc_b97.F: removing most double subroutine
	  sections created by doxify

2014-10-10 12:41  oschuett

	* [r14407] qs_environment_types.F, qs_initial_guess.F,
	  qs_ks_types.F, qs_scf.F, qs_scf_initialization.F: Simplify
	  qs_env: Move kpoints into ks_env

2014-10-10 12:16  oschuett

	* [r14406] admm_methods.F, almo_scf_qs.F, dm_ls_scf_qs.F,
	  mp2_cphf.F, qmmm_se_energy.F, qs_environment_types.F,
	  qs_ks_methods.F, qs_ks_types.F, qs_neighbor_lists.F,
	  rtp_admm_methods.F, se_core_matrix.F: Simplify qs_env: Move
	  neighbor-lists into ks_env

2014-10-10 09:25  sandermatt

	* [r14405] dm_ls_scf_curvy.F: remove some mess in dm_ls_scf_curvy.F
	  created by doxify not recognising the previous documentation

2014-10-09 16:51  oschuett

	* [r14404] mp2_cphf.F, qs_environment_methods.F,
	  qs_environment_types.F, qs_ks_methods.F, qs_ks_types.F,
	  qs_ks_utils.F, qs_vxc.F: Simplify qs_env: Move rho_core,
	  rho_nlcc, vppl, and vee into ks_env

2014-10-09 16:06  oschuett

	* [r14403] qs_ks_types.F: Remove unused arguments from set_ks_env()

2014-10-09 15:49  oschuett

	* [r14402] almo_scf.F, almo_scf_qs.F: ALMO: Remove unused code

2014-10-09 12:58  oschuett

	* [r14401] almo_scf_qs.F, dm_ls_scf_qs.F, ep_methods.F,
	  et_coupling.F, harris_env_types.F, harris_force.F,
	  harris_functional.F, hfx_admm_utils.F, kg_correction.F,
	  mp2_cphf.F, optbas_fenv_manipulation.F, qs_collocate_density.F,
	  qs_environment.F, qs_environment_methods.F,
	  qs_environment_types.F, qs_force.F, qs_initial_guess.F,
	  qs_ks_methods.F, qs_ks_types.F, qs_ks_utils.F,
	  qs_linres_epr_nablavks.F, qs_p_env_methods.F, qs_rho_methods.F,
	  qs_rho_types.F, qs_scf_initialization.F, qs_tddfpt_module.F,
	  rt_propagation_utils.F, rtp_admm_methods.F, xas_restart.F,
	  xas_tp_scf.F, xc_adiabatic_utils.F: Simplify qs_env, move rho
	  into ks_env

2014-10-09 11:23  oschuett

	* [r14400] kg_correction.F, qs_environment_methods.F,
	  qs_environment_types.F, qs_linres_methods.F, qs_p_env_methods.F,
	  qs_p_env_types.F, qs_rho_methods.F, qs_rho_types.F: GAPW_XC:
	  Remove awkward rho_xc%rho_ao => rho%rho_ao

2014-10-08 13:19  oschuett

	* [r14399] harris_force.F, qs_rho_methods.F: Remove unused
	  subroutines

2014-10-07 18:01  oschuett

	* [r14398] ep_methods.F: Bugfix

2014-10-07 12:58  sandermatt

	* [r14394] start/cp2k.F: make cp2k stop if two input files are
	  specified

2014-10-07 12:37  oschuett

	* [r14393] almo_scf_qs.F, cp_ddapc.F, dm_ls_scf_qs.F, ep_methods.F,
	  et_coupling.F, hfx_admm_utils.F, hfx_derivatives.F,
	  hfx_ri_methods.F, motion/rt_propagation.F, mp2_cphf.F,
	  optbas_fenv_manipulation.F, optimize_basis.F, preconditioner.F,
	  qmmm_se_energy.F, qs_core_hamiltonian.F, qs_dftb_matrices.F,
	  qs_efield_berry.F, qs_energy_utils.F, qs_environment.F,
	  qs_environment_methods.F, qs_environment_types.F, qs_force.F,
	  qs_initial_guess.F, qs_ks_methods.F, qs_ks_types.F,
	  qs_ks_utils.F, qs_p_env_methods.F, qs_resp.F, qs_scf_post_gpw.F,
	  qs_tddfpt_eigensolver.F, qs_tddfpt_module.F, qs_tddfpt_utils.F,
	  rtp_admm_methods.F, scptb_core_matrix.F, scptb_ks_matrix.F,
	  se_core_matrix.F, se_fock_matrix_ga.F, se_fock_matrix_mpi.F,
	  surface_dipole.F, xas_tp_scf.F, xc_pot_saop.F: Simplify qs_env,
	  move matrices into ks_env

2014-10-02 08:16  vondele

	* [r14377] base/machine.F: use a system_clock with int_8 arguments
	  for typically improved resolution

2014-10-02 07:07  jhutter

	* [r14376] qs_dftb3_methods.F: DFTB3: change of sign, 3rd order
	  parameter equal to litterature value
	  reset two regtests

2014-10-01 08:52  sandermatt

	* [r14372] motion/mdctrl_methods.F,
	  pw/ps_wavelet_scaling_function.F: adding some implicit none
	  statements

2014-09-30 19:15  oschuett

	* [r14369] qs_environment.F, qs_environment_types.F: Remove
	  UNMATCHED_PROCEDURE_ARGUMENT

2014-09-30 16:31  oschuett

	* [r14368] acc/acc_hostmem.F, cp_subsys_methods.F,
	  cp_subsys_types.F, dm_ls_scf_qs.F, efield_utils.F, ep_methods.F,
	  et_coupling.F, force_env_types.F, harris_force.F,
	  harris_functional.F, lri_ks_methods.F, mp2_gpw.F, mp2_ri_gpw.F,
	  mp2_ri_grad.F, qmmm_gpw_energy.F, qmmm_se_energy.F,
	  qmmm_se_forces.F, qs_energy.F, qs_energy_utils.F,
	  qs_environment.F, qs_environment_types.F,
	  qs_external_potential.F, qs_force.F, qs_linres_current.F,
	  qs_linres_epr_nablavks.F, qs_loc_methods.F, qs_main.F,
	  qs_p_env_methods.F, qs_resp.F, qs_scf_post_gpw.F,
	  qs_scf_post_scptb.F, qs_scf_post_se.F, qs_subsys_methods.F,
	  qs_subsys_types.F, qs_tddfpt_module.F, se_core_matrix.F,
	  surface_dipole.F: Simplify qs_env, introduce qs_subsys_type

2014-09-30 16:08  vondele

	* [r14367] dbcsr/dbcsr_mm_accdrv.F: fix long lines.

2014-09-30 15:39  sandermatt

	* [r14365] input/input_section_types.F, tmc/tmc_messages.F: make
	  section_vals_get always return the correct number of sections +
	  prettify

2014-09-30 15:06  agloess

	* [r14364] acc/PACKAGE, acc/acc_devmem.F, acc/acc_hostmem.F,
	  acc/acc_hostmem__nametype1_.template, acc/acc_hostmem_c.f90,
	  acc/acc_hostmem_d.f90, acc/acc_hostmem_i.f90,
	  acc/acc_hostmem_l.f90, acc/acc_hostmem_r.f90,
	  acc/acc_hostmem_z.f90, acc/cuda/acc_cuda_dev.cu,
	  acc/cuda/acc_cuda_mem.cu, acc/include/acc.h, acc/opencl,
	  acc/opencl/PACKAGE, acc/opencl/acc_opencl_dev.c,
	  acc/opencl/acc_opencl_dev.h, acc/opencl/acc_opencl_error.c,
	  acc/opencl/acc_opencl_error.h, acc/opencl/acc_opencl_event.c,
	  acc/opencl/acc_opencl_mem.c, acc/opencl/acc_opencl_mem.h,
	  acc/opencl/acc_opencl_stream.c, acc/opencl/acc_opencl_stream.h,
	  dbcsr/dbcsr_mm_accdrv.F, dbcsr/dbcsr_mm_sched.F,
	  dbcsr/dbcsr_ptr_util__nametype1_.template,
	  dbcsr/dbcsr_ptr_util_c.f90, dbcsr/dbcsr_ptr_util_d.f90,
	  dbcsr/dbcsr_ptr_util_i.f90, dbcsr/dbcsr_ptr_util_l.f90,
	  dbcsr/dbcsr_ptr_util_s.f90, dbcsr/dbcsr_ptr_util_z.f90,
	  dbcsr/dbcsr_test_driver.F, dbcsr/libsmm_acc/PACKAGE,
	  dbcsr/libsmm_acc/include/libsmm_acc.h, dbcsr/libsmm_acc/libclsmm,
	  dbcsr/libsmm_acc/libclsmm/PACKAGE,
	  dbcsr/libsmm_acc/libclsmm/kernels,
	  dbcsr/libsmm_acc/libclsmm/kernels/PACKAGE,
	  dbcsr/libsmm_acc/libclsmm/kernels/clsmm_common.h,
	  dbcsr/libsmm_acc/libclsmm/kernels/clsmm_dnt_largeDB.cl,
	  dbcsr/libsmm_acc/libclsmm/kernels/clsmm_transpose.cl,
	  dbcsr/libsmm_acc/libclsmm/libclsmm.c,
	  dbcsr/libsmm_acc/libclsmm/libclsmm.h,
	  dbcsr/libsmm_acc/libcusmm/generate.py: Adapt general ACC and
	  SMM_ACC interfaces to the needs of OpenCL.
	  Add ACC-OpenCL backend.
	  Add SMM_ACC-OpenCL backend (a prototype for 23x23 matrices).

2014-09-30 09:41  marci73

	* [r14363] cell_methods.F, metadynamics.F, motion/md_run.F: patch
	  for PLUMED (Ralph Koitz)

2014-09-30 09:13  mandes

	* [r14362] tmc/tmc_messages.F: TMC messages: correct variable
	  habdling, due to posible loop variable modification

2014-09-29 13:32  oschuett

	* [r14361] force_env_types.F, input_restart_force_eval.F,
	  motion/md_run.F, motion/tamc_run.F: Refactoring: Remove cell_ref
	  from force_env

2014-09-29 11:25  oschuett

	* [r14357] cp_subsys_types.F, eip_environment.F,
	  eip_environment_types.F, ep_methods.F, ewald_environment_types.F,
	  ewald_pw_methods.F, f77_interface.F, fist_environment.F,
	  fist_environment_types.F, fist_force.F, force_env_methods.F,
	  force_env_types.F, ipi_driver.F, mixed_environment.F,
	  mixed_environment_types.F, motion/cell_opt_types.F,
	  motion/cell_opt_utils.F, motion/gopt_f77_methods.F,
	  motion/gopt_f_methods.F, motion/integrator.F,
	  motion/mc_ge_moves.F, motion/mc_moves.F,
	  motion/thermostat_methods.F, mp2_gpw.F, mp2_ri_gpw.F,
	  pw_env_methods.F, pw_env_types.F, qs_energy.F, qs_environment.F,
	  qs_environment_methods.F, qs_environment_types.F, qs_force.F:
	  Refactoring: Store cell in cp_subsys

2014-09-29 08:38  sandermatt

	* [r14352] motion/rt_propagation.F: rtp: prevent hamiltonian
	  filtering in full matrix code

2014-09-28 20:46  oschuett

	* [r14350] acc/acc_hostmem_c.f90, acc/acc_hostmem_d.f90,
	  acc/acc_hostmem_i.f90, acc/acc_hostmem_l.f90,
	  acc/acc_hostmem_r.f90, acc/acc_hostmem_z.f90,
	  common/cp_array__nametype1__utils.template,
	  common/cp_array_i_utils.F, common/cp_array_logical_utils.F,
	  common/cp_array_r_utils.F,
	  common/cp_linked_list__nametype1_.template,
	  common/dict__keytype___valuetype_.template,
	  common/dict_i4tuple_callstat.F, common/dict_str_i4.F,
	  common/list__valuetype_.template, common/list_callstackentry.F,
	  common/list_routinereport.F, common/list_routinestat.F,
	  common/list_timerenv.F, dbcsr/dbcsr_block_access_c.f90,
	  dbcsr/dbcsr_block_access_d.f90, dbcsr/dbcsr_block_access_s.f90,
	  dbcsr/dbcsr_block_access_z.f90, dbcsr/dbcsr_ptr_util_c.f90,
	  dbcsr/dbcsr_ptr_util_d.f90, dbcsr/dbcsr_ptr_util_i.f90,
	  dbcsr/dbcsr_ptr_util_l.f90, dbcsr/dbcsr_ptr_util_s.f90,
	  dbcsr/dbcsr_ptr_util_z.f90, dbcsrwrap/cp_dbcsr_interface_c.f90,
	  dbcsrwrap/cp_dbcsr_interface_d.f90,
	  dbcsrwrap/cp_dbcsr_interface_s.f90,
	  dbcsrwrap/cp_dbcsr_interface_z.f90, fm/cp_linked_list_fm.F,
	  force_env_methods.F,
	  input/cp_linked_list__nametype1_.instantiation,
	  input/cp_linked_list_char.F, input/cp_linked_list_int.F,
	  input/cp_linked_list_logical.F, input/cp_linked_list_real.F,
	  input/cp_linked_list_val.F, pw/cp_linked_list_3d_r.F,
	  pw/cp_linked_list_pw.F, pw/cp_linked_list_rs.F,
	  swarm/swarm_message_i4.f90, swarm/swarm_message_i4_1d.f90,
	  swarm/swarm_message_i8.f90, swarm/swarm_message_i8_1d.f90,
	  swarm/swarm_message_r4.f90, swarm/swarm_message_r4_1d.f90,
	  swarm/swarm_message_r8.f90, swarm/swarm_message_r8_1d.f90,
	  swarm/swarm_message_str.f90,
	  xc/cp_linked_list__nametype1_.instantiation,
	  xc/cp_linked_list_xc_deriv.F: prettify templates

2014-09-25 15:58  oschuett

	* [r14344] dbcsr/libsmm_acc/libcusmm/generate.py: Libcusmm: Fix
	  generation of transpose kernels again

2014-09-25 13:08  fschiff

	* [r14341] input_constants.F, input_cp2k_dft.F,
	  input_cp2k_properties_dft.F, preconditioner.F,
	  qs_linres_module.F, qs_ot_types.F, qs_scf.F: removed sparse
	  preconditioners and SAINV inversion

2014-09-24 16:54  oschuett

	* [r14340] cp2k_debug.F, f77_interface.F, force_env_methods.F,
	  force_env_types.F, input_restart_force_eval.F, ipi_driver.F,
	  metadynamics_utils.F, motion/gopt_f77_methods.F,
	  motion/gopt_f_methods.F, motion/gopt_f_types.F,
	  motion/integrator.F, motion/md_run.F, motion/tamc_run.F,
	  qmmm_update.F, replica_methods.F, tmc/tmc_worker.F: Simplify
	  force_env, do not store copy of cp_subsys

2014-09-24 15:49  oschuett

	* [r14339] dbcsr/libsmm_acc/libcusmm/generate.py: Libcusmm: Fix
	  generation of transpose kernels

2014-09-24 13:24  vondele

	* [r14338] hfx_derivatives.F: last missing default(none)

2014-09-24 13:09  vondele

	* [r14337] hfx_energy_potential.F: more default(none)

2014-09-24 13:05  vondele

	* [r14336] rpa_communication.F: more default(none)

2014-09-24 12:41  vondele

	* [r14335] eip_silicon.F: more default(none)

2014-09-24 12:36  vondele

	* [r14334] xc/xc_perdew86.F: more default(none)

2014-09-24 12:22  vondele

	* [r14333] xc/xc_perdew_wang.F, xc/xc_tfw.F: more default(none)

2014-09-24 11:58  vondele

	* [r14332] xc/xc_pade.F: more default(none)

2014-09-24 11:33  sandermatt

	* [r14331] motion/rt_propagation.F, rt_propagation_methods.F:
	  rtp:some cleanup

2014-09-24 10:09  vondele

	* [r14330] xc/xc_perdew_zunger.F: more default(none)

2014-09-24 10:01  vondele

	* [r14329] xc/xc_xalpha.F: more default(none)

2014-09-24 09:51  vondele

	* [r14328] xc/xc_thomas_fermi.F: more default(none)

2014-09-24 09:17  vondele

	* [r14327] xc/xc.F: more default(none)

2014-09-24 08:20  sandermatt

	* [r14326] force_env_types.F: remove unmatched procedure argument

2014-09-24 07:44  vondele

	* [r14325] pw/pw_methods.F, pw/pw_spline_utils.F: more
	  default(none)

2014-09-23 18:37  vondele

	* [r14324] dbcsr/dbcsr_data_operations.F, pw/pw_methods.F,
	  xc/xc_functionals_utilities.F: adding loop bounds for the intel
	  compiler

2014-09-23 18:25  vondele

	* [r14323] grid/fast.F, pw/fft/mltfftsg_tools.F, pw/pw_methods.F,
	  xc/xc_functionals_utilities.F: omp bugfix and more default none

2014-09-23 17:54  vondele

	* [r14322] cp_ma_interface.F, dbcsr/dbcsr_data_operations.F,
	  grid/fast.F, pw/fft/fftw3_lib.F, pw/pw_methods.F, qs_ot.F,
	  xc/xc_functionals_utilities.F: a couple more default(none)

2014-09-23 16:50  oschuett

	* [r14321] cp_subsys_methods.F, cp_subsys_types.F, f77_interface.F,
	  fist_environment_types.F, force_env_methods.F, force_env_types.F,
	  mixed_environment_types.F, qs_environment_types.F,
	  qs_linres_polar_utils.F, qs_moments.F, qs_scf.F,
	  qs_scf_post_gpw.F, replica_methods.F, tmc/tmc_worker.F:
	  Centralize storage of cp_results in cp_subsys

2014-09-23 14:52  sandermatt

	* [r14319] cp_control_types.F, cp_control_utils.F,
	  input_cp2k_dft.F, motion/rt_propagation.F,
	  rt_propagation_methods.F, rt_propagation_output.F,
	  rt_propagation_types.F, rt_propagation_utils.F: rtp: enabling
	  rt_restart for density propagation

2014-09-23 12:24  oschuett

	* [r14318] dbcsr/libsmm_acc/libcusmm/parameters.txt: More
	  parameters for libcusmm

2014-09-23 10:16  mkrack

	* [r14317] cp2k_debug.F: Fix coordinate printing for QS

2014-09-23 09:35  mkrack

	* [r14316] mpiwrap/message_passing.F: Fix unused variables

2014-09-23 08:29  sandermatt

	* [r14315] mpiwrap/message_passing.F: getting an unused unit number
	  in mp_file_open

2014-09-22 13:04  oschuett

	* [r14313] acc/acc_device.F, acc/cuda/acc_cuda_dev.cu: Fix
	  multi-GPU nodes with OpenMP

2014-09-22 12:28  sandermatt

	* [r14312] fm/cp_cfm_basic_linalg.F, force_env_types.F: remove
	  unmatched procedure arguments

2014-09-22 12:15  sandermatt

	* [r14311] rt_hfx_utils.F, rt_matrix_exp.F, rt_matrix_exp_dbcsr.F,
	  rt_propagation_methods.F, rt_propagation_output.F,
	  rt_propagation_types.F, rt_propagator_init.F, rtp_admm_methods.F:
	  rtp: adding intents

2014-09-22 11:12  oschuett

	* [r14310] cp_subsys_methods.F, cp_subsys_types.F, ep_methods.F,
	  force_env_methods.F, force_env_types.F, hartree_local_methods.F,
	  motion/md_energies.F, motion/md_run.F, motion/rt_propagation.F,
	  motion/tamc_run.F, mp2.F, optimize_basis.F, qmmm_update.F,
	  qs_core_energies.F, qs_dftb3_methods.F, qs_dftb_coulomb.F,
	  qs_dftb_dispersion.F, qs_dftb_matrices.F,
	  qs_dispersion_pairpot.F, qs_energy_utils.F,
	  qs_environment_types.F, qs_integrate_potential_single.F,
	  scptb_core_interactions.F, scptb_ks_matrix.F, se_core_core.F,
	  se_fock_matrix_coulomb_ga.F, se_fock_matrix_coulomb_mpi.F,
	  se_fock_matrix_ga.F, se_fock_matrix_mpi.F: Refactor qs_env, move
	  atprop and virial into cp_subsys

2014-09-20 15:47  vondele

	* [r14309] grid/fast.F: bug fix omp, explicit default(none)

2014-09-19 18:56  vondele

	* [r14307] dbcsr/libsmm_acc/libcusmm/generate.py: fix cuda building

2014-09-19 18:21  vondele

	* [r14306] pw_env_methods.F, qs_gspace_mixing.F: fix allowing
	  valgrind testing at -O1 (PR63311)

2014-09-19 13:59  vondele

	* [r14301] pw/pw_cuda.F: remove unused vars

2014-09-19 12:48  fschiff

	* [r14299] qs_ot.F: if for new OT estimate at the correct position

2014-09-19 12:24  jhutter

	* [r14297] common/bibliography.F, input_constants.F,
	  input_cp2k_xc.F, qs_dispersion_pairpot.F, qs_dispersion_types.F,
	  qs_dispersion_utils.F, qs_neighbor_lists.F: DFTD3 Becke-Johnson
	  damping function,
	  some new D3 functional parameters, 4 new regtests

2014-09-19 11:14  fschiff

	* [r14296] qs_ot.F: better estimate for the order of taylor
	  expansion in ot

2014-09-19 11:14  sandermatt

	* [r14295] dbcsr/dbcsr_operations_low.F: prettify

2014-09-19 10:47  fschiff

	* [r14294] dbcsr/dbcsr_operations_low.F: explicit scaling as GPU
	  libraries try to use acc version (100x slower)

2014-09-19 10:24  fschiff

	* [r14293] dbcsr/dbcsr_config.F,
	  dbcsr/libsmm_acc/libcusmm/generate.py: change in the defaults
	  gives significant speed up on GPUs

2014-09-18 14:07  sandermatt

	* [r14292] motion/rt_propagation.F, rt_propagation_utils.F,
	  rt_propagator_init.F: rtp: fix another problem with the restart

2014-09-18 12:31  sandermatt

	* [r14291] bsse.F: prettify

2014-09-18 12:10  sandermatt

	* [r14290] dm_ls_scf_methods.F: make trs4 handle zero electrons

2014-09-18 10:30  ibethune

	* [r14288] bsse.F, input_cp2k_dft.F: Allow LIST keyword to be
	  repeated in BSSE / FRAGMENT section (Lianheng
	  Tong)

2014-09-17 15:50  oschuett

	* [r14285] dbcsr/libsmm_acc/libcusmm/parameters.txt: More
	  parameters for libcusmm

2014-09-17 14:11  oschuett

	* [r14284] dbcsr/libsmm_acc/libcusmm/collect.py,
	  dbcsr/libsmm_acc/libcusmm/parameters.txt: Parameters for new
	  blocksizes in libcusmm

2014-09-17 13:49  oschuett

	* [r14283] dbcsr/libsmm_acc/libcusmm/libcusmm_benchmark.cu: Fix
	  libcusmm benchmark for small stacks

2014-09-17 13:42  oschuett

	* [r14282] cp_subsys_methods.F, cp_subsys_types.F,
	  eip_environment.F, fist_environment.F, fist_environment_types.F,
	  mixed_environment.F, mixed_environment_types.F, qs_environment.F,
	  qs_environment_types.F: Refactoring to centralize creation of
	  cp_subsys

2014-09-17 11:42  vondele

	* [r14281] bsse.F: refined bug fix (Ole)

2014-09-17 10:56  vondele

	* [r14280] bsse.F: bug fix string lengths for many fragments

2014-09-17 07:52  vondele

	* [r14278] almo_scf.F, almo_scf_diis_types.F, almo_scf_methods.F,
	  almo_scf_qs.F, ct_methods.F, ct_types.F,
	  domain_submatrix_methods.F, fm/cp_cfm_basic_linalg.F: doxify

2014-09-16 14:11  jhutter

	* [r14275] fm/cp_fm_types.F: Call blacs routine always with valid
	  array pointers (even if not used)

2014-09-16 13:23  jhutter

	* [r14274] fm/cp_cfm_basic_linalg.F, fm/cp_cfm_diag.F,
	  fm/cp_fm_types.F, k290.F, kpoint_methods.F, qs_mo_io.F,
	  qs_neighbor_lists.F, qs_scf_diagonalization.F,
	  rt_propagation_utils.F: Kpoints: bugfixes and updates, three new
	  regtests
	  Basic functionality in place and working, kpoint parallelization

2014-09-16 12:41  sandermatt

	* [r14272] rt_propagation_utils.F: rtp:bugfix rtp restart

2014-09-16 12:17  sandermatt

	* [r14271] input_cp2k_dft.F: fix typo

2014-09-16 11:05  sandermatt

	* [r14270] almo_scf.F, almo_scf_diis_types.F, dbcsr/dbcsr_api.F,
	  dbcsrwrap/cp_dbcsr_interface.F: prettify

2014-09-16 07:07  jhutter

	* [r14267] almo_scf.F, almo_scf_aux2_methods.F,
	  almo_scf_aux2_types.F, almo_scf_aux_types.F,
	  almo_scf_diis_types.F, almo_scf_methods.F, almo_scf_special.F:
	  ALMO update, delete empty files, remove reallocations

2014-09-15 07:45  jhutter

	* [r14266] almo_scf.F, almo_scf_aux2_methods.F,
	  almo_scf_aux2_types.F, almo_scf_aux_types.F,
	  almo_scf_diis_types.F, almo_scf_methods.F, almo_scf_qs.F,
	  almo_scf_special.F, almo_scf_types.F, ct_methods.F, ct_types.F,
	  dbcsr/dbcsr_api.F, dbcsr/dbcsr_io.F, dbcsr/dbcsr_operations.F,
	  dbcsr/dbcsr_operations_low.F, dbcsrwrap/cp_dbcsr_interface.F,
	  domain_submatrix_methods.F, domain_submatrix_types.F,
	  input_cp2k_almo.F: ALMO: refactoring (Rustam Z Khaliullin)

2014-09-09 14:02  oschuett

	* [r14265] admm_types.F: Fix memory leak

2014-09-09 13:16  oschuett

	* [r14264] admm_methods.F, admm_types.F, cp_control_utils.F,
	  hfx_admm_utils.F, input_constants.F, input_cp2k_dft.F,
	  qs_ks_methods.F: ADMM: Add McWeeny purification

2014-09-08 12:42  oschuett

	* [r14262] admm_methods.F, admm_types.F, admm_utils.F,
	  cp_control_types.F, cp_control_utils.F, hfx_admm_utils.F,
	  input_constants.F, input_cp2k_dft.F, optbas_fenv_manipulation.F,
	  optimize_basis.F, rtp_admm_methods.F: ADMM: refactoring and
	  simplification of input for blocking

2014-09-05 12:18  sandermatt

	* [r14254] atom_kind_orbitals.F, atomic_charges.F,
	  atomic_kind_types.F, core_ae.F, core_ppl.F, core_ppnl.F,
	  distribution_methods.F, hfx_types.F, kg_tnadd_mat.F,
	  molecule_kind_types.F, molecule_types_new.F, mp2_gpw.F,
	  mp2_ri_gpw.F, mp2_ri_grad.F, mulliken.F, particle_types.F,
	  population_analyses.F, qs_collocate_density.F,
	  qs_core_hamiltonian.F, qs_dftb_parameters.F,
	  qs_dispersion_pairpot.F, qs_environment.F,
	  qs_environment_types.F, qs_geminals.F, qs_initial_guess.F,
	  qs_interactions.F, qs_kind_types.F, qs_linres_types.F,
	  qs_mo_io.F, qs_neighbor_lists.F, qs_p_sparse_psi.F, qs_pdos.F,
	  qs_rho0_ggrid.F, qs_rho0_methods.F, qs_rho_atom_methods.F,
	  qs_scf_output.F, qs_scf_wfn_mix.F, scp_coeff_types.F,
	  scp_nddo_utils.F, scptb_utils.F, semi_empirical_expns3_methods.F:
	  doxify

2014-09-05 11:56  sandermatt

	* [r14253] rt_matrix_exp.F, rt_propagator_init.F: rtp: moving a
	  subroutine

2014-09-04 04:53  tlaino

	* [r14251] constraint_util.F, molecule_types_new.F: pretty

2014-09-04 04:52  tlaino

	* [r14250] constraint_util.F, molecule_types_new.F: protect for
	  possible wrong defs in input file

2014-09-03 16:11  jhutter

	* [r14249] kpoint_methods.F, qs_energy_utils.F,
	  qs_scf_diagonalization.F: Kpoints: some small updates

2014-09-03 07:21  vondele

	* [r14248] external_potential_types.F, mp2_cphf.F,
	  qs_energy_utils.F: fix more uninitialized pointers

2014-09-02 16:13  oschuett

	* [r14247] kg_tnadd_mat.F, mp2_optimize_ri_basis.F: Fix
	  uninitialized pointers

2014-09-02 15:34  oschuett

	* [r14245] qs_environment_types.F: Fix memory leak

2014-09-02 14:15  oschuett

	* [r14244] almo_scf_special.F, atom_kind_orbitals.F,
	  atomic_charges.F, atomic_kind_types.F, core_ae.F, core_ppl.F,
	  core_ppnl.F, cp2k_debug.F, cp_dbcsr_output.F, cp_ddapc_util.F,
	  cp_symmetry.F, dft_plus_u.F, distribution_methods.F,
	  dm_ls_scf_qs.F, efield_utils.F, eip_environment.F, ep_methods.F,
	  fist_environment.F, hartree_local_methods.F, hfx_admm_utils.F,
	  hfx_ri_gemopt.F, hfx_ri_methods.F, hfx_screening_methods.F,
	  hfx_types.F, kg_environment.F, kg_tnadd_mat.F,
	  manybody_siepmann.F, mixed_environment.F, molecular_states.F,
	  molecule_kind_types.F, molsym.F, moments_utils.F, mp2.F,
	  mp2_gpw.F, mp2_optimize_ri_basis.F, mp2_ri_gpw.F, mp2_ri_grad.F,
	  mp2_ri_libint.F, mulliken.F, optbas_fenv_manipulation.F,
	  particle_types.F, population_analyses.F, pw_env_methods.F,
	  qmmm_se_energy.F, qmmm_se_forces.F, qmmm_util.F,
	  qs_collocate_density.F, qs_core_energies.F,
	  qs_core_hamiltonian.F, qs_dftb3_methods.F, qs_dftb_coulomb.F,
	  qs_dftb_dispersion.F, qs_dftb_matrices.F, qs_dftb_parameters.F,
	  qs_dispersion_pairpot.F, qs_dispersion_utils.F,
	  qs_efield_berry.F, qs_elec_field.F, qs_electric_field_gradient.F,
	  qs_environment.F, qs_environment_methods.F,
	  qs_environment_types.F, qs_epr_hyp.F, qs_external_potential.F,
	  qs_fermi_contact.F, qs_gapw_densities.F, qs_geminals.F,
	  qs_initial_guess.F, qs_integral_utils.F,
	  qs_integrate_potential_product.F,
	  qs_integrate_potential_single.F, qs_interactions.F,
	  qs_kind_types.F, qs_kinetic.F, qs_ks_atom.F, qs_ks_utils.F,
	  qs_linres_atom_current.F, qs_linres_current.F,
	  qs_linres_current_utils.F, qs_linres_epr_nablavks.F,
	  qs_linres_epr_ownutils.F, qs_linres_epr_utils.F,
	  qs_linres_issc_utils.F, qs_linres_nmr_shift.F, qs_linres_op.F,
	  qs_linres_types.F, qs_loc_methods.F, qs_loc_molecules.F,
	  qs_loc_utils.F, qs_mo_io.F, qs_moments.F, qs_neighbor_lists.F,
	  qs_oce_methods.F, qs_operators_ao.F, qs_overlap.F,
	  qs_p_sparse_psi.F, qs_pdos.F, qs_resp.F, qs_rho0_ggrid.F,
	  qs_rho0_methods.F, qs_rho_atom_methods.F, qs_scf.F,
	  qs_scf_initialization.F, qs_scf_output.F, qs_scf_post_dftb.F,
	  qs_scf_post_gpw.F, qs_scf_post_se.F, qs_scf_wfn_mix.F,
	  qs_spin_orbit.F, qs_vxc_atom.F, rt_propagation_output.F,
	  rt_propagation_utils.F, scp_coeff_types.F,
	  scp_delta_fock_matrix.F, scp_dispersion.F, scp_environment.F,
	  scp_nddo_utils.F, scptb_core_interactions.F, scptb_core_matrix.F,
	  scptb_ks_matrix.F, scptb_utils.F, se_core_core.F,
	  se_core_matrix.F, se_fock_matrix_coulomb_ga.F,
	  se_fock_matrix_coulomb_mpi.F, se_fock_matrix_exchange.F,
	  semi_empirical_expns3_methods.F, task_list_methods.F,
	  topology_coordinate_util.F, topology_generate_util.F,
	  xas_methods.F, xas_tp_scf.F, xc_pot_saop.F, xray_diffraction.F:
	  Major refactoring of atomic_kind_type, introduced novel
	  qs_kind_type.

2014-09-02 12:17  oschuett

	* [r14243] atomic_kind_types.F: Bugfix: qs_init() overwrites atomic
	  mass read in by topology_control() e.g. from psf-files.

2014-09-01 12:58  vondele

	* [r14241] dbcsr/dbcsr_mm_sched.F: doxify

2014-09-01 12:56  oschuett

	* [r14240] d3_poly.F, pw_env_methods.F, qs_ks_qmmm_methods.F: Next
	  attempt to fix the initialization of d3_poly.F

2014-08-30 10:54  oschuett

	* [r14239] input_cp2k_eip.F: Input Description Change

2014-08-30 09:02  oschuett

	* [r14238] d3_poly.F: Fix deadlock in d3_poly.F

2014-08-29 16:26  vondele

	* [r14236] dbcsr/dbcsr_mm_cannon.F: fix data race, explicitly use
	  default(none)

2014-08-29 15:42  oschuett

	* [r14235] d3_poly.F, dbcsr/dbcsr_mm_accdrv.F,
	  dbcsr/dbcsr_mm_cannon.F, dbcsr/dbcsr_mm_sched.F,
	  dbcsr/dbcsr_types.F: Remove all OpenMP threadprivate variables

2014-08-28 19:52  oschuett

	* [r14234] cp_output_handling.F, input_cp2k_atom.F,
	  input_cp2k_dft.F, input_cp2k_xc.F: Input Description Change
	  (Vedran Miletić)

2014-08-28 14:18  vondele

	* [r14232] acc/acc_devmem.F, acc/acc_event.F: fix to doxify format

2014-08-28 14:13  vondele

	* [r14231] rt_matrix_exp_dbcsr.F, rt_propagation_methods.F: doxify

2014-08-28 13:59  vondele

	* [r14230] acc/acc_device.F, acc/acc_devmem.F,
	  acc/acc_devmem__nametype_.template, acc/acc_devmem_c4.f90,
	  acc/acc_devmem_c8.f90, acc/acc_devmem_i4.f90,
	  acc/acc_devmem_i8.f90, acc/acc_devmem_r4.f90,
	  acc/acc_devmem_r8.f90, acc/acc_event.F, acc/acc_hostmem.F,
	  acc/acc_hostmem__nametype1_.template, acc/acc_hostmem_c.f90,
	  acc/acc_hostmem_d.f90, acc/acc_hostmem_i.f90,
	  acc/acc_hostmem_l.f90, acc/acc_hostmem_r.f90,
	  acc/acc_hostmem_z.f90, acc/acc_stream.F,
	  dbcsr/dbcsr_block_access_c.f90, dbcsr/dbcsr_block_access_d.f90,
	  dbcsr/dbcsr_block_access_s.f90, dbcsr/dbcsr_block_access_z.f90,
	  dbcsr/dbcsr_ptr_util_c.f90, dbcsr/dbcsr_ptr_util_d.f90,
	  dbcsr/dbcsr_ptr_util_i.f90, dbcsr/dbcsr_ptr_util_l.f90,
	  dbcsr/dbcsr_ptr_util_s.f90, dbcsr/dbcsr_ptr_util_z.f90: more
	  doxygen fixes (Vedran Miletić)

2014-08-28 10:08  vondele

	* [r14229] dbcsr/dbcsr_data_methods_low__nametype1_.template,
	  dbcsr/dbcsr_data_methods_low_c.f90,
	  dbcsr/dbcsr_data_methods_low_d.f90,
	  dbcsr/dbcsr_data_methods_low_s.f90,
	  dbcsr/dbcsr_data_methods_low_z.f90: fix Doxygen errors (Vedran
	  Miletić)

2014-08-27 11:13  sandermatt

	* [r14228] cp_control_types.F, cp_control_utils.F,
	  input_cp2k_dft.F, motion/rt_propagation.F, rt_make_propagators.F,
	  rt_matrix_exp_dbcsr.F, rt_propagation_methods.F,
	  rt_propagation_types.F, rt_propagator_init.F: rtp: make accuracy
	  refinement an imput parameter

2014-08-26 16:36  oschuett

	* [r14227] f77_interface.F: f77_interface: Fix units of
	  get_stress_tensor

2014-08-26 16:33  oschuett

	* [r14226] start/cp2k_shell.F: cp2k_shell: Allow redirection of
	  output

2014-08-26 15:08  sandermatt

	* [r14225] rt_matrix_exp_dbcsr.F, rt_propagation_methods.F,
	  start/cp2k_shell.F: rtp: reduce numerical noise

2014-08-26 14:19  oschuett

	* [r14224] start/cp2k_shell.F: cp2k_shell: Add EXIT command

2014-08-26 12:34  oschuett

	* [r14223] input_cp2k_xc.F: Fix too long line

2014-08-26 08:55  oschuett

	* [r14222] input_cp2k_xc.F: XC_FUNCTIONAL: Add alias LDA -> PADE

2014-08-25 16:29  dorotheagolze

	* [r14221] qs_resp.F: fix comment headers

2014-08-25 14:40  oschuett

	* [r14220] f77_interface.F, start/cp2k_shell.F: cp2k_shell: Add
	  commands GET_CELL, SET_CELL, and GET_STRESS

2014-08-22 13:30  jhutter

	* [r14217] kpoint_methods.F, kpoint_types.F, qs_environment.F,
	  qs_scf_diagonalization.F: Kpoints: correct context to be used in
	  blacs routines

2014-08-22 12:34  ibethune

	* [r14216] admm_types.F, admm_utils.F, bsse.F, cell_methods.F,
	  colvar_methods.F, cp_dbcsr_operations.F, cp_ddapc_forces.F,
	  cp_output_handling.F, cp_spline_utils.F,
	  dbcsr/dbcsr_block_access.F, dbcsr/dbcsr_block_operations.F,
	  dbcsr/dbcsr_data_methods_low.F, dbcsr/dbcsr_data_operations.F,
	  dbcsr/dbcsr_dist_operations.F, dbcsr/dbcsr_index_operations.F,
	  dbcsr/dbcsr_io.F, dbcsr/dbcsr_iterator_operations.F,
	  dbcsr/dbcsr_methods.F, dbcsr/dbcsr_mm_cannon.F,
	  dbcsr/dbcsr_mm_hostdrv.F, dbcsr/dbcsr_mm_multrec.F,
	  dbcsr/dbcsr_operations.F, dbcsr/dbcsr_operations_low.F,
	  dbcsr/dbcsr_performance_multiply.F, dbcsr/dbcsr_test_add.F,
	  dbcsr/dbcsr_test_multiply.F, dbcsr/dbcsr_tests.F,
	  dbcsr/dbcsr_toollib.F, dbcsr/dbcsr_transformations.F,
	  dbcsr/dbcsr_util.F, distribution_2d_types.F,
	  distribution_methods.F, ewald_environment_types.F,
	  f77_interface.F, fm/cp_cfm_types.F, force_env_types.F,
	  harris_force.F, harris_force_types.F, harris_functional.F,
	  helium_common.F, hfx_compression_methods.F, hfx_helpers.F,
	  hfx_load_balance_methods.F, hfx_screening_methods.F,
	  input_cp2k_check.F, input_cp2k_dft.F, input_cp2k_mm.F,
	  kg_environment.F, kpoint_types.F, lri_environment_methods.F,
	  lri_environment_types.F, manybody_eam.F, manybody_tersoff.F,
	  mm_collocate_potential.F, mp2_direct_method.F, mp2_ri_libint.F,
	  mulliken.F, preconditioner.F, qmmm_ff_fist.F,
	  qs_collocate_density.F, qs_energy_utils.F,
	  qs_environment_methods.F, qs_environment_types.F,
	  qs_force_types.F, qs_geminals.F, qs_kpp1_env_types.F,
	  qs_ks_methods.F, qs_linres_nmr_epr_common_utils.F,
	  qs_loc_methods.F, qs_matrix_pools.F, qs_mo_methods.F,
	  qs_mo_types.F, qs_operators_ao.F, qs_ot.F, qs_p_env_methods.F,
	  qs_rho_methods.F, qs_scf_methods.F, qs_scf_post_se.F,
	  qs_wf_history_methods.F, rt_matrix_exp_dbcsr.F,
	  rt_propagation_types.F, rt_propagator_init.F,
	  scp_fock_matrix_integrals.F, se_fock_matrix_integrals.F,
	  semi_empirical_int_num.F, task_list_methods.F, xas_methods.F:
	  CP2K is now completely 'doxified' - please try to keep it that
	  way!

2014-08-21 19:31  sandermatt

	* [r14215] rt_propagation_utils.F: rtp: Bugfix orthonormal emd

2014-08-21 19:29  sandermatt

	* [r14214] fm/cp_cfm_types.F: prettify

2014-08-21 18:45  oschuett

	* [r14213] start/cp2k_shell.F: cp2k_shell: Allow setting the
	  output-file

2014-08-21 09:41  jhutter

	* [r14212] fm/cp_cfm_types.F: Remove unused variables

2014-08-21 09:03  jhutter

	* [r14211] fm/cp_cfm_basic_linalg.F, fm/cp_cfm_diag.F,
	  fm/cp_cfm_types.F, fm/cp_fm_diag.F, qs_scf_diagonalization.F:
	  Kpoints: add functionality (complex diagonalization), one regtest

2014-08-20 13:26  mandes

	* [r14209] tmc/tmc_master.F: TMC: loop control variable issue fixed
	  in send_analysis_task

2014-08-19 13:23  marci73

	* [r14207] fm/cp_fm_diag.F: change to choice of eigensolver

2014-08-19 13:19  sandermatt

	* [r14206] cp_control_types.F, cp_control_utils.F,
	  input_cp2k_dft.F, motion/rt_propagation.F,
	  rt_propagation_methods.F, rt_propagation_types.F,
	  rt_propagation_utils.F, rt_propagator_init.F: rtp: Add option for
	  orthonormal basis

2014-08-19 12:51  ibethune

	* [r14205] dbcsr/dbcsr_block_access__nametype1_.template,
	  dbcsr/dbcsr_block_access_c.f90, dbcsr/dbcsr_block_access_d.f90,
	  dbcsr/dbcsr_block_access_s.f90, dbcsr/dbcsr_block_access_z.f90,
	  dbcsr/dbcsr_block_operations__nametype1_.template,
	  dbcsr/dbcsr_block_operations_c.f90,
	  dbcsr/dbcsr_block_operations_d.f90,
	  dbcsr/dbcsr_block_operations_s.f90,
	  dbcsr/dbcsr_block_operations_z.f90,
	  dbcsr/dbcsr_data_methods_low__nametype1_.template,
	  dbcsr/dbcsr_data_methods_low_c.f90,
	  dbcsr/dbcsr_data_methods_low_d.f90,
	  dbcsr/dbcsr_data_methods_low_s.f90,
	  dbcsr/dbcsr_data_methods_low_z.f90,
	  dbcsr/dbcsr_operations_low__nametype1_.template,
	  dbcsr/dbcsr_operations_low_c.f90,
	  dbcsr/dbcsr_operations_low_d.f90,
	  dbcsr/dbcsr_operations_low_s.f90,
	  dbcsr/dbcsr_operations_low_z.f90,
	  dbcsr/dbcsr_ptr_util__nametype1_.template,
	  dbcsr/dbcsr_ptr_util_c.f90, dbcsr/dbcsr_ptr_util_d.f90,
	  dbcsr/dbcsr_ptr_util_i.f90, dbcsr/dbcsr_ptr_util_l.f90,
	  dbcsr/dbcsr_ptr_util_s.f90, dbcsr/dbcsr_ptr_util_z.f90,
	  dbcsr/dbcsr_work_operations.F, tmc/tmc_analysis.F,
	  tmc/tmc_calculations.F, tmc/tmc_move_handle.F,
	  tmc/tmc_tree_search.F: Fix more UNMATCHED_PROCEDURE_ARGUMENTs

2014-08-19 12:36  oschuett

	* [r14204] topology_util.F: Topology: Make input parsing of MASS
	  case insensitive

2014-08-19 12:22  sandermatt

	* [r14203] rt_propagation_methods.F: rtp: improve numerics

2014-08-19 10:59  jhutter

	* [r14201] qs_dftb_parameters.F: Adjust to change in parser
	  behaviour: Ignore leading quotes in string
	  when reading UFF parameter file

2014-08-19 10:57  jhutter

	* [r14200] kpoint_types.F: Explicitely initialize pointer

2014-08-19 07:23  mandes

	* [r14199] tmc/tmc_analysis.F, tmc/tmc_analysis_types.F: TMC
	  ANALYSIS: including the weighted volume in the pair correlation
	  function calculation

2014-08-18 15:03  sandermatt

	* [r14198] kpoint_types.F: fix issue with uninitialied pointers
	  (Ole Schuett)

2014-08-18 12:49  vondele

	* [r14196] kpoint_types.F: fix memory leak

2014-08-18 12:44  jhutter

	* [r14195] atomic_kind_types.F, cp_control_types.F,
	  cp_control_utils.F, header.F, input_constants.F,
	  input_cp2k_dft.F, input_cp2k_subsys.F, qs_dftb3_methods.F,
	  qs_dftb_coulomb.F, qs_dftb_dispersion.F, qs_dftb_matrices.F,
	  qs_dftb_parameters.F, qs_dftb_types.F, qs_dftb_utils.F,
	  qs_energy_types.F, qs_energy_utils.F, qs_environment.F,
	  qs_neighbor_lists.F, qs_scf_output.F, se_fock_matrix_ga.F,
	  se_fock_matrix_mpi.F: DFTB: added DFTB3 diagonal correction, two
	  regtests;
	  DFTB: allows for Grimme D3 dispersion correction (c6 and c8
	  only), three
	  regtests;
	  NDDO: allows for Grimme D3 dispersion correction (c6 and c8
	  only), three
	  regtests;

2014-08-18 10:03  tlaino

	* [r14194] input/cp_parser_methods.F: preserve quotes in the string
	  definition

2014-08-15 11:04  ibethune

	* [r14193] kpoint_types.F, pw/ps_wavelet_base.F,
	  qs_linres_nmr_epr_common_utils.F, tmc/tmc_analysis_types.F,
	  tmc/tmc_dot_tree.F, tmc/tmc_file_io.F, tmc/tmc_master.F,
	  tmc/tmc_messages.F, tmc/tmc_moves.F, tmc/tmc_setup.F,
	  tmc/tmc_tree_acceptance.F, tmc/tmc_tree_build.F,
	  tmc/tmc_worker.F, xc/xc.F, xc/xc_b97.F,
	  xc/xc_derivative_set_types.F, xc/xc_derivative_types.F,
	  xc/xc_derivatives.F, xc/xc_exchange_gga.F, xc/xc_hcth.F,
	  xc/xc_lyp.F, xc/xc_optx.F, xc/xc_pbe.F, xc/xc_rho_cflags_types.F,
	  xc/xc_xbecke88.F, xc/xc_xbecke88_long_range.F,
	  xc/xc_xbecke88_lr_adiabatic.F, xc/xc_xbecke_roussel.F,
	  xc/xc_xbeef.F, xc/xc_xbr_pbe_lda_hole_t_c_lr.F,
	  xc/xc_xpbe_hole_t_c_lr.F, xc/xc_xwpbe.F: Fixed another 100 or so
	  UNMATCHED_PARAM warnings

2014-08-14 12:53  jhutter

	* [r14191] cp_control_types.F, cp_control_utils.F,
	  input_cp2k_dft.F, qs_dftb_matrices.F: DFTB HBond correction to
	  gamma: allow for input parameter
	  Two new regtests added

2014-08-14 12:32  oschuett

	* [r14190] common/physcon.F, f77_interface.F,
	  metadyn_tools/graph_methods.F: Turned physical constants into
	  Fortran parameters

2014-08-14 12:26  sandermatt

	* [r14189] rt_propagator_init.F: rtp: remove unused variable

2014-08-13 15:12  sandermatt

	* [r14188] qs_initial_guess.F: precompiler seemed to make this line
	  too long

2014-08-13 14:07  jhutter

	* [r14187] kpoint_methods.F: Remove unused variable (prettify?)

2014-08-13 13:21  jhutter

	* [r14186] cp_symmetry.F, fermi_utils.F, fist_nonbond_env_types.F,
	  fm/cp_cfm_basic_linalg.F, fm/cp_cfm_diag.F, fm/cp_fm_diag.F,
	  fm/cp_fm_pool_types.F, fm/cp_fm_types.F, force_fields_input.F,
	  input_cp2k_dft.F, input_cp2k_kpoints.F, k290.F, kpoint_methods.F,
	  kpoint_types.F, manybody_quip.F, optbas_fenv_manipulation.F,
	  pair_potential_types.F, qs_core_energies.F, qs_energy_utils.F,
	  qs_environment.F, qs_environment_types.F, qs_gspace_mixing.F,
	  qs_initial_guess.F, qs_kinetic.F, qs_ks_methods.F,
	  qs_linres_epr_ownutils.F, qs_linres_nmr_epr_common_utils.F,
	  qs_mo_io.F, qs_mo_types.F, qs_neighbor_lists.F, qs_overlap.F,
	  qs_rho_methods.F, qs_rho_types.F, qs_scf.F,
	  qs_scf_diagonalization.F, qs_scf_initialization.F,
	  qs_scf_loop_utils.F, qs_scf_methods.F, qs_scf_output.F,
	  qs_scf_post_gpw.F, qs_scf_post_se.F, qs_scf_types.F,
	  qs_scf_wfn_mix.F, qs_wf_history_methods.F,
	  rt_propagation_output.F, rt_propagation_utils.F,
	  scptb_core_matrix.F, scptb_ks_matrix.F, xas_methods.F,
	  xas_restart.F, xas_tp_scf.F: Kpoint framework for Quickstep,
	  first step towards
	  a working kpoint enabled CP2K.
	  One new regtest in SCPTB/regtest-1

2014-08-12 08:08  tlaino

	* [r14183] qs_overlap.F: nullify pointer -> undef to associated
	  function

2014-08-12 08:03  tlaino

	* [r14182] manybody_quip.F: this is a shit...

2014-08-12 07:55  tlaino

	* [r14181] common/bibliography.F, fist_nonbond_env_types.F,
	  force_fields_all.F, force_fields_input.F, input_cp2k_mm.F,
	  manybody_potential.F, manybody_quip.F, pair_potential.F,
	  pair_potential_types.F: patch for manybody potential (QUIP)
	  (Noam) part 1 of 2.

2014-08-11 08:37  sandermatt

	* [r14180] rt_propagation_methods.F: rtp: fix complex mcweeny for
	  spin polarized systems

2014-08-07 06:16  vondele

	* [r14179] common/bibliography.F, dbcsrwrap/cp_dbcsr_interface.F,
	  input_cp2k_global.F: add DBCSR reference

2014-08-05 13:13  ibethune

	* [r14176] graphcon.F: Modified a comment as a test for new ifort
	  regtesters

2014-08-01 12:51  ibethune

	* [r14175] acc/acc_devmem.F, acc/acc_hostmem__nametype1_.template,
	  aobasis/ai_overlap.F, fm/cp_fm_basic_linalg.F,
	  fm/cp_fm_pool_types.F, fm/cp_fm_struct.F,
	  ma/ma_process_mapping.F, motion/cell_opt_utils.F,
	  motion/helium_interactions.F, motion/mc_coordinates.F,
	  motion/mc_ensembles.F, motion/mc_misc.F, motion/mc_run.F,
	  motion/mc_types.F, pw/dg_rho0_types.F, pw/dg_types.F,
	  pw/ps_wavelet_base.F, pw/ps_wavelet_kernel.F,
	  pw/ps_wavelet_methods.F, pw/ps_wavelet_util.F,
	  pw/pw_pool_types.F, pw/pw_spline_utils.F, pw/pw_types.F,
	  pw/realspace_grid_types.F, start/cp2k_runs.F, xc/xc_b97.F,
	  xc/xc_libxc.F: Next batch of UNMATCHED_PARAMETER fixes...

2014-07-31 16:02  oschuett

	* [r14174] iterate_matrix.F: Slight refactoring of purify_mcweeny()

2014-07-30 17:21  oschuett

	* [r14173] aobasis/ai_coulomb_test.F, base/machine_posix.f90,
	  cg_test.F, colvar_methods.F, common/cp_log_handling.F,
	  common/mathlib.F, common/spherical_harmonics.F,
	  dbcsr/dbcsr_example_1.F, dbcsr/dbcsr_example_2.F,
	  dbcsr/dbcsr_example_3.F, dbcsr/dbcsr_io.F,
	  dbcsr/dbcsr_performance_driver.F, dbcsr/dbcsr_test_driver.F,
	  distribution_methods.F, eip_silicon.F, fermi_utils.F, graphcon.F,
	  hfx_ri_methods.F, iterate_matrix.F, k290.F, ma/ma_affinity.F,
	  ma/ma_errors.F, ma/ma_kinds.F, ma/ma_process_mapping.F,
	  metadyn_tools/graph_methods.F, metadyn_tools/graph_utils.F,
	  mode_selective.F, motion/cp_lbfgs.F, motion/mc_coordinates.F,
	  motion/mc_move_control.F, motion/reftraj_util.F,
	  mpiwrap/message_passing.F, mulliken.F, optimize_basis_utils.F,
	  preconditioner.F, pw/cube_utils.F, pw/fft/fftw3_lib.F,
	  pw/fft/mltfftsg_tools.F, pw/ps_wavelet_base.F,
	  pw/ps_wavelet_fft3d.F, pw/ps_wavelet_scaling_function.F,
	  pw/realspace_grid_types.F, qs_collocate_density.F,
	  qs_conductivity.F, qs_integrate_potential_low.F, qs_ks_methods.F,
	  qs_ks_utils.F, qs_loc_utils.F, qs_mo_methods.F,
	  qs_rho_atom_methods.F, se_ga_tools.F, start/cp2k_runs.F,
	  task_list_methods.F, tmc/tmc_cancelation.F, tmc/tmc_dot_tree.F,
	  tmc/tmc_messages.F: Fix more hard-encoded output_unit=6

2014-07-30 12:32  sandermatt

	* [r14172] rt_matrix_exp_dbcsr.F, rt_propagation_methods.F,
	  rt_propagation_types.F: minor cleanup

2014-07-29 20:49  ibethune

	* [r14171] colvar_types.F, common/cp_error_handling.F,
	  common/cp_log_handling.F, common/cp_para_env.F,
	  common/distribution_1d_types.F, common/reference_manager.F,
	  ep_qs_types.F, hfx_communication.F, hfx_energy_potential.F,
	  hfx_types.F, input/input_val_types.F, input_cp2k_subsys.F,
	  mpiwrap/message__nametype1__passing.template,
	  mpiwrap/message_c_passing.f90, mpiwrap/message_d_passing.f90,
	  mpiwrap/message_i_passing.f90, mpiwrap/message_l_passing.f90,
	  mpiwrap/message_passing.F, mpiwrap/message_r_passing.f90,
	  mpiwrap/message_z_passing.f90, optimize_input.F, qmmm_elpot.F,
	  qmmm_init.F, qs_linres_nmr_shift.F, qs_p_sparse_psi.F,
	  qs_wf_history_methods.F, replica_methods.F, replica_types.F,
	  s_square_methods.F, scp_environment_types.F, subcell_types.F:
	  Fixed another 100+ UNMATCHED_PARAMETER warnings

2014-07-28 14:59  vondele

	* [r14170] task_list_methods.F: fix location of barrier (Alfio)

2014-07-28 14:45  vondele

	* [r14169] qs_oce_methods.F: some header cleanup

2014-07-28 11:08  oschuett

	* [r14165] al_system_dynamics.F, al_system_init.F,
	  al_system_mapping.F, averages_types.F, barostat_types.F,
	  barostat_utils.F, bfgs_optimizer.F, cell_opt.F, cell_opt_types.F,
	  cell_opt_utils.F, cg_optimizer.F, cg_utils.F, cp_lbfgs.F,
	  cp_lbfgs_geo.F, cp_lbfgs_optimizer_gopt.F,
	  csvr_system_dynamics.F, csvr_system_init.F,
	  csvr_system_mapping.F, dimer_methods.F, dimer_types.F,
	  dimer_utils.F, extended_system_dynamics.F,
	  extended_system_init.F, extended_system_mapping.F,
	  free_energy_methods.F, geo_opt.F, glbopt_callback.F,
	  gle_system_dynamics.F, gopt_f77_methods.F, gopt_f77_methods.h,
	  gopt_f_methods.F, gopt_f_types.F, gopt_param_types.F,
	  helium_interactions.F, helium_methods.F, helium_sampling.F,
	  input_cp2k_restarts.F, input_cp2k_vib.F, integrator.F,
	  integrator_utils.F, mc_control.F, mc_coordinates.F,
	  mc_ensembles.F, mc_environment_types.F, mc_ge_moves.F, mc_misc.F,
	  mc_move_control.F, mc_moves.F, mc_run.F, mc_types.F,
	  md_conserved_quantities.F, md_ener_types.F, md_energies.F,
	  md_environment_types.F, md_run.F, md_util.F, md_vel_utils.F,
	  mdctrl_methods.F, motion, motion/PACKAGE,
	  motion/al_system_dynamics.F, motion/al_system_init.F,
	  motion/al_system_mapping.F, motion/averages_types.F,
	  motion/barostat_types.F, motion/barostat_utils.F,
	  motion/bfgs_optimizer.F, motion/cell_opt.F,
	  motion/cell_opt_types.F, motion/cell_opt_utils.F,
	  motion/cg_optimizer.F, motion/cg_utils.F, motion/cp_lbfgs.F,
	  motion/cp_lbfgs_geo.F, motion/cp_lbfgs_optimizer_gopt.F,
	  motion/csvr_system_dynamics.F, motion/csvr_system_init.F,
	  motion/csvr_system_mapping.F, motion/dimer_methods.F,
	  motion/dimer_types.F, motion/dimer_utils.F,
	  motion/extended_system_dynamics.F, motion/extended_system_init.F,
	  motion/extended_system_mapping.F, motion/free_energy_methods.F,
	  motion/geo_opt.F, motion/glbopt_callback.F,
	  motion/gle_system_dynamics.F, motion/gopt_f77_methods.F,
	  motion/gopt_f77_methods.h, motion/gopt_f_methods.F,
	  motion/gopt_f_types.F, motion/gopt_param_types.F,
	  motion/helium_interactions.F, motion/helium_methods.F,
	  motion/helium_sampling.F, motion/input_cp2k_restarts.F,
	  motion/input_cp2k_vib.F, motion/integrator.F,
	  motion/integrator_utils.F, motion/mc_control.F,
	  motion/mc_coordinates.F, motion/mc_ensembles.F,
	  motion/mc_environment_types.F, motion/mc_ge_moves.F,
	  motion/mc_misc.F, motion/mc_move_control.F, motion/mc_moves.F,
	  motion/mc_run.F, motion/mc_types.F,
	  motion/md_conserved_quantities.F, motion/md_ener_types.F,
	  motion/md_energies.F, motion/md_environment_types.F,
	  motion/md_run.F, motion/md_util.F, motion/md_vel_utils.F,
	  motion/mdctrl_methods.F, motion/neb_io.F, motion/neb_md_utils.F,
	  motion/neb_methods.F, motion/neb_opt_utils.F, motion/neb_types.F,
	  motion/neb_utils.F, motion/pint_gle.F, motion/pint_io.F,
	  motion/pint_methods.F, motion/pint_normalmode.F,
	  motion/pint_public.F, motion/pint_staging.F,
	  motion/pint_transformations.F, motion/pint_types.F,
	  motion/reftraj_types.F, motion/reftraj_util.F,
	  motion/rt_propagation.F, motion/shell_opt.F,
	  motion/simpar_methods.F, motion/tamc_run.F,
	  motion/thermal_region_types.F, motion/thermal_region_utils.F,
	  motion/thermostat_methods.F, motion/thermostat_types.F,
	  motion/thermostat_utils.F, motion/velocity_verlet_control.F,
	  motion/vibrational_analysis.F, motion/wiener_process.F, neb_io.F,
	  neb_md_utils.F, neb_methods.F, neb_opt_utils.F, neb_types.F,
	  neb_utils.F, pint_gle.F, pint_io.F, pint_methods.F,
	  pint_normalmode.F, pint_public.F, pint_staging.F,
	  pint_transformations.F, pint_types.F, reftraj_types.F,
	  reftraj_util.F, rt_propagation.F, shell_opt.F, simpar_methods.F,
	  start/PACKAGE, swarm/PACKAGE, tamc_run.F, thermal_region_types.F,
	  thermal_region_utils.F, thermostat_methods.F, thermostat_types.F,
	  thermostat_utils.F, velocity_verlet_control.F,
	  vibrational_analysis.F, wiener_process.F: Create motion package

2014-07-28 10:30  ibethune

	* [r14163] admm_utils.F,
	  common/cp_linked_list__nametype1_.template,
	  dbcsrwrap/cp_dbcsr_interface.F, eip_silicon.F, ep_methods.F,
	  farming_types.F, fm/cp_linked_list_fm.F, hfx_derivatives.F,
	  hfx_ri_methods.F, input/cp_linked_list_char.F,
	  input/cp_linked_list_int.F, input/cp_linked_list_logical.F,
	  input/cp_linked_list_real.F, input/cp_linked_list_val.F,
	  input/input_section_types.F, mc_control.F, mc_misc.F, mc_moves.F,
	  mc_run.F, md_conserved_quantities.F, metadynamics_types.F,
	  mixed_environment_utils.F, neb_types.F, pw/cp_linked_list_3d_r.F,
	  pw/cp_linked_list_pw.F, pw/cp_linked_list_rs.F, qmmm_types.F,
	  qs_kpp1_env_methods.F, qs_linres_current.F, qs_mo_methods.F,
	  qs_neighbor_lists.F, qs_oce_methods.F, qs_scf_post_gpw.F,
	  rt_propagation_methods.F, semi_empirical_int_ana.F,
	  splines_methods.F, virial_types.F, xas_tp_scf.F,
	  xc/cp_linked_list_xc_deriv.F, xc_adiabatic_methods.F: Start
	  fixing UNMATCHED_PROCEDURE_ARGUMENT messages, 10% done

2014-07-28 09:35  oschuett

	* [r14162] input_cp2k_restarts.F, input_restart_force_eval.F,
	  input_restart_rng.F, md_vel_utils.F, qmmm_update.F: Make
	  qmmm_update.F independent from input_cp2k_restarts.F

2014-07-28 09:19  oschuett

	* [r14161] input_cp2k_restarts.F, integrator.F, qmmm_update.F: Make
	  qmmm_update_force_mixing_env() independent from md_env

2014-07-28 09:01  oschuett

	* [r14160] qmmm_update.F, wiener_process.F: Move
	  copy_wiener_process() into qmmm_update.F

2014-07-28 08:58  oschuett

	* [r14159] md_conserved_quantities.F, md_ener_types.F,
	  md_energies.F, qmmm_update.F: Calculate nfree_qm on the fly

2014-07-28 08:39  oschuett

	* [r14158] bsse.F, cp2k_info.F, input_cp2k_restarts.F,
	  optimize_input.F: Move write_restart_header() into cp2k_info.F

2014-07-28 08:28  jhutter

	* [r14157] qs_tddfpt_utils.F: [CP2K:5549] improvement to the print
	  of TDDFPT module

2014-07-28 08:19  vondele

	* [r14156] common/termination.F, input_cp2k_restarts.F: bug fix:
	  only write to output_unit>0, no inquire on output_unit<0, make
	  sure stop_program aborts if called from non-ionode.

2014-07-25 16:32  oschuett

	* [r14155] f77_interface.F, qs_energy.F, qs_scf_post_gpw.F,
	  rt_propagation.F: Fix hard-encoded unit 6 in f77_interface.F

2014-07-25 14:38  oschuett

	* [r14154] glbopt_callback.F, glbopt_history.F, glbopt_input.F,
	  glbopt_master.F, glbopt_mincrawl.F, glbopt_minhop.F,
	  glbopt_types.F, glbopt_worker.F, mdctrl_types.F, start/PACKAGE,
	  swarm, swarm.F, swarm/PACKAGE, swarm/glbopt_history.F,
	  swarm/glbopt_input.F, swarm/glbopt_master.F,
	  swarm/glbopt_mincrawl.F, swarm/glbopt_minhop.F,
	  swarm/glbopt_worker.F, swarm/swarm.F, swarm/swarm_input.F,
	  swarm/swarm_master.F, swarm/swarm_message.F,
	  swarm/swarm_message__nametype_.instantiation,
	  swarm/swarm_message__nametype_.template,
	  swarm/swarm_message_i4.f90, swarm/swarm_message_i4_1d.f90,
	  swarm/swarm_message_i8.f90, swarm/swarm_message_i8_1d.f90,
	  swarm/swarm_message_r4.f90, swarm/swarm_message_r4_1d.f90,
	  swarm/swarm_message_r8.f90, swarm/swarm_message_r8_1d.f90,
	  swarm/swarm_message_str.f90, swarm/swarm_mpi.F,
	  swarm/swarm_worker.F, swarm_input.F, swarm_master.F,
	  swarm_message.F, swarm_message__nametype_.instantiation,
	  swarm_message__nametype_.template, swarm_message_i4.f90,
	  swarm_message_i4_1d.f90, swarm_message_i8.f90,
	  swarm_message_i8_1d.f90, swarm_message_r4.f90,
	  swarm_message_r4_1d.f90, swarm_message_r8.f90,
	  swarm_message_r8_1d.f90, swarm_message_str.f90, swarm_mpi.F,
	  swarm_worker.F: Create swarm package

2014-07-25 13:54  marci73

	* [r14152] admm_utils.F, efield_utils.F, mp2.F, qs_energy.F,
	  qs_linres_nmr_utils.F, qs_mo_methods.F, qs_scf_post_gpw.F,
	  qs_scf_post_se.F, rt_propagation.F, rt_propagation_methods.F:
	  index of mo_cube; some unused variables

2014-07-25 13:53  ibethune

	* [r14151] dbcsr/dbcsr_mem_methods.F, dbcsr/dbcsr_mm_accdrv.F,
	  dbcsr/dbcsr_mm_cannon.F, dbcsr/dbcsr_mm_csr.F,
	  dbcsr/dbcsr_mm_hostdrv.F, dbcsr/dbcsr_mm_multrec.F,
	  dbcsr/dbcsr_mm_sched.F, dft_plus_u.F, fm/cp_fm_pool_types.F,
	  input_cp2k_restarts.F, lri_environment_types.F,
	  qs_linres_current.F, qs_linres_nmr_epr_common_utils.F: Modify
	  doxify to correctly process equations in comment blocks, and
	  apply it to the code.

2014-07-25 12:24  ibethune

	* [r14150] dbcsr/dbcsr_dist_operations.F,
	  dbcsr/dbcsr_mem_methods.F, dbcsr/dbcsr_mm_accdrv.F,
	  dbcsr/dbcsr_mm_cannon.F, dbcsr/dbcsr_mm_csr.F,
	  dbcsr/dbcsr_mm_hostdrv.F, dbcsr/dbcsr_mm_multrec.F,
	  dbcsr/dbcsr_mm_sched.F, dbcsr/min_heap.F, input_cp2k_restarts.F,
	  kg_min_heap.F: Fix some formatting that confused doxify

2014-07-25 09:45  oschuett

	* [r14149] input_cp2k_dft.F: Input Description Change

2014-07-25 09:20  ibethune

	* [r14148] task_list_methods.F: Remove debug code that slipped into
	  the last commit.

2014-07-24 21:13  ibethune

	* [r14146] acc/acc_device.F, acc/acc_devmem.F,
	  acc/acc_devmem__nametype_.template, acc/acc_event.F,
	  acc/acc_hostmem.F, acc/acc_hostmem__nametype1_.template,
	  acc/acc_stream.F, admm_methods.F, admm_types.F, admm_utils.F,
	  al_system_dynamics.F, al_system_init.F, al_system_mapping.F,
	  al_system_types.F, almo_scf.F, almo_scf_aux2_methods.F,
	  almo_scf_aux_types.F, almo_scf_methods.F, almo_scf_special.F,
	  aobasis/ai_angmom.F, aobasis/ai_coulomb.F,
	  aobasis/ai_coulomb_test.F, aobasis/ai_derivatives.F,
	  aobasis/ai_elec_field.F, aobasis/ai_eri_debug.F,
	  aobasis/ai_fermi_contact.F, aobasis/ai_geminals.F,
	  aobasis/ai_geminals_debug.F, aobasis/ai_geminals_utils.F,
	  aobasis/ai_moments.F, aobasis/ai_onecenter.F,
	  aobasis/ai_oneelectron.F, aobasis/ai_os_rr.F,
	  aobasis/ai_overlap.F, aobasis/ai_overlap3.F,
	  aobasis/ai_overlap3_debug.F, aobasis/ai_overlap_aabb.F,
	  aobasis/ai_overlap_debug.F, aobasis/ai_overlap_ppl.F,
	  aobasis/ai_spin_orbit.F, aobasis/ai_verfc.F, aobasis/ao_util.F,
	  aobasis/basis_set_types.F, aobasis/orbital_pointers.F,
	  aobasis/orbital_symbols.F,
	  aobasis/orbital_transformation_matrices.F, aobasis/sto_ng.F,
	  atom.F, atom_basis.F, atom_electronic_structure.F, atom_energy.F,
	  atom_fit.F, atom_kind_orbitals.F, atom_operators.F,
	  atom_optimization.F, atom_output.F, atom_pseudo.F, atom_types.F,
	  atom_utils.F, atom_xc.F, atomic_charges.F, atomic_kind_types.F,
	  atoms_input.F, atprop_types.F, averages_types.F,
	  barostat_types.F, barostat_utils.F, base/kinds.F, base/machine.F,
	  beta_gamma_psi.F, bfgs_optimizer.F, bsse.F, cell_methods.F,
	  cell_opt.F, cell_opt_types.F, cell_opt_utils.F, cg_optimizer.F,
	  cg_test.F, cg_utils.F, colvar_methods.F, colvar_types.F,
	  colvar_utils.F, common/bessel_lib.F, common/bibliography.F,
	  common/cp_array__nametype1__utils.template,
	  common/cp_array_i_utils.F, common/cp_array_logical_utils.F,
	  common/cp_array_r_utils.F, common/cp_error_handling.F,
	  common/cp_files.F, common/cp_linked_list__nametype1_.template,
	  common/cp_log_handling.F, common/cp_para_env.F,
	  common/cp_result_methods.F, common/cp_result_types.F,
	  common/cp_units.F, common/cuda_profiling.F,
	  common/dict__keytype___valuetype_.template,
	  common/dict_i4tuple_callstat.F, common/dict_str_i4.F,
	  common/distribution_1d_types.F, common/eigenvalueproblems.F,
	  common/erf_fn.F, common/f77_blas_extra.F,
	  common/f77_blas_generic.F, common/f77_blas_poison.F,
	  common/fparser.F, common/gamma.F, common/glob_matching.F,
	  common/kahan_sum.F, common/lapack.F, common/lebedev.F,
	  common/linear_systems.F, common/list__valuetype_.template,
	  common/list_callstackentry.F, common/list_routinereport.F,
	  common/list_routinestat.F, common/list_timerenv.F,
	  common/mathlib.F, common/memory_utilities.F,
	  common/parallel_rng_types.F, common/periodic_table.F,
	  common/physcon.F, common/powell.F, common/reference_manager.F,
	  common/spherical_harmonics.F, common/string_table.F,
	  common/string_utilities.F, common/structure_factors.F,
	  common/termination.F, common/timings.F, common/timings_report.F,
	  common/util.F, common/xml_parser.F, constraint.F,
	  constraint_3x3.F, constraint_4x6.F, constraint_clv.F,
	  constraint_fxd.F, constraint_util.F, constraint_vsite.F,
	  core_ae.F, core_ppl.F, core_ppnl.F, cp2k_debug.F, cp2k_info.F,
	  cp_control_types.F, cp_control_utils.F, cp_dbcsr_cholesky.F,
	  cp_dbcsr_cp2k_link.F, cp_dbcsr_diag.F, cp_dbcsr_operations.F,
	  cp_dbcsr_output.F, cp_dbcsr_util.F, cp_ddapc.F,
	  cp_ddapc_forces.F, cp_ddapc_methods.F, cp_ddapc_types.F,
	  cp_ddapc_util.F, cp_external_control.F, cp_gemm_interface.F,
	  cp_lbfgs.F, cp_lbfgs_geo.F, cp_lbfgs_optimizer_gopt.F,
	  cp_ma_interface.F, cp_output_handling.F,
	  cp_realspace_grid_cube.F, cp_realspace_grid_init.F,
	  cp_spline_utils.F, cp_subsys_methods.F, cp_subsys_types.F,
	  cp_symmetry.F, csvr_system_dynamics.F, csvr_system_init.F,
	  csvr_system_mapping.F, csvr_system_types.F, csvr_system_utils.F,
	  d3_poly.F, damping_dipole_types.F, dbcsr/array_types.F,
	  dbcsr/btree__nametype1__k__nametype2__v.template,
	  dbcsr/btree_i8_k_cp2d_v.F, dbcsr/btree_i8_k_dp2d_v.F,
	  dbcsr/btree_i8_k_sp2d_v.F, dbcsr/btree_i8_k_zp2d_v.F,
	  dbcsr/dbcsr_acc_operations.F, dbcsr/dbcsr_blas_operations.F,
	  dbcsr/dbcsr_block_access.F,
	  dbcsr/dbcsr_block_access__nametype1_.template,
	  dbcsr/dbcsr_block_access_c.f90, dbcsr/dbcsr_block_access_d.f90,
	  dbcsr/dbcsr_block_access_s.f90, dbcsr/dbcsr_block_access_z.f90,
	  dbcsr/dbcsr_block_operations.F,
	  dbcsr/dbcsr_block_operations__nametype1_.template,
	  dbcsr/dbcsr_block_operations_c.f90,
	  dbcsr/dbcsr_block_operations_d.f90,
	  dbcsr/dbcsr_block_operations_s.f90,
	  dbcsr/dbcsr_block_operations_z.f90, dbcsr/dbcsr_config.F,
	  dbcsr/dbcsr_data_methods.F, dbcsr/dbcsr_data_methods_low.F,
	  dbcsr/dbcsr_data_methods_low__nametype1_.template,
	  dbcsr/dbcsr_data_methods_low_c.f90,
	  dbcsr/dbcsr_data_methods_low_d.f90,
	  dbcsr/dbcsr_data_methods_low_s.f90,
	  dbcsr/dbcsr_data_methods_low_z.f90,
	  dbcsr/dbcsr_data_operations.F, dbcsr/dbcsr_dist_operations.F,
	  dbcsr/dbcsr_error_handling.F, dbcsr/dbcsr_example_1.F,
	  dbcsr/dbcsr_example_2.F, dbcsr/dbcsr_example_3.F,
	  dbcsr/dbcsr_index_operations.F, dbcsr/dbcsr_io.F,
	  dbcsr/dbcsr_iterator_operations.F,
	  dbcsr/dbcsr_iterator_operations__nametype1_.template,
	  dbcsr/dbcsr_iterator_operations_c.f90,
	  dbcsr/dbcsr_iterator_operations_d.f90,
	  dbcsr/dbcsr_iterator_operations_s.f90,
	  dbcsr/dbcsr_iterator_operations_z.f90, dbcsr/dbcsr_mem_methods.F,
	  dbcsr/dbcsr_methods.F, dbcsr/dbcsr_mm_accdrv.F,
	  dbcsr/dbcsr_mm_cannon.F,
	  dbcsr/dbcsr_mm_cannon__nametype1_.template,
	  dbcsr/dbcsr_mm_cannon_c.f90, dbcsr/dbcsr_mm_cannon_d.f90,
	  dbcsr/dbcsr_mm_cannon_s.f90, dbcsr/dbcsr_mm_cannon_z.f90,
	  dbcsr/dbcsr_mm_csr.F, dbcsr/dbcsr_mm_hostdrv.F,
	  dbcsr/dbcsr_mm_hostdrv__nametype1_.template,
	  dbcsr/dbcsr_mm_hostdrv_c.f90, dbcsr/dbcsr_mm_hostdrv_d.f90,
	  dbcsr/dbcsr_mm_hostdrv_s.f90, dbcsr/dbcsr_mm_hostdrv_z.f90,
	  dbcsr/dbcsr_mm_multrec.F, dbcsr/dbcsr_mm_sched.F,
	  dbcsr/dbcsr_mp_operations.F,
	  dbcsr/dbcsr_mp_operations__nametype1_.template,
	  dbcsr/dbcsr_mp_operations_c.f90, dbcsr/dbcsr_mp_operations_d.f90,
	  dbcsr/dbcsr_mp_operations_s.f90, dbcsr/dbcsr_mp_operations_z.f90,
	  dbcsr/dbcsr_operations.F, dbcsr/dbcsr_operations_low.F,
	  dbcsr/dbcsr_operations_low__nametype1_.template,
	  dbcsr/dbcsr_operations_low_c.f90,
	  dbcsr/dbcsr_operations_low_d.f90,
	  dbcsr/dbcsr_operations_low_s.f90,
	  dbcsr/dbcsr_operations_low_z.f90,
	  dbcsr/dbcsr_performance_multiply.F, dbcsr/dbcsr_ptr_util.F,
	  dbcsr/dbcsr_ptr_util__nametype1_.template,
	  dbcsr/dbcsr_ptr_util_c.f90, dbcsr/dbcsr_ptr_util_d.f90,
	  dbcsr/dbcsr_ptr_util_i.f90, dbcsr/dbcsr_ptr_util_l.f90,
	  dbcsr/dbcsr_ptr_util_s.f90, dbcsr/dbcsr_ptr_util_z.f90,
	  dbcsr/dbcsr_test_add.F, dbcsr/dbcsr_test_methods.F,
	  dbcsr/dbcsr_test_multiply.F, dbcsr/dbcsr_tests.F,
	  dbcsr/dbcsr_toollib.F, dbcsr/dbcsr_transformations.F,
	  dbcsr/dbcsr_types.F, dbcsr/dbcsr_util.F,
	  dbcsr/dbcsr_work_operations.F,
	  dbcsr/dbcsr_work_operations__nametype1_.template,
	  dbcsr/dbcsr_work_operations_c.f90,
	  dbcsr/dbcsr_work_operations_d.f90,
	  dbcsr/dbcsr_work_operations_s.f90,
	  dbcsr/dbcsr_work_operations_z.f90, dbcsr/min_heap.F, dbcsr/smm.F,
	  dbcsrwrap/cp_dbcsr_interface.F,
	  dbcsrwrap/cp_dbcsr_interface__nametype1_.template,
	  dimer_methods.F, dimer_types.F, dimer_utils.F,
	  distribution_2d_types.F, distribution_methods.F,
	  distribution_optimize.F, dkh_main.F, dm_ls_chebyshev.F,
	  dm_ls_scf.F, dm_ls_scf_curvy.F, dm_ls_scf_methods.F,
	  dm_ls_scf_qs.F, dm_ls_scf_types.F, efield_utils.F,
	  eip_environment.F, eip_environment_types.F, eip_main.F,
	  eip_silicon.F, environment.F, ep_f77.F, ep_f77_low.F,
	  ep_methods.F, ep_qs_types.F, et_coupling.F, et_coupling_types.F,
	  ewald_environment_types.F, ewald_pw_methods.F, ewald_pw_types.F,
	  ewald_spline_util.F, ewalds.F, ewalds_multipole.F,
	  ewalds_multipole_debug.F, exclusion_types.F,
	  extended_system_dynamics.F, extended_system_init.F,
	  extended_system_mapping.F, extended_system_types.F,
	  external_potential_methods.F, external_potential_types.F,
	  f77_interface.F, farming_methods.F, farming_types.F,
	  fermi_utils.F, fist_energy_types.F, fist_environment.F,
	  fist_environment_types.F, fist_force.F, fist_intra_force.F,
	  fist_main.F, fist_neighbor_list_control.F,
	  fist_neighbor_list_types.F, fist_neighbor_lists.F,
	  fist_nonbond_env_types.F, fist_nonbond_force.F, fist_pol_scf.F,
	  fm/cp_blacs_calls.F, fm/cp_blacs_env.F, fm/cp_cfm_basic_linalg.F,
	  fm/cp_cfm_diag.F, fm/cp_cfm_types.F, fm/cp_fm_basic_linalg.F,
	  fm/cp_fm_cholesky.F, fm/cp_fm_diag.F, fm/cp_fm_pool_types.F,
	  fm/cp_fm_struct.F, fm/cp_fm_types.F, fm/cp_fm_vect.F,
	  fm/cp_linked_list_fm.F, force_env_methods.F, force_env_types.F,
	  force_env_utils.F, force_field_types.F, force_fields.F,
	  force_fields_all.F, force_fields_ext.F, force_fields_input.F,
	  force_fields_util.F, fp_methods.F, fp_types.F,
	  free_energy_methods.F, free_energy_types.F,
	  ga_environment_types.F, gauss_colloc.F, gaussian_gridlevels.F,
	  geo_opt.F, glbopt_callback.F, glbopt_history.F, glbopt_input.F,
	  glbopt_master.F, glbopt_mincrawl.F, glbopt_minhop.F,
	  glbopt_worker.F, gle_system_dynamics.F, gle_system_types.F,
	  gopt_f77_methods.F, gopt_f_methods.F, gopt_f_types.F,
	  gopt_param_types.F, graphcon.F, grid/fast.F, grid/grid_fast.F,
	  grid/xyz_to_vab_optimised.F, harris_energy_types.F,
	  harris_force.F, harris_force_types.F, harris_functional.F,
	  hartree_local_methods.F, hartree_local_types.F, header.F,
	  helium_common.F, helium_interactions.F, helium_io.F,
	  helium_methods.F, helium_sampling.F, hfx_admm_utils.F,
	  hfx_communication.F, hfx_compression_core_methods.F,
	  hfx_compression_methods.F, hfx_contract_block.F,
	  hfx_contraction_methods.F, hfx_derivatives.F,
	  hfx_energy_potential.F, hfx_helpers.F, hfx_libint_interface.F,
	  hfx_libint_wrapper.F, hfx_load_balance_methods.F,
	  hfx_pair_list_methods.F, hfx_ri_gemopt.F, hfx_ri_methods.F,
	  hfx_screening_methods.F, hfx_types.F,
	  input/cp_linked_list_char.F, input/cp_linked_list_int.F,
	  input/cp_linked_list_logical.F, input/cp_linked_list_real.F,
	  input/cp_linked_list_val.F, input/cp_parser_buffer_types.F,
	  input/cp_parser_ilist_methods.F, input/cp_parser_ilist_types.F,
	  input/cp_parser_inpp_methods.F, input/cp_parser_inpp_types.F,
	  input/cp_parser_methods.F, input/cp_parser_status_types.F,
	  input/cp_parser_types.F, input/input_enumeration_types.F,
	  input/input_keyword_types.F, input/input_parsing.F,
	  input/input_section_types.F, input/input_val_types.F,
	  input_cp2k_almo.F, input_cp2k_atom.F, input_cp2k_barostats.F,
	  input_cp2k_binary_restarts.F, input_cp2k_check.F,
	  input_cp2k_colvar.F, input_cp2k_dft.F, input_cp2k_force_eval.F,
	  input_cp2k_free_energy.F, input_cp2k_global.F, input_cp2k_ls.F,
	  input_cp2k_md.F, input_cp2k_mm.F, input_cp2k_motion_print.F,
	  input_cp2k_mp2.F, input_cp2k_poisson.F,
	  input_cp2k_properties_dft.F, input_cp2k_qmmm.F,
	  input_cp2k_read.F, input_cp2k_restarts.F,
	  input_cp2k_restarts_util.F, input_cp2k_rsgrid.F,
	  input_cp2k_subsys.F, input_cp2k_thermostats.F, input_cp2k_xc.F,
	  input_optimize_basis.F, input_optimize_input.F, integrator.F,
	  integrator_utils.F, ipi_driver.F, iterate_matrix.F, k290.F,
	  kg_correction.F, kg_environment.F, kg_environment_types.F,
	  kg_min_heap.F, kg_tnadd_mat.F, kg_vertex_coloring_methods.F,
	  library_tests.F, lri_debug_integrals.F,
	  lri_environment_methods.F, lri_environment_types.F, lri_forces.F,
	  lri_ks_methods.F, lri_optimize_ri_basis.F, ma/ma_affinity.F,
	  ma/ma_config.F, ma/ma_errors.F, ma/ma_process_mapping.F,
	  ma/ma_topology.F, ma/machine_architecture.F,
	  ma/machine_architecture_utils.F, manybody_eam.F,
	  manybody_potential.F, manybody_siepmann.F, manybody_tersoff.F,
	  mc_control.F, mc_coordinates.F, mc_ensembles.F,
	  mc_environment_types.F, mc_ge_moves.F, mc_misc.F,
	  mc_move_control.F, mc_moves.F, mc_run.F, mc_types.F,
	  md_conserved_quantities.F, md_ener_types.F, md_energies.F,
	  md_environment_types.F, md_run.F, md_util.F, md_vel_utils.F,
	  metadyn_tools/graph_methods.F, metadyn_tools/graph_utils.F,
	  metadynamics.F, metadynamics_types.F, metadynamics_utils.F,
	  minimax.F, minimax_rpa.F, mixed_energy_types.F,
	  mixed_environment.F, mixed_environment_types.F,
	  mixed_environment_utils.F, mixed_main.F,
	  mm_collocate_potential.F, mm_mapping_library.F, mode_selective.F,
	  mol_force.F, molden_utils.F, molecular_states.F,
	  molecule_kind_types.F, molecule_types_new.F, molsym.F,
	  moments_utils.F, motion_utils.F, mp2.F, mp2_cphf.F,
	  mp2_direct_method.F, mp2_gpw.F, mp2_laplace.F,
	  mp2_optimize_ri_basis.F, mp2_ri_gpw.F, mp2_ri_grad.F,
	  mp2_ri_grad_util.F, mp2_ri_libint.F, mp2_setup.F, mp2_types.F,
	  mpiwrap/message__nametype1__passing.template,
	  mpiwrap/message_c_passing.f90, mpiwrap/message_d_passing.f90,
	  mpiwrap/message_i_passing.f90, mpiwrap/message_l_passing.f90,
	  mpiwrap/message_passing.F, mpiwrap/message_r_passing.f90,
	  mpiwrap/message_z_passing.f90, mulliken.F, multipole_types.F,
	  neb_io.F, neb_md_utils.F, neb_methods.F, neb_opt_utils.F,
	  neb_types.F, neb_utils.F, optbas_fenv_manipulation.F,
	  optbas_opt_utils.F, optimize_basis.F, optimize_basis_types.F,
	  optimize_basis_utils.F, optimize_input.F, pair_potential.F,
	  pair_potential_coulomb.F, pair_potential_types.F,
	  pair_potential_util.F, particle_types.F, paw_proj_set_types.F,
	  pilaenv_hack.F, pint_gle.F, pint_io.F, pint_methods.F,
	  pint_normalmode.F, pint_public.F, pint_staging.F,
	  pint_transformations.F, pme.F, pme_tools.F,
	  population_analyses.F, preconditioner.F, preconditioner_types.F,
	  pw/cp_linked_list_3d_r.F, pw/cp_linked_list_pw.F,
	  pw/cp_linked_list_rs.F, pw/cube_utils.F, pw/dg_rho0_types.F,
	  pw/dg_types.F, pw/dgs.F, pw/fft/fft_lib.F, pw/fft/fftsg_lib.F,
	  pw/fft/fftw3_lib.F, pw/fft/mltfftsg_tools.F, pw/fft_tools.F,
	  pw/lazy.F, pw/mt_util.F, pw/ps_wavelet_base.F,
	  pw/ps_wavelet_fft3d.F, pw/ps_wavelet_kernel.F,
	  pw/ps_wavelet_methods.F, pw/ps_wavelet_scaling_function.F,
	  pw/ps_wavelet_types.F, pw/ps_wavelet_util.F, pw/pw_cuda.F,
	  pw/pw_grid_info.F, pw/pw_grids.F, pw/pw_methods.F,
	  pw/pw_poisson_methods.F, pw/pw_poisson_types.F,
	  pw/pw_pool_types.F, pw/pw_spline_utils.F, pw/pw_types.F,
	  pw/realspace_grid_cube.F, pw/realspace_grid_types.F,
	  pw_env_methods.F, pw_env_types.F, pw_poisson_read_input.F,
	  qmmm_create.F, qmmm_elpot.F, qmmm_ff_fist.F, qmmm_force_mixing.F,
	  qmmm_gaussian_init.F, qmmm_gaussian_input.F, qmmm_gpw_energy.F,
	  qmmm_gpw_forces.F, qmmm_image_charge.F, qmmm_init.F,
	  qmmm_links_methods.F, qmmm_per_elpot.F, qmmm_pw_grid.F,
	  qmmm_se_energy.F, qmmm_se_forces.F, qmmm_topology_util.F,
	  qmmm_types.F, qmmm_update.F, qmmm_util.F,
	  qs_block_davidson_types.F, qs_charges_types.F,
	  qs_collocate_density.F, qs_conductivity.F, qs_core_energies.F,
	  qs_core_hamiltonian.F, qs_density_mixing_types.F,
	  qs_dftb_coulomb.F, qs_dftb_dispersion.F, qs_dftb_matrices.F,
	  qs_dftb_parameters.F, qs_dftb_types.F, qs_dftb_utils.F,
	  qs_diis.F, qs_dispersion_nonloc.F, qs_dispersion_pairpot.F,
	  qs_dispersion_types.F, qs_dispersion_utils.F, qs_efield_berry.F,
	  qs_elec_field.F, qs_electric_field_gradient.F, qs_energy.F,
	  qs_energy_types.F, qs_energy_utils.F, qs_environment.F,
	  qs_environment_methods.F, qs_environment_types.F, qs_epr_hyp.F,
	  qs_external_density.F, qs_external_potential.F,
	  qs_fermi_contact.F, qs_force.F, qs_force_types.F,
	  qs_gapw_densities.F, qs_geminals.F, qs_grid_atom.F,
	  qs_gspace_mixing.F, qs_harmonics_atom.F, qs_initial_guess.F,
	  qs_integrate_potential_low.F, qs_integrate_potential_product.F,
	  qs_integrate_potential_single.F, qs_interactions.F,
	  qs_kpp1_env_methods.F, qs_kpp1_env_types.F,
	  qs_ks_apply_restraints.F, qs_ks_atom.F, qs_ks_methods.F,
	  qs_ks_qmmm_methods.F, qs_ks_utils.F, qs_linres_atom_current.F,
	  qs_linres_current_utils.F, qs_linres_epr_nablavks.F,
	  qs_linres_epr_ownutils.F, qs_linres_epr_utils.F,
	  qs_linres_issc_utils.F, qs_linres_methods.F, qs_linres_module.F,
	  qs_linres_nmr_shift.F, qs_linres_nmr_utils.F, qs_linres_op.F,
	  qs_linres_polar_utils.F, qs_linres_types.F, qs_loc_methods.F,
	  qs_loc_molecules.F, qs_loc_types.F, qs_loc_utils.F,
	  qs_local_rho_types.F, qs_localization_methods.F, qs_main.F,
	  qs_matrix_pools.F, qs_mo_methods.F, qs_mo_types.F,
	  qs_modify_pab_block.F, qs_moments.F, qs_neighbor_list_types.F,
	  qs_neighbor_lists.F, qs_oce_methods.F, qs_oce_types.F,
	  qs_operators_ao.F, qs_ot.F, qs_ot_eigensolver.F,
	  qs_ot_minimizer.F, qs_ot_scf.F, qs_ot_types.F, qs_outer_scf.F,
	  qs_p_env_methods.F, qs_p_env_types.F, qs_p_sparse_psi.F,
	  qs_pdos.F, qs_period_efield_types.F, qs_resp.F, qs_rho0_ggrid.F,
	  qs_rho0_methods.F, qs_rho0_types.F, qs_rho_atom_methods.F,
	  qs_rho_atom_types.F, qs_rho_methods.F, qs_rho_types.F, qs_scf.F,
	  qs_scf_block_davidson.F, qs_scf_diagonalization.F,
	  qs_scf_initialization.F, qs_scf_lanczos.F, qs_scf_loop_utils.F,
	  qs_scf_methods.F, qs_scf_output.F, qs_scf_post_dftb.F,
	  qs_scf_post_gpw.F, qs_scf_post_scptb.F, qs_scf_post_se.F,
	  qs_scf_types.F, qs_scf_wfn_mix.F, qs_spin_orbit.F,
	  qs_tddfpt_eigensolver.F, qs_tddfpt_module.F, qs_tddfpt_types.F,
	  qs_tddfpt_utils.F, qs_vxc.F, qs_vxc_atom.F,
	  qs_wf_history_methods.F, qs_wf_history_types.F, reftraj_types.F,
	  reftraj_util.F, rel_control_types.F, replica_methods.F,
	  replica_types.F, restraint.F, ri_environment_types.F, rmsd.F,
	  rpa_communication.F, rpa_ri_gpw.F, rs_pw_interface.F,
	  rt_delta_pulse.F, rt_hfx_utils.F, rt_make_propagators.F,
	  rt_matrix_exp.F, rt_matrix_exp_dbcsr.F, rt_propagation.F,
	  rt_propagation_methods.F, rt_propagation_output.F,
	  rt_propagation_types.F, rt_propagation_utils.F,
	  rt_propagator_init.F, rtp_admm_methods.F, s_square_methods.F,
	  sap_kind_types.F, scf_control_types.F, scp_coeff_types.F,
	  scp_delta_fock_matrix.F, scp_diis_utils.F, scp_dispersion.F,
	  scp_energy_types.F, scp_environment.F, scp_environment_types.F,
	  scp_fock_matrix_integrals.F, scp_force_types.F, scp_nddo_utils.F,
	  scptb_core_interactions.F, scptb_ks_matrix.F, scptb_parameters.F,
	  scptb_types.F, scptb_utils.F, se_core_core.F, se_core_matrix.F,
	  se_fock_matrix_control.F, se_fock_matrix_coulomb_ga.F,
	  se_fock_matrix_coulomb_mpi.F, se_fock_matrix_dbg.F,
	  se_fock_matrix_exchange.F, se_fock_matrix_ga.F,
	  se_fock_matrix_integrals.F, se_fock_matrix_mpi.F, se_ga_tools.F,
	  semi_empirical_expns3_methods.F, semi_empirical_expns3_types.F,
	  semi_empirical_int3_utils.F, semi_empirical_int_ana.F,
	  semi_empirical_int_arrays.F, semi_empirical_int_debug.F,
	  semi_empirical_int_gks.F, semi_empirical_int_num.F,
	  semi_empirical_int_utils.F, semi_empirical_integrals.F,
	  semi_empirical_mpole_methods.F, semi_empirical_mpole_types.F,
	  semi_empirical_par_utils.F, semi_empirical_parameters.F,
	  semi_empirical_store_int_types.F, semi_empirical_types.F,
	  semi_empirical_utils.F, shell_opt.F, shell_potential_types.F,
	  simpar_methods.F, simpar_types.F, soft_basis_set.F,
	  splines_methods.F, splines_types.F, spme.F, start/cp2k_runs.F,
	  start/cp2k_shell.F, start/f77_int_low.F, start/input_cp2k.F,
	  start/input_cp2k_motion.F, statistical_methods.F, stm_images.F,
	  subcell_types.F, surface_dipole.F, swarm.F, swarm_input.F,
	  swarm_master.F, swarm_message.F,
	  swarm_message__nametype_.template, swarm_mpi.F, swarm_worker.F,
	  t_c_g0.F, t_sh_p_s_c.F, tamc_run.F, taper_types.F,
	  task_list_methods.F, task_list_types.F, thermal_region_types.F,
	  thermal_region_utils.F, thermostat_mapping.F,
	  thermostat_methods.F, thermostat_types.F, thermostat_utils.F,
	  tmc/tmc_analysis.F, tmc/tmc_analysis_types.F,
	  tmc/tmc_calculations.F, tmc/tmc_cancelation.F,
	  tmc/tmc_dot_tree.F, tmc/tmc_file_io.F, tmc/tmc_master.F,
	  tmc/tmc_messages.F, tmc/tmc_move_handle.F, tmc/tmc_move_types.F,
	  tmc/tmc_moves.F, tmc/tmc_setup.F, tmc/tmc_tree_acceptance.F,
	  tmc/tmc_tree_build.F, tmc/tmc_tree_references.F,
	  tmc/tmc_tree_search.F, tmc/tmc_tree_types.F, tmc/tmc_worker.F,
	  topology.F, topology_amber.F, topology_cif.F,
	  topology_connectivity_util.F, topology_constraint_util.F,
	  topology_coordinate_util.F, topology_cp2k.F,
	  topology_generate_util.F, topology_gromos.F, topology_input.F,
	  topology_multiple_unit_cell.F, topology_pdb.F, topology_psf.F,
	  topology_types.F, topology_util.F, topology_xtl.F,
	  topology_xyz.F, velocity_verlet_control.F,
	  vibrational_analysis.F, virial_methods.F, virial_types.F,
	  wannier_states.F, whittaker.F, wiener_process.F, xas_control.F,
	  xas_env_types.F, xas_methods.F, xas_restart.F, xas_tp_scf.F,
	  xc/cp_linked_list_xc_deriv.F, xc/xc.F, xc/xc_atom.F, xc/xc_b97.F,
	  xc/xc_cs1.F, xc/xc_derivative_desc.F,
	  xc/xc_derivative_set_types.F, xc/xc_derivative_types.F,
	  xc/xc_derivatives.F, xc/xc_exchange_gga.F,
	  xc/xc_functionals_utilities.F, xc/xc_hcth.F, xc/xc_ke_gga.F,
	  xc/xc_libxc.F, xc/xc_lyp.F, xc/xc_lyp_adiabatic.F, xc/xc_optx.F,
	  xc/xc_pade.F, xc/xc_pbe.F, xc/xc_perdew86.F, xc/xc_perdew_wang.F,
	  xc/xc_perdew_zunger.F, xc/xc_rho_cflags_types.F,
	  xc/xc_rho_set_types.F, xc/xc_tfw.F, xc/xc_thomas_fermi.F,
	  xc/xc_tpss.F, xc/xc_vwn.F, xc/xc_xalpha.F, xc/xc_xbecke88.F,
	  xc/xc_xbecke88_long_range.F, xc/xc_xbecke88_lr_adiabatic.F,
	  xc/xc_xbecke_roussel.F, xc/xc_xbeef.F,
	  xc/xc_xbr_pbe_lda_hole_t_c_lr.F, xc/xc_xlda_hole_t_c_lr.F,
	  xc/xc_xpbe_hole_t_c_lr.F, xc/xc_xwpbe.F, xc_adiabatic_methods.F,
	  xc_adiabatic_utils.F, xc_pot_saop.F, xc_write_output.F,
	  xray_diffraction.F: Apply doxify script to (almost) all of CP2K
	  code-base

2014-07-21 15:09  jhutter

	* [r14141] mpiwrap/message_passing.F: Only update communicator
	  count if we have really created a communicator.

2014-07-21 08:41  dorotheagolze

	* [r14140] aobasis/ai_overlap_aabb.F, common/powell.F,
	  cp_control_types.F, cp_control_utils.F, input_cp2k_dft.F,
	  lri_debug_integrals.F, lri_environment_methods.F,
	  lri_environment_types.F, lri_optimize_ri_basis.F,
	  pw_env_methods.F, qs_environment.F, qs_neighbor_lists.F,
	  qs_scf_initialization.F: optimization of lri basis sets

2014-07-17 07:44  jhutter

	* [r14138] atom_operators.F: Clean variable definitions

2014-07-16 17:34  jhutter

	* [r14137] atom_kind_orbitals.F, atom_operators.F, atom_output.F,
	  atom_pseudo.F, atom_types.F: Generalized confinement potential
	  for atom calculations.
	  pot = (r/rc)^a with a real, two new regtests

2014-07-14 16:01  dorotheagolze

	* [r14136] qs_collocate_density.F, qs_integrate_potential_single.F:
	  bug fix for distribution of the lri density

2014-07-14 13:01  jhutter

	* [r14134] aobasis/ai_contraction.F, aobasis/ai_overlap.F: More
	  overlap integrals and contraction routines

2014-07-11 14:44  jhutter

	* [r14132] aobasis/ai_overlap.F: Bug fix for 2nd derivatives of
	  overlap integrals

2014-07-11 14:09  mkrack

	* [r14131] qs_overlap.F: Remove unused variable

2014-07-11 13:46  jhutter

	* [r14130] admm_methods.F, aobasis/ai_contraction.F,
	  aobasis/ai_kinetic.F, aobasis/ai_moments.F, aobasis/ai_overlap.F,
	  aobasis/ai_overlap_new.F, aobasis/basis_set_types.F, core_ppl.F,
	  core_ppnl.F, ep_methods.F, harris_force.F,
	  lri_environment_methods.F, mp2_optimize_ri_basis.F,
	  qs_core_hamiltonian.F, qs_environment_types.F, qs_force.F,
	  qs_force_types.F, qs_integral_utils.F, qs_kinetic.F,
	  qs_neighbor_list_types.F, qs_oce_methods.F, qs_overlap.F,
	  rtp_admm_methods.F, scptb_core_matrix.F, soft_basis_set.F,
	  xas_methods.F: Major refactoring of overlap and kinetic energy
	  integrals.
	  New routines for basic integrals and refactoring of
	  buildup for overlap and kinetic energy matrices.
	  Many small changes to adapt to new routines.

2014-07-10 20:10  ibethune

	* [r14127] base/machine_posix.f90: Add in flag
	  __HAS_NO_SHARED_GLIBC to support systems like ARCHER where
	  the glibc.so is not available at runtime for whatever reason.

2014-07-09 13:56  delben

	* [r14124] mp2_optimize_ri_basis.F: I don't get it ...

2014-07-09 12:56  delben

	* [r14123] dm_ls_scf.F, dm_ls_scf_methods.F, input_cp2k_ls.F,
	  input_cp2k_mp2.F, mp2_optimize_ri_basis.F, mp2_setup.F,
	  mp2_types.F: Several improvements and bugs fixed in the auxiliary
	  RI-MP2 basis
	  optimizer, added the BASIS_RI_cc-TZ file (tests/QS/ folder)
	  containing
	  primary and RI auxiliary basis at TZ level for the most common
	  elements.
	  Some additional files have been prettified.

2014-07-07 15:03  oschuett

	* [r14119] input_cp2k_mm.F: Input Description Change (Leila)

2014-07-07 08:51  vondele

	* [r14118] common/bibliography.F, dm_ls_scf.F, dm_ls_scf_methods.F,
	  dm_ls_scf_types.F, input_constants.F, input_cp2k_ls.F: Added
	  trace conserving non-monotonic purification (TC2) : Jonathan
	  Mullin

2014-07-04 12:23  mkrack

	* [r14114] xc/xc_libxc.F: Remove ^M characters at end of line which
	  enable prettify again

2014-07-04 12:06  jhutter

	* [r14113] xc/libxc_funcs_m.F, xc/xc_libxc.F: Libxc v2.1

2014-07-01 11:27  mkrack

	* [r14112] qs_scf_initialization.F, qs_scf_types.F: Recover added
	  timers

2014-07-01 09:02  marci73

	* [r14110] qs_scf.F, qs_scf_initialization.F, qs_scf_types.F:
	  deallocations

2014-07-01 08:36  mkrack

	* [r14109] qs_scf_initialization.F, qs_scf_types.F: Fix memory
	  leaks; prettify

2014-06-30 16:08  marci73

	* [r14108] cp_control_types.F, cp_control_utils.F,
	  input_cp2k_dft.F: eps_3c_reduce removed

2014-06-26 13:53  mkrack

	* [r14107] fm/cp_fm_types.F, input_cp2k_dft.F,
	  qs_scf_diagonalization.F, qs_scf_initialization.F,
	  qs_scf_methods.F, qs_scf_types.F: Block unused variables;
	  prettify

2014-06-26 13:28  marci73

	* [r14106] fm/cp_fm_types.F, input_constants.F, input_cp2k_dft.F,
	  mp2.F, qs_initial_guess.F, qs_scf_diagonalization.F,
	  qs_scf_initialization.F, qs_scf_methods.F, qs_scf_types.F:
	  dbcsr_multiply replaces cholesky_restore
	  

2014-06-25 12:19  vondele

	* [r14102] hfx_derivatives.F: fix mem leak in the threaded code

2014-06-25 12:06  mkrack

	* [r14101] hfx_derivatives.F: Remove unused work array

2014-06-24 18:31  vondele

	* [r14100] pw/pw_grids.F: refactor g vec length calculation. reset
	  one test, adjust tol.

2014-06-24 13:55  mkrack

	* [r14099] fm/cp_blacs_env.F, fm/cp_cfm_basic_linalg.F,
	  fm/cp_cfm_diag.F, fm/cp_cfm_types.F, fm/cp_fm_basic_linalg.F,
	  fm/cp_fm_cholesky.F, fm/cp_fm_struct.F, fm/cp_fm_types.F,
	  ma/ma_process_mapping.F, ma/ma_topology.F: * Block out last bunch
	  of unused variables
	  * Serial versions are clean now (-Werror flag added)
	  * Update sdbg and ssmp arch files
	  * Add ssmp regtest conf file

2014-06-24 09:32  mkrack

	* [r14098] cp_dbcsr_cholesky.F, fm/cp_fm_diag.F, qs_linres_op.F:
	  Block out unused variables for ssmp

2014-06-20 14:23  ceriottm

	* [r14094] input_cp2k_thermostats.F: Updated the reference to the
	  GLE4MD input generation page
	  
	  After the decommissioning of BerliOS.de, the input generation
	  page
	  has been moved to github pages.

2014-06-18 13:39  delben

	* [r14093] minimax_rpa.F: Problem with maximum number of
	  continuation line exceeded in minimax_rpa
	  fixed

2014-06-18 12:14  oschuett

	* [r14091] atom_xc.F, beta_gamma_psi.F, dbcsr/dbcsr_mm_cannon.F,
	  eip_silicon.F, hfx_energy_potential.F, minimax_rpa.F,
	  mp2_direct_method.F, mp2_gpw.F, mp2_ri_gpw.F, mp2_ri_grad.F,
	  mp2_ri_grad_util.F, mp2_ri_libint.F, qs_dispersion_pairpot.F,
	  rpa_ri_gpw.F, se_core_matrix.F, statistical_methods.F,
	  xc/xc_b97.F, xc/xc_libxc.F, xc/xc_lyp.F, xc/xc_lyp_adiabatic.F,
	  xc/xc_pbe.F, xc/xc_tpss.F, xc/xc_vwn.F,
	  xc/xc_xbecke88_long_range.F, xc/xc_xbecke88_lr_adiabatic.F,
	  xc/xc_xbecke_roussel.F, xc/xc_xpbe_hole_t_c_lr.F, xc/xc_xwpbe.F:
	  prettify: fix line continuations

2014-06-17 14:11  jhutter

	* [r14090] qs_overlap.F: Remove unused variables.

2014-06-17 13:07  mkrack

	* [r14089] acc/acc_devmem.F, acc/acc_hostmem.F, acc/acc_stream.F:
	  Prettify

2014-06-17 12:05  marci73

	* [r14088] qs_vxc_atom.F: test

2014-06-17 11:36  tlaino

	* [r14087] acc/acc_device.F, acc/acc_devmem.F, acc/acc_event.F,
	  acc/acc_hostmem.F, acc/acc_hostmem__nametype1_.template,
	  acc/acc_hostmem_c.f90, acc/acc_hostmem_d.f90,
	  acc/acc_hostmem_i.f90, acc/acc_hostmem_l.f90,
	  acc/acc_hostmem_r.f90, acc/acc_hostmem_z.f90, acc/acc_stream.F:
	  protect XLF from commit 14005. Avoid usage and definition of
	  C_PTR and related ISO_C_BINDING types, unless necessary for the
	  execution flow.

2014-06-17 09:07  mkrack

	* [r14086] ipi_driver.F, qs_dispersion_pairpot.F: Prettify

2014-06-17 08:01  marci73

	* [r14085] qs_vxc_atom.F: comment debug statement

2014-06-16 13:45  jhutter

	* [r14082] qs_dispersion_pairpot.F: Stabilize calculation of C6 for
	  large coordination
	  for the D3 method. Hope it works this time.

2014-06-16 13:44  jhutter

	* [r14081] atom_fit.F: Reduce output volume for basis set fits.

2014-06-16 09:38  tlaino

	* [r14080] minimax_rpa.F: split parameter definition into multiple
	  lines (not yet applied to the whole file for 255-lines
	  compliance, but only to those parts critical for XLF)

2014-06-16 08:14  ceriottm

	* [r14079] ipi_driver.F: REAL(8) --> REAL(KIND=dp) in ipi_driver.F
	  
	  Hopefully this will be OK with all compiler -- and it is more
	  consistent with CP2K style anyway.

2014-06-16 07:04  ceriottm

	* [r14078] ipi_driver.F: REAL*8 --> REAL(8) in ipi_driver
	  
	  Got bit by F2003 standard compliance check. Should be fixed now.

2014-06-16 06:32  ceriottm

	* [r14077] ipi_driver.F, sockets.c: Re-factored the sockets
	  interface to be easily replaced by F90 version
	  
	  Defined a module interface for write/readbuffer and some wrappers
	  that
	  convert F90 types in such a form they can be passed as a "void *"

2014-06-13 10:53  delben

	* [r14076] input_cp2k_mp2.F, minimax_rpa.F, mp2_setup.F,
	  mp2_types.F, rpa_ri_gpw.F: Minimax quadrature in the numerical
	  integration of the RI-RPA energy.

2014-06-06 15:54  tlaino

	* [r14074] base/machine_posix.f90: fix when pointer is not
	  associated

2014-05-30 08:47  vondele

	* [r14073] xc/xc_functionals_utilities.F: clean
	  xc_functionals_utilities.F

2014-05-30 08:44  vondele

	* [r14072] xc/xc.F, xc/xc_exchange_gga.F, xc/xc_ke_gga.F: some
	  cleanup in xc

2014-05-29 15:42  vondele

	* [r14071] pw/pw_methods.F: some cleanup in pw_methods

2014-05-29 15:35  vondele

	* [r14070] common/linear_systems.F: cleanup linear_systems

2014-05-29 15:31  vondele

	* [r14069] common/mathlib.F: some cleanup in mathlib

2014-05-29 15:26  vondele

	* [r14068] cp_dbcsr_operations.F: cleanup in cp_dbcsr_operations

2014-05-29 15:22  vondele

	* [r14067] admm_methods.F: some admm cleanups

2014-05-29 15:21  vondele

	* [r14066] common/string_utilities.F: some string util cleanups

2014-05-29 15:18  vondele

	* [r14065] hfx_helpers.F: some hfx cleanups

2014-05-29 15:14  vondele

	* [r14064] kg_environment.F, kg_vertex_coloring_methods.F: some kg
	  cleanups

2014-05-29 15:10  vondele

	* [r14063] tmc/tmc_calculations.F, tmc/tmc_messages.F: some tmc
	  cleanup

2014-05-28 15:32  vondele

	* [r14058] base/machine.F: avoid hard-coded input/output units

2014-05-28 11:11  vondele

	* [r14057] admm_methods.F, admm_types.F, admm_utils.F,
	  almo_scf_methods.F, cp_dbcsr_util.F, dm_ls_scf_methods.F,
	  hfx_communication.F, hfx_compression_methods.F,
	  hfx_contraction_methods.F, hfx_derivatives.F,
	  hfx_energy_potential.F, hfx_helpers.F, hfx_libint_interface.F,
	  hfx_libint_wrapper.F, hfx_libint_wrapper_types.F,
	  hfx_load_balance_methods.F, hfx_pair_list_methods.F,
	  hfx_screening_methods.F, hfx_types.F, kg_correction.F, minimax.F,
	  mp2_direct_method.F, mp2_ri_libint.F, pint_gle.F,
	  xc_adiabatic_methods.F: unify syntax in PUBLIC statement

2014-05-28 08:42  tlaino

	* [r14056] base/machine_posix.f90: fix KIND

2014-05-28 08:08  vondele

	* [r14055] dbcsrwrap/cp_dbcsr_interface.F, dm_ls_scf_curvy.F:
	  towards making the components of the cp_dbcsr_type private

2014-05-27 15:18  sandermatt

	* [r14054] rt_matrix_exp_dbcsr.F: rtp: remove unused subroutine

2014-05-26 15:39  vondele

	* [r14053] ma/ma_topology.F: ifdef a few more variables

2014-05-26 14:54  vondele

	* [r14052] ma/machine_architecture.F: #ifdef variable

2014-05-26 14:37  vondele

	* [r14051] dbcsr/dbcsr_types.F: remove unused variable

2014-05-26 14:29  vondele

	* [r14050] common/cp_array_i_utils.F,
	  common/cp_array_logical_utils.F, common/cp_array_r_utils.F,
	  common/dict_str_i4.F, common/list_routinereport.F,
	  dbcsr/dbcsr_data_methods_low.F, dbcsr/dbcsr_methods.F,
	  dbcsr/dbcsr_operations.F, dbcsr/dbcsr_operations_low.F: fix a few
	  more uses, restore templates

2014-05-26 14:19  vondele

	* [r14049] acc/acc_devmem.F, acc/acc_kinds.F, al_system_types.F,
	  almo_scf_aux2_methods.F, almo_scf_special.F, aobasis/ai_angmom.F,
	  aobasis/ai_coulomb.F, aobasis/ai_geminals.F,
	  aobasis/ai_onecenter.F, aobasis/ai_overlap3.F, aobasis/ao_util.F,
	  aobasis/basis_set_types.F, aobasis/orbital_pointers.F,
	  aobasis/orbital_transformation_matrices.F, atom_optimization.F,
	  atom_types.F, atom_utils.F, atomic_kind_types.F, atprop_types.F,
	  base/kinds.F, base/machine.F, cell_methods.F, cell_opt_types.F,
	  colvar_types.F, common/bessel_lib.F, common/cp_array_i_utils.F,
	  common/cp_array_logical_utils.F, common/cp_array_r_utils.F,
	  common/cp_para_env.F, common/cp_result_types.F,
	  common/cp_units.F, common/dict.F, common/dict_str_i4.F,
	  common/distribution_1d_types.F, common/eigenvalueproblems.F,
	  common/erf_fn.F, common/fparser.F, common/lebedev.F,
	  common/linear_systems.F, common/list.F,
	  common/list_routinereport.F, common/mathconstants.F,
	  common/mathlib.F, common/parallel_rng_types.F,
	  common/periodic_table.F, common/physcon.F,
	  common/spherical_harmonics.F, common/string_utilities.F,
	  common/timings.F, constraint_vsite.F, cp_control_types.F,
	  cp_dbcsr_cholesky.F, cp_dbcsr_diag.F, cp_dbcsr_operations.F,
	  cp_ddapc.F, cp_lbfgs_optimizer_gopt.F, cp_ma_interface.F,
	  csvr_system_types.F, dbcsr/array_types.F, dbcsr/dbcsr_api.F,
	  dbcsr/dbcsr_blas_operations.F, dbcsr/dbcsr_block_access.F,
	  dbcsr/dbcsr_block_operations.F, dbcsr/dbcsr_config.F,
	  dbcsr/dbcsr_data_methods.F, dbcsr/dbcsr_datatype.F,
	  dbcsr/dbcsr_dist_operations.F, dbcsr/dbcsr_error_handling.F,
	  dbcsr/dbcsr_index_operations.F, dbcsr/dbcsr_io.F,
	  dbcsr/dbcsr_iterator_operations.F, dbcsr/dbcsr_mem_methods.F,
	  dbcsr/dbcsr_methods.F, dbcsr/dbcsr_mp_operations.F,
	  dbcsr/dbcsr_operations.F, dbcsr/dbcsr_ptr_util.F,
	  dbcsr/dbcsr_test_methods.F, dbcsr/dbcsr_toollib.F,
	  dbcsr/dbcsr_types.F, dbcsr/dbcsr_util.F,
	  dbcsr/dbcsr_work_operations.F, dbcsr/min_heap.F,
	  dbcsrwrap/cp_dbcsr_interface.F, dimer_types.F,
	  distribution_2d_types.F, dm_ls_scf_types.F,
	  eip_environment_types.F, ep_methods.F, ep_qs_types.F,
	  et_coupling.F, et_coupling_types.F, ewald_environment_types.F,
	  extended_system_types.F, external_potential_types.F,
	  f77_interface.F, farming_types.F, fist_energy_types.F,
	  fist_environment_types.F, fist_force.F, fm/cp_blacs_calls.F,
	  fm/cp_cfm_basic_linalg.F, fm/cp_cfm_types.F,
	  fm/cp_fm_basic_linalg.F, fm/cp_fm_diag.F, fm/cp_fm_pool_types.F,
	  fm/cp_fm_struct.F, fm/cp_fm_types.F, free_energy_types.F,
	  gauss_colloc.F, gle_system_types.F, global_types.F,
	  gopt_f_methods.F, gopt_param_types.F, harris_energy_types.F,
	  harris_env_types.F, harris_force.F, harris_force_types.F,
	  harris_functional.F, hartree_local_types.F, helium_common.F,
	  helium_interactions.F, helium_io.F, helium_methods.F,
	  input/cp_parser_types.F, input/input_parsing.F,
	  input/input_section_types.F, input_cp2k_dft.F, input_cp2k_mm.F,
	  input_cp2k_poisson.F, iterate_matrix.F, kg_environment_types.F,
	  kg_min_heap.F, lri_environment_types.F, lri_ks_methods.F,
	  ma/ma_affinity.F, ma/ma_config.F, ma/ma_errors.F, ma/ma_kinds.F,
	  ma/ma_process_mapping.F, ma/ma_topology.F,
	  ma/machine_architecture.F, ma/machine_architecture_utils.F,
	  mc_environment_types.F, md_environment_types.F,
	  metadynamics_types.F, mixed_energy_types.F,
	  mixed_environment_types.F, mm_mapping_library.F,
	  mode_selective.F, molecule_kind_types.F, mp2_ri_gpw.F,
	  mp2_types.F, mpiwrap/message_passing.F, neb_utils.F,
	  optimize_basis_types.F, pair_potential_types.F,
	  pint_normalmode.F, pint_public.F, pint_staging.F, pme_tools.F,
	  preconditioner.F, pw/cube_utils.F, pw/dg_types.F, pw/dgs.F,
	  pw/fft/fftw3_lib.F, pw/fft_tools.F, pw/lgrid_types.F,
	  pw/ps_wavelet_methods.F, pw/pw_grid_types.F, pw/pw_grids.F,
	  pw/pw_methods.F, pw/pw_poisson_methods.F, pw/pw_poisson_types.F,
	  pw/pw_pool_types.F, pw/pw_spline_utils.F, pw_env_types.F,
	  qmmm_gpw_energy.F, qmmm_init.F, qmmm_types.F, qmmm_util.F,
	  qs_diis_types.F, qs_dispersion_types.F, qs_energy_types.F,
	  qs_environment_methods.F, qs_environment_types.F,
	  qs_external_density.F, qs_gspace_mixing.F, qs_interactions.F,
	  qs_kpp1_env_types.F, qs_ks_qmmm_methods.F, qs_ks_qmmm_types.F,
	  qs_ks_types.F, qs_linres_current.F, qs_linres_methods.F,
	  qs_linres_types.F, qs_loc_utils.F, qs_local_rho_types.F,
	  qs_matrix_pools.F, qs_mo_types.F, qs_moments.F,
	  qs_neighbor_list_types.F, qs_oce_types.F, qs_p_env_methods.F,
	  qs_p_env_types.F, qs_p_sparse_psi.F, qs_period_efield_types.F,
	  qs_resp.F, qs_rho_atom_types.F, qs_rho_methods.F, qs_rho_types.F,
	  qs_scf.F, qs_scf_loop_utils.F, qs_scf_post_gpw.F,
	  qs_scf_post_scptb.F, qs_scf_types.F, qs_tddfpt_eigensolver.F,
	  qs_tddfpt_utils.F, qs_wf_history_methods.F,
	  qs_wf_history_types.F, reftraj_types.F, replica_methods.F,
	  replica_types.F, ri_environment_types.F, rt_matrix_exp_dbcsr.F,
	  rt_propagation.F, rt_propagation_methods.F,
	  rt_propagation_types.F, scf_control_types.F, scp_coeff_types.F,
	  scp_diis_utils.F, scp_energy_types.F, scp_environment_types.F,
	  scp_force_types.F, scptb_types.F, se_fock_matrix_exchange.F,
	  semi_empirical_expns3_types.F, semi_empirical_types.F,
	  splines_types.F, start/cp2k_runs.F, statistical_methods.F,
	  swarm_message.F, task_list_methods.F, tmc/tmc_analysis_types.F,
	  tmc/tmc_types.F, topology.F, virial_types.F, whittaker.F,
	  xas_control.F, xc/xc.F, xc/xc_derivative_set_types.F,
	  xc/xc_derivative_types.F, xc/xc_functionals_utilities.F,
	  xc/xc_rho_cflags_types.F, xc/xc_rho_set_types.F, xc/xc_xalpha.F:
	  remove the public attribute for symbols never used.

2014-05-26 13:09  oschuett

	* [r14047] common/cp_error_handling.F: Protect PUBLIC API of
	  cp_error_handling.F

2014-05-26 12:51  vondele

	* [r14046] hfx_libint_wrapper.F: simplify interface definitions

2014-05-26 12:31  oschuett

	* [r14045] pw/fft/fftw3_lib.F: Guard Intel's proprietary directives
	  with ifdef(__INTEL_COMPILER)

2014-05-26 12:27  oschuett

	* [r14044] pw/pw_methods.F, pw/pw_pool_types.F: PW: Disable
	  printing of addresses in debug messages

2014-05-26 12:18  oschuett

	* [r14043] pw/fft/fftw3_lib.F: Remove obsolete __NAG flag

2014-05-26 11:53  oschuett

	* [r14042] base/machine.F, base/machine_posix.f90, pw/pw_methods.F,
	  pw/pw_pool_types.F: Replace m_loc_r() and m_loc_c() with C_LOC()

2014-05-26 11:43  oschuett

	* [r14041] base/machine_absoft.f90, base/machine_aix.f90,
	  base/machine_cce.f90, base/machine_dec.f90, base/machine_g95.f90,
	  base/machine_gfortran.f90, base/machine_intel.f90,
	  base/machine_internal.F, base/machine_irix.f90,
	  base/machine_nag.f90, base/machine_pgi.f90, base/machine_sun.f90,
	  base/machine_sx.f90, base/machine_t3e.f90, base/machine_xt3.f90,
	  base/machine_xt5.f90, pw/fft/fftw3_lib.F: Remove most
	  machine_*.f90 files, rely on machine_posix.f90

2014-05-26 11:12  vondele

	* [r14040] pw/pw_cuda.F: prettify

2014-05-26 10:26  vondele

	* [r14039] pw/fft/fftw3_lib.F: more cleanup

2014-05-26 09:44  vondele

	* [r14038] pw/pw_cuda.F: cleanup

2014-05-26 09:36  vondele

	* [r14037] hfx_energy_potential.F, hfx_libint_wrapper.F,
	  hfx_libint_wrapper_types.F, mp2_direct_method.F, mp2_ri_libint.F:
	  iso_c_binding cleanup for hfx

2014-05-25 13:11  mkrack

	* [r14035] ipi_driver.F: Apply "make pretty"

2014-05-25 05:16  ceriottm

	* [r14033] ipi_driver.F, sockets.c: Made sockets interface POSIX
	  compliant, and optional depending on precompiler flags

2014-05-24 18:55  oschuett

	* [r14032] dbcsr/dbcsr_acc_operations.F, gopt_f77_methods.F: Add
	  more ONLY-clauses

2014-05-24 18:37  oschuett

	* [r14031] admm_methods.F, admm_types.F, atom_utils.F,
	  common/dict.F, common/list.F, cp_control_utils.F,
	  cp_ma_interface.F, dbcsr/dbcsr_blas_operations.F,
	  dbcsr/dbcsr_block_access.F, dbcsr/dbcsr_block_operations.F,
	  dbcsr/dbcsr_data_operations.F, dbcsr/dbcsr_dist_operations.F,
	  dbcsr/dbcsr_index_operations.F, dbcsr/dbcsr_io.F,
	  dbcsr/dbcsr_iterator_operations.F, dbcsr/dbcsr_mm_accdrv.F,
	  dbcsr/dbcsr_mm_cannon.F, dbcsr/dbcsr_mm_csr.F,
	  dbcsr/dbcsr_mm_hostdrv.F, dbcsr/dbcsr_mm_multrec.F,
	  dbcsr/dbcsr_mm_sched.F, dbcsr/dbcsr_mp_operations.F,
	  dbcsr/dbcsr_operations.F, dbcsr/dbcsr_operations_low.F,
	  dbcsr/dbcsr_ptr_util.F, dbcsr/dbcsr_tests.F,
	  dbcsr/dbcsr_toollib.F, dbcsr/dbcsr_transformations.F,
	  dbcsr/dbcsr_util.F, dbcsr/dbcsr_work_operations.F,
	  dimer_methods.F, environment.F, hfx_communication.F,
	  hfx_derivatives.F, hfx_energy_potential.F, hfx_helpers.F,
	  hfx_libint_interface.F, hfx_load_balance_methods.F,
	  hfx_pair_list_methods.F, hfx_screening_methods.F, hfx_types.F,
	  input_cp2k_almo.F, input_cp2k_atom.F, input_cp2k_atprop.F,
	  input_cp2k_barostats.F, input_cp2k_binary_restarts.F,
	  input_cp2k_colvar.F, input_cp2k_constraints.F, input_cp2k_dft.F,
	  input_cp2k_distribution.F, input_cp2k_eip.F,
	  input_cp2k_force_eval.F, input_cp2k_free_energy.F,
	  input_cp2k_global.F, input_cp2k_hfx.F, input_cp2k_ls.F,
	  input_cp2k_md.F, input_cp2k_mixed.F, input_cp2k_mm.F,
	  input_cp2k_motion_print.F, input_cp2k_mp2.F, input_cp2k_neb.F,
	  input_cp2k_properties_dft.F, input_cp2k_qmmm.F,
	  input_cp2k_read.F, input_cp2k_resp.F, input_cp2k_subsys.F,
	  input_cp2k_thermostats.F, input_cp2k_vib.F, input_cp2k_xc.F,
	  ma/ma_affinity.F, ma/ma_errors.F, ma/machine_architecture.F,
	  ma/machine_architecture_utils.F, mode_selective.F,
	  molden_utils.F, mp2_direct_method.F, mp2_ri_libint.F,
	  pw/ps_wavelet_util.F, qmmm_gaussian_input.F, qs_energy.F,
	  qs_energy_utils.F, qs_linres_current.F, qs_tddfpt_eigensolver.F,
	  rt_propagation_utils.F, rtp_admm_methods.F, start/cp2k_shell.F,
	  start/input_cp2k.F, start/input_cp2k_motion.F, swarm.F,
	  topology.F, vibrational_analysis.F, xc_write_output.F: Add
	  ONLY-clause to USE-statements

2014-05-24 18:19  oschuett

	* [r14030] common/cp_array_utils.F, ep_methods.F, ep_types.F:
	  Remove file cp_array_utils.F

2014-05-24 18:17  oschuett

	* [r14029] xc/xc_f90_lib_m.F: Declare xc_f90_lib_m.F PRIVATE

2014-05-24 14:43  vondele

	* [r14028] mpiwrap/message_passing.F: fix one more issue, and deal
	  with the interface definition in openmpi

2014-05-24 12:43  vondele

	* [r14027] mpiwrap/message_passing.F: fix a few incorrect calls

2014-05-23 16:54  vondele

	* [r14026] mp2_ri_gpw.F: some more output

2014-05-22 20:24  ibethune

	* [r14023] pw/fft/fft_lib.F: Bugfix: don't try to plan for
	  zero-sized FFTs

2014-05-21 15:35  oschuett

	* [r14022] base/machine_posix.f90: Reimplement m_getlog() using
	  getpwuid() instead of getlogin_r()

2014-05-21 14:49  ibethune

	* [r14021] pw/fft/fftw3_lib.F: use variable instead of hard-coded
	  name

2014-05-21 14:13  ibethune

	* [r14020] environment.F, library_tests.F, pw/fft/PACKAGE,
	  pw/fft/fft_lib.F, pw/fft/fftsg_lib.F, pw/fft/fftw3_lib.F,
	  pw/fft_tools.F: Move FFT library initialisation (inc Wisdom for
	  FFTW3) inside fft
	  library

2014-05-21 11:15  sandermatt

	* [r14019] rt_propagation_methods.F, rt_propagation_utils.F: rtp:
	  remove unneccessary data copying and unused subroutine

2014-05-21 08:51  oschuett

	* [r14018] input_cp2k_barostats.F: Input Description Change (Ben
	  Slater)

2014-05-20 16:42  vondele

	* [r14016] dbcsr/dbcsr_api.F, dbcsr/dbcsr_example_1.F,
	  dbcsr/dbcsr_example_2.F, dbcsr/dbcsr_example_3.F: convert
	  dbcsr_example_*.F to use the dbcsr_api

2014-05-20 15:53  oschuett

	* [r14015] almo_scf.F, almo_scf_aux_types.F, almo_scf_methods.F,
	  aobasis/ai_coulomb_test.F, atom_energy.F, atom_operators.F,
	  bfgs_optimizer.F, cg_optimizer.F, colvar_methods.F,
	  colvar_utils.F, common/fparser.F, common/reference_manager.F,
	  cp_dbcsr_operations.F, cp_ddapc_forces.F, cp_ddapc_methods.F,
	  cp_ddapc_util.F, dbcsr/dbcsr_io.F, dbcsr/dbcsr_mm_csr.F,
	  dbcsr/dbcsr_mm_sched.F, dbcsr/dbcsr_performance_multiply.F,
	  dft_plus_u.F, distribution_methods.F, fermi_utils.F,
	  fist_pol_scf.F, glbopt_callback.F, glbopt_history.F,
	  glbopt_mincrawl.F, glbopt_minhop.F, graphcon.F,
	  hfx_load_balance_methods.F, integrator.F,
	  kg_vertex_coloring_methods.F, library_tests.F,
	  lri_environment_methods.F, metadyn_tools/graph_utils.F,
	  mode_selective.F, mp2.F, mp2_direct_method.F, mp2_gpw.F,
	  mp2_optimize_ri_basis.F, mp2_ri_gpw.F, mp2_ri_grad.F,
	  mp2_ri_grad_util.F, mpiwrap/message_passing.F, neb_opt_utils.F,
	  neb_utils.F, optimize_basis_utils.F, pair_potential.F,
	  pint_methods.F, pw/pw_spline_utils.F, pw/realspace_grid_types.F,
	  qs_gspace_mixing.F, qs_localization_methods.F, qs_ot_minimizer.F,
	  qs_outer_scf.F, qs_scf_post_gpw.F, qs_tddfpt_eigensolver.F,
	  replica_methods.F, rmsd.F, rpa_ri_gpw.F, scptb_ks_matrix.F,
	  statistical_methods.F, task_list_methods.F, thermostat_mapping.F,
	  tmc/tmc_moves.F, tmc/tmc_tree_build.F, vibrational_analysis.F:
	  Prevent lhs reallocation

2014-05-20 13:32  oschuett

	* [r14014] acc/cuda/acc_cuda_dev.cu,
	  dbcsr/libsmm_acc/libcusmm/generate.py,
	  dbcsr/libsmm_acc/libcusmm/kernels/cusmm_dnt_largeDB.py,
	  dbcsr/libsmm_acc/libcusmm/kernels/cusmm_dnt_medium.py,
	  dbcsr/libsmm_acc/libcusmm/kernels/cusmm_dnt_small.py,
	  dbcsr/libsmm_acc/libcusmm/kernels/cusmm_dnt_tiny.py,
	  dbcsr/libsmm_acc/libcusmm/libcusmm_benchmark.cu: Avoid using
	  cudaDeviceSetSharedMemConfig (interferes with libsci_acc)

2014-05-20 13:20  oschuett

	* [r14013] dbcsrwrap/cp_dbcsr_interface.F: split longish line

2014-05-20 13:11  oschuett

	* [r14011] common/cp_array__nametype1__sort.instantiation,
	  common/cp_array_i_sort.F: Remove unused cp_array_i_sort.F

2014-05-20 13:08  oschuett

	* [r14010] _el_typename__list_types.template,
	  atomic_kind_list_types.F,
	  common/cp_linked_list__nametype1_.template,
	  common/cp_log_handling.F, common/f77_blas_netlib.F,
	  dbcsr/btree__nametype1__k__nametype2__v.template,
	  dbcsr/btree_i8_k_cp2d_v.F, dbcsr/btree_i8_k_dp2d_v.F,
	  dbcsr/btree_i8_k_sp2d_v.F, dbcsr/btree_i8_k_zp2d_v.F,
	  fm/cp_linked_list_fm.F, input/cp_linked_list_char.F,
	  input/cp_linked_list_int.F, input/cp_linked_list_logical.F,
	  input/cp_linked_list_real.F, input/cp_linked_list_val.F,
	  mol_kind_new_list_types.F, mol_new_list_types.F,
	  particle_list_types.F, pw/cp_linked_list_3d_r.F,
	  pw/cp_linked_list_pw.F, pw/cp_linked_list_rs.F,
	  xc/cp_linked_list_xc_deriv.F: Protect PUBLIC API of some modules

2014-05-20 09:14  agloess

	* [r14009] pw/pw_cuda.F, pw/pw_grids.F, pw/pw_methods.F: Fix:
	  Fallback to non-CUDA FFT in inefficient cases.

2014-05-19 16:04  vondele

	* [r14008] common/f77_blas_poison.F, grid/xyz_to_vab_optimised.F,
	  pw/ps_wavelet_fft3d.F: get rid of implicitly declared variable
	  (enforce -fimplicit-none)

2014-05-19 15:14  oschuett

	* [r14007] xc/xc_f90_lib_m.F, xc/xc_libxc.F: Add some USE-ONLY
	  clauses

2014-05-19 15:02  oschuett

	* [r14006] ma/ma_affinity.F, ma/ma_dummy_c_bindings.F,
	  ma/ma_topology.F, ma/machine_architecture.F,
	  ma/machine_architecture_types.F: remove ma_dummy_c_bindings.F

2014-05-19 14:43  oschuett

	* [r14005] acc/acc_device.F, acc/acc_devmem.F, acc/acc_event.F,
	  acc/acc_hostmem.F, acc/acc_stream.F, acc/dummy_c_bindings.F: ACC:
	  remove dummy_c_bindings

2014-05-19 12:00  oschuett

	* [r14004] pw/fft/mltfftsg_tools.F: FFTSG: remove irrelevant
	  routine get_cache_size()

2014-05-19 11:38  sandermatt

	* [r14002] rt_matrix_exp.F: rtp: prevent left-hand reallocations in
	  arnoldi

2014-05-19 11:21  oschuett

	* [r14001] base/machine_posix.f90: machine_posix: implement
	  m_procrun with kill command

2014-05-19 09:21  vondele

	* [r14000] cp_ddapc_util.F,
	  dbcsr/dbcsr_block_operations__nametype1_.template,
	  dbcsr/dbcsr_block_operations_c.f90,
	  dbcsr/dbcsr_block_operations_d.f90,
	  dbcsr/dbcsr_block_operations_s.f90,
	  dbcsr/dbcsr_block_operations_z.f90,
	  mpiwrap/message__nametype1__passing.template,
	  mpiwrap/message_c_passing.f90, mpiwrap/message_d_passing.f90,
	  mpiwrap/message_i_passing.f90, mpiwrap/message_l_passing.f90,
	  mpiwrap/message_r_passing.f90, mpiwrap/message_z_passing.f90,
	  rt_make_propagators.F: fix a few more long comment lines

2014-05-19 08:18  vondele

	* [r13999] colloc_int_body.f90, cp_ddapc_util.F,
	  grid/xyz_to_vab_optimised.F, input_cp2k_thermostats.F, md_run.F,
	  mp2.F, mpiwrap/message_passing.F, pw/realspace_grid_types.F,
	  qmmm_util.F, qs_collocate_density.F, qs_ks_utils.F,
	  rt_propagation_utils.F, tamc_run.F: fix some comments that are
	  exceeding 132 chars

2014-05-18 18:06  vondele

	* [r13997] se_fock_matrix_coulomb_ga.F: some ifdefs to mark
	  otherwise dead code

2014-05-18 17:15  vondele

	* [r13996] qs_scf_output.F: more buggy intents

2014-05-18 16:37  vondele

	* [r13995] atom_fit.F, tmc/tmc_calculations.F,
	  tmc/tmc_tree_search.F: fix more incorrect INTENT(OUT) on POINTER
	  arguments (these become undefined on entry and would need to be
	  allocated).

2014-05-18 15:58  vondele

	* [r13994] tmc/tmc_move_handle.F: fix undefined value use

2014-05-18 15:51  vondele

	* [r13993] cp_dbcsr_operations.F: OMP: explicitly declare shared

2014-05-18 13:26  vondele

	* [r13992] atom_fit.F: F2003 conformance (-e03) now also according
	  to ifort (14.0.2).

2014-05-18 11:05  vondele

	* [r13990] qs_dispersion_nonloc.F, start/cp2k_runs.F: some f2003
	  issues (intel)

2014-05-18 10:35  vondele

	* [r13989] lri_environment_types.F: fix long line issue

2014-05-18 07:24  vondele

	* [r13987] ma/ma_topology.F: define vars

2014-05-18 07:20  vondele

	* [r13986] base/machine_posix.f90: improve portability

2014-05-17 21:31  mkrack

	* [r13985] mpiwrap/message__nametype1__passing.template,
	  mpiwrap/message_c_passing.f90, mpiwrap/message_d_passing.f90,
	  mpiwrap/message_i_passing.f90, mpiwrap/message_l_passing.f90,
	  mpiwrap/message_passing.F, mpiwrap/message_r_passing.f90,
	  mpiwrap/message_z_passing.f90: Block out unused variables (serial
	  case)

2014-05-17 20:37  vondele

	* [r13984] mpiwrap/message_passing.F: remove unused routine

2014-05-17 20:23  vondele

	* [r13983] library_tests.F, mpiwrap/c_mpi_calls.F,
	  mpiwrap/message__nametype1__passing.template,
	  mpiwrap/message_c_passing.f90, mpiwrap/message_d_passing.f90,
	  mpiwrap/message_i_passing.f90, mpiwrap/message_l_passing.f90,
	  mpiwrap/message_passing.F, mpiwrap/message_r_passing.f90,
	  mpiwrap/message_z_passing.f90: move all mpi direct mpi uses in
	  message_passing.F

2014-05-17 17:37  vondele

	* [r13981] dbcsrwrap/cp_dbcsr_interface.F: remove some useless
	  public procedures

2014-05-17 16:12  vondele

	* [r13975] almo_scf_types.F, bfgs_optimizer.F,
	  common/cp_blacs_calls.F, common/cp_blacs_env.F,
	  common/cp_para_types.F, common/distribution_2d_types.F,
	  cp_dbcsr_cholesky.F, cp_dbcsr_diag.F, cp_dbcsr_operations.F,
	  distribution_2d_types.F, distribution_methods.F, dkh_main.F,
	  ep_methods.F, fm/cp_blacs_calls.F, fm/cp_blacs_env.F,
	  fm/cp_cfm_types.F, fm/cp_fm_basic_linalg.F, fm/cp_fm_cholesky.F,
	  fm/cp_fm_diag.F, fm/cp_fm_struct.F, fm/cp_fm_types.F,
	  library_tests.F, mp2_cphf.F, mp2_gpw.F, mp2_ri_gpw.F,
	  mp2_ri_grad.F, mp2_ri_grad_util.F, mp2_ri_libint.F,
	  optbas_fenv_manipulation.F, preconditioner_types.F,
	  qs_environment_types.F, qs_ks_methods.F,
	  qs_localization_methods.F, qs_matrix_pools.F, qs_mo_methods.F,
	  qs_ot_types.F, qs_pdos.F, rpa_ri_gpw.F, s_square_methods.F,
	  scp_environment_types.F: mv blacs stuff to the fm package, use
	  __SCALAPACK instead of __BLACS since they are now the same lib
	  anyway

2014-05-17 16:04  mkrack

	* [r13974] library_tests.F, mpiwrap/c_mpi_calls.F,
	  mpiwrap/message_passing.F: Allow optionally the include of mpif.h
	  instead of USE mpi

2014-05-17 15:23  mkrack

	* [r13972] library_tests.F, mpiwrap/c_mpi_calls.F,
	  mpiwrap/message_passing.F, pw/ps_wavelet_util.F: Substitute
	  deprecated "INCLUDE mpif.h" by "USE mpi"

2014-05-17 15:00  vondele

	* [r13971] pw/fft/fftsg_lib.F: no need to define __FFTSG, always
	  there.

2014-05-17 14:43  vondele

	* [r13970] grid/collocate_fast.f90, grid/integrate_fast.f90: remove
	  some compiler dependent code inclusion

2014-05-17 13:47  oschuett

	* [r13969] base/machine_internal.F, base/machine_posix.f90: Add
	  F2003+POSIX implementation of machine interface

2014-05-17 13:34  mkrack

	* [r13968] dbcsr/dbcsr_block_access.F: Prettify

2014-05-17 10:54  mkrack

	* [r13967] hfx_types.F, t_c_g0.F: Rename another free routine

2014-05-17 10:48  mkrack

	* [r13966] mp2_direct_method.F, mp2_ri_libint.F, t_sh_p_s_c.F:
	  Avoid use of intrinsic name free

2014-05-17 10:38  mkrack

	* [r13965] common/timings.F,
	  dbcsr/dbcsr_block_access__nametype1_.template,
	  dbcsr/dbcsr_block_access_c.f90, dbcsr/dbcsr_block_access_d.f90,
	  dbcsr/dbcsr_block_access_s.f90, dbcsr/dbcsr_block_access_z.f90,
	  grid/xyz_to_vab_optimised.F, ma/ma_affinity.F, ma/ma_topology.F:
	  Clean last bunch of unused variables for parallel

2014-05-17 09:44  vondele

	* [r13964] common/cp_linked_list__nametype1_.template,
	  fm/cp_linked_list_fm.F, input/cp_linked_list_char.F,
	  input/cp_linked_list_int.F, input/cp_linked_list_logical.F,
	  input/cp_linked_list_real.F, input/cp_linked_list_val.F,
	  mpiwrap/message_passing.F, pw/cp_linked_list_3d_r.F,
	  pw/cp_linked_list_pw.F, pw/cp_linked_list_rs.F,
	  xc/cp_linked_list_xc_deriv.F: some more unused functions removed

2014-05-17 09:30  vondele

	* [r13963] cp_dbcsr_operations.F, dbcsr/dbcsr_block_access.F,
	  dbcsr/dbcsr_block_access__nametype1_.template,
	  dbcsr/dbcsr_block_access_c.f90, dbcsr/dbcsr_block_access_d.f90,
	  dbcsr/dbcsr_block_access_s.f90, dbcsr/dbcsr_block_access_z.f90,
	  dbcsr/dbcsr_data_methods_low.F, dbcsr/dbcsr_dist_operations.F,
	  dbcsr/dbcsr_io.F, dbcsr/dbcsr_mem_methods.F,
	  dbcsr/dbcsr_methods.F, dbcsr/dbcsr_mm_cannon.F,
	  dbcsr/dbcsr_mm_multrec.F, dbcsr/dbcsr_operations_low.F,
	  dbcsr/dbcsr_operations_low__nametype1_.template,
	  dbcsr/dbcsr_operations_low_c.f90,
	  dbcsr/dbcsr_operations_low_d.f90,
	  dbcsr/dbcsr_operations_low_s.f90,
	  dbcsr/dbcsr_operations_low_z.f90, dbcsr/dbcsr_ptr_util.F,
	  dbcsr/dbcsr_types.F, dbcsr/dbcsr_util.F,
	  dbcsr/dbcsr_work_operations.F, dbcsrwrap/cp_dbcsr_interface.F:
	  remove some unused functions

2014-05-17 08:09  vondele

	* [r13961] rt_matrix_exp.F: bug fix OMP

2014-05-17 07:54  vondele

	* [r13960] cp_dbcsr_operations.F: always use DEFAULT(NONE) for OMP
	  regions

2014-05-16 22:19  mkrack

	* [r13959] pw/realspace_grid_types.F: Prettify

2014-05-16 22:16  mkrack

	* [r13958] fm/cp_cfm_basic_linalg.F, fm/cp_fm_basic_linalg.F,
	  ma/ma_affinity.F, ma/ma_topology.F, pw/pw_grids.F: Clean unused
	  variables

2014-05-16 20:21  vondele

	* [r13956] dbcsr/dbcsr_example_1.F, dbcsr/dbcsr_example_2.F,
	  dbcsr/dbcsr_example_3.F, dbcsr/dbcsr_performance_driver.F,
	  dbcsr/dbcsr_test_driver.F, mpiwrap/message_passing.F: get dbcsr
	  examples back to running

2014-05-16 18:45  vondele

	* [r13955] pw/fft/fftw3_lib.F, pw/fft_tools.F,
	  pw/realspace_grid_types.F: further cleanups

2014-05-16 18:27  vondele

	* [r13952] mpiwrap/c_mpi_calls.F: prettify

2014-05-16 18:24  vondele

	* [r13951] mpiwrap/c_mpi_calls.F: another cleanup

2014-05-16 18:12  vondele

	* [r13950] cp_dbcsr_operations.F, dbcsr/dbcsr_api.F,
	  dbcsr/dbcsr_block_access.F,
	  dbcsr/dbcsr_block_access__nametype1_.template,
	  dbcsr/dbcsr_block_access_c.f90, dbcsr/dbcsr_block_access_d.f90,
	  dbcsr/dbcsr_block_access_s.f90, dbcsr/dbcsr_block_access_z.f90,
	  dbcsr/dbcsr_block_buffers.F,
	  dbcsr/dbcsr_block_buffers__nametype1_.instantiation,
	  dbcsr/dbcsr_block_buffers__nametype1_.template,
	  dbcsr/dbcsr_block_buffers_c.f90, dbcsr/dbcsr_block_buffers_d.f90,
	  dbcsr/dbcsr_block_buffers_s.f90, dbcsr/dbcsr_block_buffers_z.f90,
	  dbcsr/dbcsr_data_methods_low.F,
	  dbcsr/dbcsr_iterator_operations.F,
	  dbcsr/dbcsr_iterator_operations__nametype1_.template,
	  dbcsr/dbcsr_iterator_operations_c.f90,
	  dbcsr/dbcsr_iterator_operations_d.f90,
	  dbcsr/dbcsr_iterator_operations_s.f90,
	  dbcsr/dbcsr_iterator_operations_z.f90, dbcsr/dbcsr_methods.F,
	  dbcsr/dbcsr_mm_cannon.F, dbcsr/dbcsr_operations_low.F,
	  dbcsr/dbcsr_ptr_util.F, dbcsr/dbcsr_transformations.F,
	  dbcsr/dbcsr_work_operations.F, dbcsrwrap/cp_dbcsr_interface.F:
	  further cleanups possible now

2014-05-16 16:47  vondele

	* [r13948] dbcsr/dbcsr_ptr_util.F,
	  dbcsr/dbcsr_ptr_util__nametype1_.template,
	  dbcsr/dbcsr_ptr_util_c.f90, dbcsr/dbcsr_ptr_util_d.f90,
	  dbcsr/dbcsr_ptr_util_i.f90, dbcsr/dbcsr_ptr_util_l.f90,
	  dbcsr/dbcsr_ptr_util_s.f90, dbcsr/dbcsr_ptr_util_z.f90: remove
	  more workarounds

2014-05-16 16:07  vondele

	* [r13947] dbcsr/dbcsr_mm_cannon.F: fix omp build

2014-05-16 15:59  vondele

	* [r13946] dbcsr/dbcsr_error_handling.F: remove another G95
	  workaround

2014-05-16 15:50  vondele

	* [r13945] cp_dbcsr_cp2k_link.F, dbcsr/array_types.F,
	  dbcsr/dbcsr_api.F, dbcsr/dbcsr_config.F, dbcsr/dbcsr_mm_cannon.F,
	  dbcsr/dbcsr_mm_hostdrv.F,
	  dbcsr/dbcsr_mm_hostdrv__nametype1_.template,
	  dbcsr/dbcsr_mm_hostdrv_c.f90, dbcsr/dbcsr_mm_hostdrv_d.f90,
	  dbcsr/dbcsr_mm_hostdrv_s.f90, dbcsr/dbcsr_mm_hostdrv_z.f90,
	  dbcsr/dbcsr_plasma_interface.F, dbcsrwrap/cp_dbcsr_interface.F,
	  input_cp2k_global.F: remove dbcsr plasma interface

2014-05-16 05:15  vondele

	* [r13944] dbcsr/dbcsr_types.F,
	  mpiwrap/message__nametype1__passing.template,
	  mpiwrap/message_c_passing.f90, mpiwrap/message_d_passing.f90,
	  mpiwrap/message_i_passing.f90, mpiwrap/message_l_passing.f90,
	  mpiwrap/message_passing.F, mpiwrap/message_r_passing.f90,
	  mpiwrap/message_z_passing.f90: remove an unused type and related
	  functions

2014-05-15 21:01  vondele

	* [r13943] pw/fft/fftw3_lib.F: add some more explicit c-binding
	  types

2014-05-15 17:14  oschuett

	* [r13942] ep_f77.F, ep_f77_low.F, ep_methods.F, ep_types.F,
	  f77_int_low_internal.F, f77_interface.F, force_env_methods.F,
	  force_env_types.F, input_cp2k_restarts.F,
	  input_cp2k_restarts_util.F, integrator.F, mode_selective.F,
	  neb_methods.F, neb_utils.F, pint_methods.F, qmmm_create.F,
	  qmmm_main.F, qmmm_update.F, replica_methods.F, replica_types.F,
	  topology_amber.F, topology_gromos.F, vibrational_analysis.F: Free
	  most of cp2k from f77-hack, only EP-method remains

2014-05-15 15:57  mkrack

	* [r13941] colloc_int_body.f90, cp_dbcsr_cholesky.F,
	  cp_dbcsr_diag.F, cp_external_control.F, cp_output_handling.F,
	  dbcsr/dbcsr_mm_csr.F, dbcsr/dbcsr_mm_multrec.F,
	  ewalds_multipole_debug.F, fm/cp_fm_cholesky.F, fm/cp_fm_diag.F,
	  fm/cp_fm_types.F, ma/ma_process_mapping.F,
	  metadyn_tools/graph_methods.F, qs_integrate_potential_low.F,
	  rt_matrix_exp_dbcsr.F, tmc/tmc_move_handle.F: Remove or block out
	  unused variables

2014-05-15 13:58  mkrack

	* [r13940] core_ae.F, cp_dbcsr_operations.F,
	  dbcsr/dbcsr_block_access__nametype1_.template,
	  dbcsr/dbcsr_block_access_c.f90, dbcsr/dbcsr_block_access_d.f90,
	  dbcsr/dbcsr_block_access_s.f90, dbcsr/dbcsr_block_access_z.f90,
	  dbcsr/dbcsr_block_buffers.F,
	  dbcsr/dbcsr_block_buffers__nametype1_.template,
	  dbcsr/dbcsr_block_buffers_c.f90, dbcsr/dbcsr_block_buffers_d.f90,
	  dbcsr/dbcsr_block_buffers_s.f90, dbcsr/dbcsr_block_buffers_z.f90,
	  dbcsr/dbcsr_data_methods_low.F,
	  dbcsr/dbcsr_data_methods_low__nametype1_.template,
	  dbcsr/dbcsr_data_methods_low_c.f90,
	  dbcsr/dbcsr_data_methods_low_d.f90,
	  dbcsr/dbcsr_data_methods_low_s.f90,
	  dbcsr/dbcsr_data_methods_low_z.f90, dbcsr/dbcsr_io.F,
	  dbcsr/dbcsr_iterator_operations__nametype1_.template,
	  dbcsr/dbcsr_iterator_operations_c.f90,
	  dbcsr/dbcsr_iterator_operations_d.f90,
	  dbcsr/dbcsr_iterator_operations_s.f90,
	  dbcsr/dbcsr_iterator_operations_z.f90, dbcsr/dbcsr_methods.F,
	  dbcsr/dbcsr_mm_hostdrv.F, dbcsr/dbcsr_operations_low.F,
	  dbcsr/dbcsr_test_add.F, dbcsr/dbcsr_transformations.F,
	  dm_ls_scf_curvy.F, hfx_derivatives.F, hfx_energy_potential.F,
	  iterate_matrix.F, library_tests.F, mp2.F, mp2_cphf.F,
	  mp2_laplace.F, mpiwrap/message_passing.F, preconditioner.F,
	  pw/realspace_grid_cube.F, qs_collocate_density.F,
	  qs_efield_berry.F, qs_integrate_potential_product.F,
	  qs_integrate_potential_single.F, qs_loc_utils.F,
	  qs_localization_methods.F, qs_moments.F, qs_overlap.F,
	  rpa_communication.F, rpa_ri_gpw.F, rt_make_propagators.F,
	  se_core_matrix.F: Remove or block out another bunch of unused
	  variables

2014-05-15 09:46  mkrack

	* [r13938] acc/acc_event.F, acc/acc_hostmem__nametype1_.template,
	  dbcsr/dbcsr_mm_cannon.F,
	  dbcsr/dbcsr_mm_cannon__nametype1_.template,
	  dbcsr/dbcsr_mm_cannon_c.f90, dbcsr/dbcsr_mm_cannon_d.f90,
	  dbcsr/dbcsr_mm_cannon_s.f90, dbcsr/dbcsr_mm_cannon_z.f90,
	  dbcsr/dbcsr_ptr_util__nametype1_.template,
	  dbcsr/dbcsr_ptr_util_c.f90, dbcsr/dbcsr_ptr_util_d.f90,
	  dbcsr/dbcsr_ptr_util_i.f90, dbcsr/dbcsr_ptr_util_l.f90,
	  dbcsr/dbcsr_ptr_util_s.f90, dbcsr/dbcsr_ptr_util_z.f90,
	  mp2_ri_gpw.F, mpiwrap/message__nametype1__passing.template,
	  mpiwrap/message_c_passing.f90, mpiwrap/message_d_passing.f90,
	  mpiwrap/message_i_passing.f90, mpiwrap/message_l_passing.f90,
	  mpiwrap/message_passing.F, mpiwrap/message_r_passing.f90,
	  mpiwrap/message_z_passing.f90: Remove or block out unused
	  variables

2014-05-15 08:24  mkrack

	* [r13937] dbcsrwrap/cp_dbcsr_interface__nametype1_.template,
	  dbcsrwrap/cp_dbcsr_interface_c.f90,
	  dbcsrwrap/cp_dbcsr_interface_d.f90,
	  dbcsrwrap/cp_dbcsr_interface_s.f90,
	  dbcsrwrap/cp_dbcsr_interface_z.f90, kg_environment.F,
	  lri_environment_methods.F, mp2.F, mp2_direct_method.F, mp2_gpw.F,
	  mp2_ri_grad.F, qs_initial_guess.F, qs_wf_history_methods.F,
	  rt_propagation_utils.F: Remove more unused variables

2014-05-15 06:28  mkrack

	* [r13936] input_cp2k_check.F: Prettify

2014-05-14 15:39  marci73

	* [r13932] common/bibliography.F, input_constants.F,
	  input_cp2k_check.F, input_cp2k_xc.F, xc/xc_derivatives.F,
	  xc/xc_xbeef.F:
	  BEEF functional, libxc required (Ralph Koitz)

2014-05-14 14:43  vondele

	* [r13930] pw/fft/fft_kinds.F: remove special case

2014-05-14 14:18  mkrack

	* [r13929] colvar_methods.F, dm_ls_scf.F, eip_silicon.F,
	  environment.F, gopt_f_types.F, metadynamics.F, qs_scf_post_se.F:
	  Remove or block out unused variables

2014-05-14 14:17  vondele

	* [r13928] pw/fft/fftw3_lib.F: remove external declaration

2014-05-14 14:11  vondele

	* [r13927] pw/ps_wavelet_fft3d.F: one end-do per do-stmt

2014-05-14 13:44  vondele

	* [r13926] cp_lbfgs.F: remove a last instance of structured
	  programming with computed goto statements

2014-05-14 13:23  mkrack

	* [r13925] ep_methods.F, f77_interface.F, ipi_driver.F,
	  md_vel_utils.F, optimize_input.F, qs_energy.F, rt_propagation.F,
	  tamc_run.F, tmc/tmc_dot_tree.F: Remove or block out unused
	  variables

2014-05-14 13:21  vondele

	* [r13924] pw/fft/fft_lib.F, pw/fft/fftsg_lib.F,
	  pw/fft/fftw3_lib.F, pw/fft/mltfftsg.F, pw/fft/mltfftsg_tools.F,
	  pw/fft_tools.F: fully MODULE-ize the fft package

2014-05-14 12:22  fschiff

	* [r13923] admm_methods.F, admm_utils.F, bfgs_optimizer.F,
	  cp_dbcsr_operations.F, cp_gemm_interface.F, dft_plus_u.F,
	  dkh_main.F, environment.F, ep_methods.F, et_coupling.F,
	  fm/cp_fm_struct.F, fm/cp_fm_types.F, input_constants.F,
	  input_cp2k_global.F, library_tests.F, molecular_states.F, mp2.F,
	  mp2_cphf.F, mp2_laplace.F, mp2_ri_grad.F, mp2_ri_grad_util.F,
	  optbas_opt_utils.F, population_analyses.F, preconditioner.F,
	  qs_conductivity.F, qs_diis.F, qs_efield_berry.F,
	  qs_environment.F, qs_environment_methods.F, qs_force.F,
	  qs_gspace_mixing.F, qs_ks_methods.F, qs_linres_methods.F,
	  qs_linres_op.F, qs_loc_methods.F, qs_loc_utils.F,
	  qs_localization_methods.F, qs_matrix_pools.F, qs_mo_methods.F,
	  qs_moments.F, qs_p_env_methods.F, qs_pdos.F,
	  qs_scf_block_davidson.F, qs_scf_diagonalization.F,
	  qs_scf_lanczos.F, qs_scf_methods.F, qs_wf_history_methods.F,
	  rpa_ri_gpw.F, rt_delta_pulse.F, rt_make_propagators.F,
	  rt_matrix_exp.F, rt_propagation_methods.F,
	  rt_propagation_output.F, rt_propagation_types.F,
	  rt_propagation_utils.F, rt_propagator_init.F, rtp_admm_methods.F,
	  s_square_methods.F, scf_control_types.F, wannier_states.F,
	  xas_methods.F, xas_restart.F: GEMM can be done via DBCSR now
	  (useful on GPU systems as optimized kernels are exploited)/
	  faster arnoldi and EMD MO forces

2014-05-14 09:36  vondele

	* [r13922] pw/fft/ctrig.F, pw/fft/fftpre.F, pw/fft/fftrot.F,
	  pw/fft/fftstp.F, pw/fft/mltfftsg.F, pw/fft/mltfftsg_tools.F,
	  pw/ps_wavelet_base.F, pw/ps_wavelet_fft3d.F,
	  pw/ps_wavelet_kernel.F: some fft cleanup, move things into
	  modules

2014-05-14 07:41  vondele

	* [r13921] k290.F: move data statements before executable
	  statements

2014-05-14 07:00  mkrack

	* [r13920] md_run.F: Block out declaration of PLUMED variables

2014-05-14 06:52  mkrack

	* [r13919] gopt_f77_methods.F, tmc/tmc_analysis.F: Remove unused
	  variables

2014-05-14 06:43  mkrack

	* [r13918] f77_int_low_internal.F: Remove unused variables

2014-05-14 06:38  vondele

	* [r13917] dbcsr/dbcsr_mm_sched.F: do not call abort directly

2014-05-14 06:27  vondele

	* [r13916] almo_scf.F, aobasis/ai_coulomb_test.F, ipi_driver.F,
	  pw/fft/fftw3_lib.F, pw/fft/mltfftsg.F: remove some obsolete
	  syntax

2014-05-13 19:54  vondele

	* [r13915] mpiwrap/message_passing.F: add to interface

2014-05-13 19:45  vondele

	* [r13914] dbcsr/dbcsr_c_mpi_calls.F: remove now unused module

2014-05-13 19:44  vondele

	* [r13913] mpiwrap/message_passing.F: remove old and unused
	  workarounds

2014-05-13 19:19  vondele

	* [r13912] barostat_utils.F, cp_dbcsr_diag.F, fist_main.F,
	  hfx_energy_potential.F, mixed_main.F, mp2.F, mp2_gpw.F,
	  optimize_basis_utils.F, pw_env_methods.F, qs_energy.F,
	  qs_energy_utils.F, qs_ks_methods.F, rt_delta_pulse.F,
	  rt_propagation_methods.F: remove a few unused variables

2014-05-13 16:15  vondele

	* [r13911] beta_gamma_psi.F, dbcsr/dbcsr_mm_csr.F,
	  helium_sampling.F: fix some -Wuninitialized issues

2014-05-13 16:14  vondele

	* [r13910] atom_electronic_structure.F: proper fix

2014-05-13 15:56  vondele

	* [r13909] atom_electronic_structure.F, atom_utils.F: revert fix

2014-05-13 15:20  vondele

	* [r13908] atom_electronic_structure.F, atom_utils.F: fix an
	  aliasing issue

2014-05-13 14:53  tlaino

	* [r13907] dbcsrwrap/cp_dbcsr_interface.F: avoid to access function
	  twice

2014-05-13 14:52  tlaino

	* [r13906] rt_propagation_output.F: compare proper kinds

2014-05-13 10:23  mkrack

	* [r13904] mc_ensembles.F: Fix usage of repeated dummy arguments

2014-05-13 10:22  mkrack

	* [r13903] ma/machine_architecture.F, pw/fft/fftw3_lib.F: Remove
	  more unused variables

2014-05-13 10:18  mkrack

	* [r13902] pw/fft_tools.F, start/cp2k.F: Filter more unused
	  variables

2014-05-13 10:16  mkrack

	* [r13901] cell_types.F, ga_environment_types.F: Filter more unused
	  variables

2014-05-13 10:12  mkrack

	* [r13900] acc/acc_device.F, acc/acc_hostmem.F,
	  acc/acc_hostmem_c.f90, acc/acc_hostmem_d.f90,
	  acc/acc_hostmem_i.f90, acc/acc_hostmem_l.f90,
	  acc/acc_hostmem_r.f90, acc/acc_hostmem_z.f90: Filter unused
	  variables

2014-05-12 15:23  vondele

	* [r13897] cell_methods.F: add new file

2014-05-12 15:08  vondele

	* [r13896] almo_scf_special.F, atoms_input.F, bfgs_optimizer.F,
	  cell_opt_types.F, cell_opt_utils.F, cell_types.F,
	  colvar_methods.F, cp_ddapc_types.F, cp_subsys_methods.F,
	  cp_subsys_types.F, distribution_methods.F, efield_utils.F,
	  eip_environment.F, eip_environment_types.F, eip_silicon.F,
	  ewald_spline_util.F, ewalds_multipole.F,
	  ewalds_multipole_debug.F, ewalds_multipole_debug.h,
	  f77_interface.F, fist_environment.F, fist_environment_types.F,
	  fist_force.F, fist_intra_force.F, fist_neighbor_list_control.F,
	  fist_neighbor_list_types.F, fist_neighbor_lists.F,
	  fist_nonbond_env_types.F, fist_nonbond_force.F,
	  force_env_methods.F, fp_methods.F, gopt_f77_methods.F,
	  gopt_f_methods.F, helium_io.F, helium_methods.F,
	  hfx_derivatives.F, hfx_energy_potential.F,
	  hfx_libint_interface.F, hfx_pair_list_methods.F, hfx_types.F,
	  input_cp2k_restarts.F, integrator.F, ipi_driver.F,
	  library_tests.F, manybody_siepmann.F, mc_control.F,
	  mc_coordinates.F, mc_ensembles.F, mc_ge_moves.F, mc_moves.F,
	  mc_types.F, md_energies.F, md_run.F, mixed_environment.F,
	  mixed_environment_types.F, moments_utils.F, mp2_ri_gpw.F,
	  mp2_ri_grad.F, optimize_input.F, particle_types.F, pme_tools.F,
	  qmmm_force_mixing.F, qmmm_gpw_energy.F, qmmm_gpw_forces.F,
	  qmmm_image_charge.F, qmmm_init.F, qmmm_main.F, qmmm_se_energy.F,
	  qmmm_se_forces.F, qmmm_util.F, qs_collocate_density.F,
	  qs_core_energies.F, qs_dftb_coulomb.F, qs_dispersion_pairpot.F,
	  qs_efield_berry.F, qs_elec_field.F, qs_environment.F,
	  qs_environment_types.F, qs_epr_hyp.F, qs_external_potential.F,
	  qs_fermi_contact.F, qs_integrate_potential_product.F,
	  qs_integrate_potential_single.F, qs_linres_atom_current.F,
	  qs_linres_current.F, qs_linres_current_utils.F,
	  qs_linres_issc_utils.F, qs_linres_nmr_shift.F, qs_linres_op.F,
	  qs_loc_methods.F, qs_loc_molecules.F, qs_loc_types.F,
	  qs_loc_utils.F, qs_moments.F, qs_neighbor_lists.F,
	  qs_operators_ao.F, qs_pdos.F, qs_resp.F, qs_rho0_ggrid.F,
	  qs_scf_post_dftb.F, qs_scf_post_gpw.F, qs_spin_orbit.F,
	  scptb_ks_matrix.F, se_fock_matrix_coulomb_ga.F, se_ga_tools.F,
	  semi_empirical_utils.F, spme.F, subcell_types.F,
	  task_list_methods.F, tmc/tmc_analysis.F, tmc/tmc_calculations.F,
	  tmc/tmc_master.F, tmc/tmc_moves.F, tmc/tmc_worker.F, topology.F,
	  topology_cif.F, topology_cp2k.F, topology_generate_util.F,
	  topology_pdb.F, topology_types.F, topology_xtl.F, xas_methods.F,
	  xas_tp_scf.F, xray_diffraction.F: split cell_types in cell_types
	  and cell_methods

2014-05-11 16:55  vondele

	* [r13892] _el_typename__list_types.template: remove useless uses

2014-05-11 09:57  vondele

	* [r13889] dbcsrwrap/cp_dbcsr_interface.F, start/input_cp2k.F:
	  further dbcsr cleaning

2014-05-11 09:40  vondele

	* [r13885] common/lazy.F, pw/lazy.F: move lazy module to proper
	  package

2014-05-11 09:30  vondele

	* [r13884] start/input_cp2k.F: remove dead code

2014-05-11 08:53  vondele

	* [r13883] dbcsrwrap/cp_dbcsr_interface.F,
	  dbcsrwrap/cp_dbcsr_interface__nametype1_.template,
	  dbcsrwrap/cp_dbcsr_interface_c.f90,
	  dbcsrwrap/cp_dbcsr_interface_d.f90,
	  dbcsrwrap/cp_dbcsr_interface_s.f90,
	  dbcsrwrap/cp_dbcsr_interface_z.f90: further dbcsr cleanups

2014-05-11 08:30  vondele

	* [r13882] dbcsr/dbcsr_api.F, dbcsrwrap/cp_dbcsr_interface.F:
	  further dbcsr cleanups

2014-05-11 08:18  vondele

	* [r13881] cp_dbcsr_operations.F, dbcsr/dbcsr_api.F,
	  dbcsrwrap/cp_dbcsr_interface.F: some further dbcsr cleanups

2014-05-10 18:53  vondele

	* [r13880] admm_methods.F, admm_utils.F, almo_scf_special.F,
	  cp_dbcsr_operations.F, dbcsrwrap/cp_dbcsr_interface.F,
	  dft_plus_u.F, dm_ls_scf_qs.F, ep_methods.F, ep_qs_types.F,
	  et_coupling.F, kg_environment_types.F, kg_tnadd_mat.F,
	  lri_ks_methods.F, mp2_cphf.F, mp2_ri_grad_util.F,
	  population_analyses.F, preconditioner.F, preconditioner_types.F,
	  qmmm_se_energy.F, qs_collocate_density.F, qs_core_hamiltonian.F,
	  qs_dftb_matrices.F, qs_efield_berry.F, qs_energy_utils.F,
	  qs_environment_methods.F, qs_environment_types.F, qs_force.F,
	  qs_gspace_mixing.F, qs_integrate_potential_product.F,
	  qs_kinetic.F, qs_kpp1_env_methods.F, qs_kpp1_env_types.F,
	  qs_ks_methods.F, qs_ks_qmmm_types.F, qs_ks_utils.F,
	  qs_linres_current.F, qs_linres_current_utils.F,
	  qs_linres_issc_utils.F, qs_linres_methods.F, qs_linres_op.F,
	  qs_loc_types.F, qs_moments.F, qs_ot_types.F, qs_overlap.F,
	  qs_p_env_methods.F, qs_p_env_types.F, qs_period_efield_types.F,
	  qs_rho_methods.F, qs_rho_types.F, qs_scf.F,
	  qs_scf_diagonalization.F, qs_scf_types.F,
	  qs_wf_history_methods.F, qs_wf_history_types.F, rt_delta_pulse.F,
	  rt_hfx_utils.F, rt_make_propagators.F, rt_matrix_exp_dbcsr.F,
	  rt_propagation_methods.F, rt_propagation_output.F,
	  rt_propagation_types.F, rt_propagation_utils.F,
	  rt_propagator_init.F, rtp_admm_methods.F,
	  scp_delta_fock_matrix.F, scp_environment.F,
	  scp_environment_types.F, scptb_core_matrix.F, se_core_matrix.F,
	  se_fock_matrix_coulomb_mpi.F, stm_images.F, xas_env_types.F,
	  xas_methods.F, xc_pot_saop.F: move a few routines from
	  cp_dbcsr_operations to cp_dbcsr_interface

2014-05-10 16:24  vondele

	* [r13879] dbcsrwrap/cp_dbcsr_interface_c.f90,
	  dbcsrwrap/cp_dbcsr_interface_d.f90,
	  dbcsrwrap/cp_dbcsr_interface_s.f90,
	  dbcsrwrap/cp_dbcsr_interface_z.f90: instantiate templates

2014-05-10 16:15  vondele

	* [r13878] PACKAGE, admm_methods.F, admm_utils.F, almo_scf.F,
	  almo_scf_aux2_methods.F, almo_scf_methods.F, almo_scf_special.F,
	  cp_dbcsr_cp2k_link.F, cp_dbcsr_interface.F,
	  cp_dbcsr_interface__nametype1_.instantiation,
	  cp_dbcsr_interface__nametype1_.template,
	  cp_dbcsr_interface_c.f90, cp_dbcsr_interface_d.f90,
	  cp_dbcsr_interface_s.f90, cp_dbcsr_interface_z.f90,
	  cp_dbcsr_operations.F, cp_dbcsr_output.F, cp_dbcsr_util.F,
	  cp_ma_interface.F, dbcsrwrap, dbcsrwrap/PACKAGE,
	  dbcsrwrap/cp_dbcsr_interface.F,
	  dbcsrwrap/cp_dbcsr_interface__nametype1_.instantiation,
	  dbcsrwrap/cp_dbcsr_interface__nametype1_.template,
	  dbcsrwrap/cp_dbcsr_interface_c.f90,
	  dbcsrwrap/cp_dbcsr_interface_d.f90,
	  dbcsrwrap/cp_dbcsr_interface_s.f90,
	  dbcsrwrap/cp_dbcsr_interface_z.f90, distribution_methods.F,
	  dm_ls_chebyshev.F, dm_ls_scf.F, dm_ls_scf_curvy.F,
	  dm_ls_scf_methods.F, dm_ls_scf_qs.F, hfx_derivatives.F,
	  hfx_energy_potential.F, hfx_helpers.F, input_cp2k_global.F,
	  iterate_matrix.F, kg_tnadd_mat.F, library_tests.F, ma/PACKAGE,
	  mp2_cphf.F, mp2_gpw.F, mp2_ri_gpw.F, mp2_ri_grad.F,
	  mp2_ri_grad_util.F, preconditioner.F, qs_core_hamiltonian.F,
	  qs_dftb_matrices.F, qs_efield_berry.F, qs_environment_methods.F,
	  qs_environment_types.F, qs_gspace_mixing.F, qs_initial_guess.F,
	  qs_integrate_potential_product.F, qs_kinetic.F, qs_ks_methods.F,
	  qs_linres_current.F, qs_linres_current_utils.F,
	  qs_linres_issc_utils.F, qs_linres_op.F, qs_mo_methods.F,
	  qs_operators_ao.F, qs_ot.F, qs_ot_eigensolver.F,
	  qs_ot_minimizer.F, qs_ot_scf.F, qs_ot_types.F, qs_overlap.F,
	  qs_rho_methods.F, qs_scf_block_davidson.F,
	  qs_scf_diagonalization.F, qs_scf_initialization.F,
	  rt_hfx_utils.F, rt_matrix_exp_dbcsr.F, rt_propagation_output.F,
	  rtp_admm_methods.F, scp_environment.F, start/PACKAGE,
	  start/input_cp2k.F, task_list_methods.F, xas_methods.F: introduce
	  dbcsrwrap package, cp_dbcsr_interface now fully replaces
	  dbcsr_api

2014-05-10 14:33  vondele

	* [r13877] admm_methods.F, admm_utils.F, almo_scf.F,
	  almo_scf_aux2_methods.F, almo_scf_aux_types.F,
	  almo_scf_methods.F, almo_scf_special.F, almo_scf_types.F,
	  core_ae.F, core_ppl.F, core_ppnl.F, cp_dbcsr_cholesky.F,
	  cp_dbcsr_cp2k_link.F, cp_dbcsr_diag.F, cp_dbcsr_interface.F,
	  cp_dbcsr_methods.F, cp_dbcsr_operations.F, cp_dbcsr_output.F,
	  cp_dbcsr_types.F, cp_dbcsr_util.F, cp_ddapc.F, dft_plus_u.F,
	  dm_ls_chebyshev.F, dm_ls_scf.F, dm_ls_scf_curvy.F,
	  dm_ls_scf_methods.F, dm_ls_scf_qs.F, dm_ls_scf_types.F,
	  ep_methods.F, ep_qs_types.F, et_coupling_types.F, harris_force.F,
	  harris_functional.F, hfx_admm_utils.F, hfx_communication.F,
	  hfx_derivatives.F, hfx_energy_potential.F, hfx_helpers.F,
	  iterate_matrix.F, kg_correction.F, kg_environment_types.F,
	  kg_tnadd_mat.F, lri_environment_methods.F, lri_forces.F,
	  lri_ks_methods.F, molecular_states.F, mp2.F, mp2_cphf.F,
	  mp2_direct_method.F, mp2_gpw.F, mp2_optimize_ri_basis.F,
	  mp2_ri_gpw.F, mp2_ri_grad.F, mp2_ri_grad_util.F, mp2_types.F,
	  mulliken.F, optbas_fenv_manipulation.F, optbas_opt_utils.F,
	  population_analyses.F, preconditioner.F, preconditioner_types.F,
	  qmmm_se_energy.F, qmmm_se_forces.F, qs_collocate_density.F,
	  qs_conductivity.F, qs_core_energies.F, qs_core_hamiltonian.F,
	  qs_dftb_coulomb.F, qs_dftb_matrices.F, qs_diis.F,
	  qs_efield_berry.F, qs_elec_field.F, qs_energy.F,
	  qs_energy_utils.F, qs_environment_methods.F,
	  qs_environment_types.F, qs_fermi_contact.F, qs_force.F,
	  qs_geminals.F, qs_gspace_mixing.F, qs_initial_guess.F,
	  qs_integrate_potential_product.F, qs_kinetic.F,
	  qs_kpp1_env_methods.F, qs_kpp1_env_types.F,
	  qs_ks_apply_restraints.F, qs_ks_atom.F, qs_ks_methods.F,
	  qs_ks_qmmm_types.F, qs_ks_utils.F, qs_linres_atom_current.F,
	  qs_linres_current.F, qs_linres_current_utils.F,
	  qs_linres_epr_ownutils.F, qs_linres_issc_utils.F,
	  qs_linres_methods.F, qs_linres_module.F, qs_linres_op.F,
	  qs_linres_polar_utils.F, qs_linres_types.F, qs_loc_methods.F,
	  qs_loc_types.F, qs_loc_utils.F, qs_mo_methods.F, qs_mo_types.F,
	  qs_moments.F, qs_operators_ao.F, qs_ot.F, qs_ot_eigensolver.F,
	  qs_ot_minimizer.F, qs_ot_scf.F, qs_ot_types.F, qs_overlap.F,
	  qs_p_env_methods.F, qs_p_env_types.F, qs_pdos.F,
	  qs_period_efield_types.F, qs_rho_atom_methods.F,
	  qs_rho_methods.F, qs_rho_types.F, qs_scf.F,
	  qs_scf_block_davidson.F, qs_scf_diagonalization.F,
	  qs_scf_initialization.F, qs_scf_loop_utils.F, qs_scf_methods.F,
	  qs_scf_output.F, qs_scf_post_dftb.F, qs_scf_post_gpw.F,
	  qs_scf_post_scptb.F, qs_scf_post_se.F, qs_scf_types.F,
	  qs_scf_wfn_mix.F, qs_spin_orbit.F, qs_tddfpt_utils.F,
	  qs_wf_history_methods.F, qs_wf_history_types.F, rt_delta_pulse.F,
	  rt_hfx_utils.F, rt_make_propagators.F, rt_matrix_exp_dbcsr.F,
	  rt_propagation.F, rt_propagation_methods.F,
	  rt_propagation_output.F, rt_propagation_types.F,
	  rt_propagation_utils.F, rt_propagator_init.F, rtp_admm_methods.F,
	  s_square_methods.F, scp_delta_fock_matrix.F, scp_environment.F,
	  scp_environment_types.F, scp_nddo_utils.F, scptb_core_matrix.F,
	  scptb_ks_matrix.F, se_core_matrix.F, se_fock_matrix_control.F,
	  se_fock_matrix_coulomb_ga.F, se_fock_matrix_coulomb_mpi.F,
	  se_fock_matrix_dbg.F, se_fock_matrix_exchange.F,
	  se_fock_matrix_ga.F, se_fock_matrix_mpi.F, se_ga_tools.F,
	  stm_images.F, task_list_methods.F, wannier_states.F,
	  xas_env_types.F, xas_methods.F, xas_restart.F, xas_tp_scf.F,
	  xc_adiabatic_utils.F, xc_pot_saop.F: move functionality of
	  cp_dbcsr_types and cp_dbcsr_methods into cp_dbcsr_interface

2014-05-10 13:41  vondele

	* [r13876] PACKAGE, aobasis/ao_util.F, arch, ewald_pw_types.F,
	  external_potential_types.F, hfx_screening_methods.F, ma,
	  ma/PACKAGE, mm_collocate_potential.F, paw_proj_set_types.F,
	  pw_env_methods.F, qmmm_gaussian_init.F, qmmm_per_elpot.F,
	  qs_collocate_density.F, qs_density_mixing_types.F,
	  qs_integrate_potential_low.F, qs_interactions.F, qs_ks_atom.F,
	  qs_oce_methods.F, qs_rho0_methods.F, qs_util.F, soft_basis_set.F,
	  task_list_methods.F: mv qs_util.F to ao_util.F

2014-05-10 10:08  vondele

	* [r13873] dbcsr/dbcsr_array__nametype1__sort.instantiation,
	  dbcsr/dbcsr_array__nametype1__sort.template,
	  dbcsr/dbcsr_array_i4_sort.F, dbcsr/dbcsr_array_i8_sort.F: cp
	  template to dbcsr

2014-05-10 09:34  vondele

	* [r13872] cp_dbcsr_interface_d.f90, dbcsr/dbcsr_array_i4_sort.F,
	  dbcsr/dbcsr_array_i8_sort.F: instantiate templates

2014-05-10 08:15  agloess

	* [r13871] dbcsr/dbcsr_timing.c: Remove (now) unused dbcsr_timing
	  code.

2014-05-10 08:07  vondele

	* [r13869] fft, pw/PACKAGE, pw/fft: move fft package inside of pw

2014-05-09 19:23  vondele

	* [r13867] dbcsr/PACKAGE, dbcsr/dbcsr_acc_operations.F,
	  dbcsr/dbcsr_error_handling.F, dbcsr/dbcsr_example_1.F,
	  dbcsr/dbcsr_example_2.F, dbcsr/dbcsr_example_3.F,
	  dbcsr/dbcsr_io.F, dbcsr/dbcsr_message_passing.F,
	  dbcsr/dbcsr_message_passing__nametype1_.instantiation,
	  dbcsr/dbcsr_message_passing__nametype1_.template,
	  dbcsr/dbcsr_message_passing_c.f90,
	  dbcsr/dbcsr_message_passing_d.f90,
	  dbcsr/dbcsr_message_passing_i.f90,
	  dbcsr/dbcsr_message_passing_l.f90,
	  dbcsr/dbcsr_message_passing_r.f90,
	  dbcsr/dbcsr_message_passing_z.f90, dbcsr/dbcsr_methods.F,
	  dbcsr/dbcsr_mm_accdrv.F, dbcsr/dbcsr_mm_cannon.F,
	  dbcsr/dbcsr_mm_sched.F, dbcsr/dbcsr_mp_operations.F,
	  dbcsr/dbcsr_operations_low.F, dbcsr/dbcsr_performance_driver.F,
	  dbcsr/dbcsr_performance_multiply.F, dbcsr/dbcsr_ptr_util.F,
	  dbcsr/dbcsr_test_add.F, dbcsr/dbcsr_test_driver.F,
	  dbcsr/dbcsr_test_methods.F, dbcsr/dbcsr_test_multiply.F,
	  dbcsr/dbcsr_tests.F, dbcsr/dbcsr_transformations.F,
	  dbcsr/dbcsr_types.F, dbcsr/dbcsr_util.F,
	  mpiwrap/message__nametype1__passing.instantiation,
	  mpiwrap/message__nametype1__passing.template,
	  mpiwrap/message_c_passing.f90, mpiwrap/message_d_passing.f90,
	  mpiwrap/message_i_passing.f90, mpiwrap/message_l_passing.f90,
	  mpiwrap/message_passing.F, mpiwrap/message_r_passing.f90,
	  mpiwrap/message_z_passing.f90: use mpiwrap also from dbcsr and
	  remove dublicate dbcsr_message_passing

2014-05-09 18:12  agloess

	* [r13866] dbcsr/dbcsr_timing.c: BugFix: Add get_clk for DBCSR.

2014-05-09 17:02  vondele

	* [r13865] mpiwrap/message__nametype1__passing.template,
	  mpiwrap/message_c_passing.f90, mpiwrap/message_d_passing.f90,
	  mpiwrap/message_i_passing.f90, mpiwrap/message_l_passing.f90,
	  mpiwrap/message_passing.F, mpiwrap/message_r_passing.f90,
	  mpiwrap/message_z_passing.f90: next workaround attempt

2014-05-09 16:33  vondele

	* [r13864] mpiwrap/message_passing.F: yet another workaround
	  attempt

2014-05-09 16:27  vondele

	* [r13863] base/kinds.F, dbcsr/PACKAGE,
	  dbcsr/dbcsr_array__nametype1__sort.instantiation,
	  dbcsr/dbcsr_array_i4_sort.F, dbcsr/dbcsr_array_i8_sort.F,
	  dbcsr/dbcsr_block_access.F, dbcsr/dbcsr_block_buffers.F,
	  dbcsr/dbcsr_block_operations.F, dbcsr/dbcsr_c_mpi_calls.F,
	  dbcsr/dbcsr_config.F, dbcsr/dbcsr_data_methods.F,
	  dbcsr/dbcsr_data_methods_low.F, dbcsr/dbcsr_data_operations.F,
	  dbcsr/dbcsr_dist_operations.F, dbcsr/dbcsr_error_handling.F,
	  dbcsr/dbcsr_example_2.F, dbcsr/dbcsr_example_3.F,
	  dbcsr/dbcsr_index_operations.F, dbcsr/dbcsr_io.F,
	  dbcsr/dbcsr_iterator_operations.F, dbcsr/dbcsr_kinds.F,
	  dbcsr/dbcsr_machine.F, dbcsr/dbcsr_mem_methods.F,
	  dbcsr/dbcsr_message_passing.F, dbcsr/dbcsr_methods.F,
	  dbcsr/dbcsr_mm_accdrv.F, dbcsr/dbcsr_mm_cannon.F,
	  dbcsr/dbcsr_mm_csr.F, dbcsr/dbcsr_mm_hostdrv.F,
	  dbcsr/dbcsr_mm_multrec.F, dbcsr/dbcsr_mm_sched.F,
	  dbcsr/dbcsr_mp_operations.F, dbcsr/dbcsr_operations.F,
	  dbcsr/dbcsr_operations_low.F, dbcsr/dbcsr_performance_driver.F,
	  dbcsr/dbcsr_performance_multiply.F, dbcsr/dbcsr_ptr_util.F,
	  dbcsr/dbcsr_test_add.F, dbcsr/dbcsr_test_driver.F,
	  dbcsr/dbcsr_test_methods.F, dbcsr/dbcsr_test_multiply.F,
	  dbcsr/dbcsr_tests.F, dbcsr/dbcsr_toollib.F,
	  dbcsr/dbcsr_transformations.F, dbcsr/dbcsr_types.F,
	  dbcsr/dbcsr_util.F, dbcsr/dbcsr_work_operations.F: use base
	  package in dbcsr

2014-05-09 16:07  vondele

	* [r13862] mpiwrap/message_passing.F: second g95 bug workaround
	  attempt

2014-05-09 16:01  vondele

	* [r13861] mp2_ri_gpw.F, mpiwrap/message_passing.F: prettify

2014-05-09 15:34  vondele

